/*!
 * jquery.dgtable 0.6.11
 * git://github.com/danielgindi/jquery.dgtable.git
 */
import jQuery from 'jquery';
import { getScrollHorz, setScrollHorz } from '@danielgindi/dom-utils/lib/ScrollHelper';
import { getElementOffset, getElementWidth, getElementHeight, setElementWidth } from '@danielgindi/dom-utils/lib/Css';

var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

var check = function (it) {
  return it && it.Math === Math && it;
};

// https://github.com/zloirock/core-js/issues/86#issuecomment-115759028
var global$c =
  // eslint-disable-next-line es/no-global-this -- safe
  check(typeof globalThis == 'object' && globalThis) ||
  check(typeof window == 'object' && window) ||
  // eslint-disable-next-line no-restricted-globals -- safe
  check(typeof self == 'object' && self) ||
  check(typeof commonjsGlobal == 'object' && commonjsGlobal) ||
  check(typeof commonjsGlobal == 'object' && commonjsGlobal) ||
  // eslint-disable-next-line no-new-func -- fallback
  (function () { return this; })() || Function('return this')();

var objectGetOwnPropertyDescriptor = {};

var fails$a = function (exec) {
  try {
    return !!exec();
  } catch (error) {
    return true;
  }
};

var fails$9 = fails$a;

// Detect IE8's incomplete defineProperty implementation
var descriptors = !fails$9(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty({}, 1, { get: function () { return 7; } })[1] !== 7;
});

var fails$8 = fails$a;

var functionBindNative = !fails$8(function () {
  // eslint-disable-next-line es/no-function-prototype-bind -- safe
  var test = (function () { /* empty */ }).bind();
  // eslint-disable-next-line no-prototype-builtins -- safe
  return typeof test != 'function' || test.hasOwnProperty('prototype');
});

var NATIVE_BIND$1 = functionBindNative;

var call$4 = Function.prototype.call;

var functionCall = NATIVE_BIND$1 ? call$4.bind(call$4) : function () {
  return call$4.apply(call$4, arguments);
};

var objectPropertyIsEnumerable = {};

var $propertyIsEnumerable = {}.propertyIsEnumerable;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var getOwnPropertyDescriptor$1 = Object.getOwnPropertyDescriptor;

// Nashorn ~ JDK8 bug
var NASHORN_BUG = getOwnPropertyDescriptor$1 && !$propertyIsEnumerable.call({ 1: 2 }, 1);

// `Object.prototype.propertyIsEnumerable` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.propertyisenumerable
objectPropertyIsEnumerable.f = NASHORN_BUG ? function propertyIsEnumerable(V) {
  var descriptor = getOwnPropertyDescriptor$1(this, V);
  return !!descriptor && descriptor.enumerable;
} : $propertyIsEnumerable;

var createPropertyDescriptor$3 = function (bitmap, value) {
  return {
    enumerable: !(bitmap & 1),
    configurable: !(bitmap & 2),
    writable: !(bitmap & 4),
    value: value
  };
};

var NATIVE_BIND = functionBindNative;

var FunctionPrototype$1 = Function.prototype;
var call$3 = FunctionPrototype$1.call;
var uncurryThisWithBind = NATIVE_BIND && FunctionPrototype$1.bind.bind(call$3, call$3);

var functionUncurryThis = NATIVE_BIND ? uncurryThisWithBind : function (fn) {
  return function () {
    return call$3.apply(fn, arguments);
  };
};

var uncurryThis$a = functionUncurryThis;

var toString$4 = uncurryThis$a({}.toString);
var stringSlice$2 = uncurryThis$a(''.slice);

var classofRaw$1 = function (it) {
  return stringSlice$2(toString$4(it), 8, -1);
};

var uncurryThis$9 = functionUncurryThis;
var fails$7 = fails$a;
var classof$2 = classofRaw$1;

var $Object$3 = Object;
var split = uncurryThis$9(''.split);

// fallback for non-array-like ES3 and non-enumerable old V8 strings
var indexedObject = fails$7(function () {
  // throws an error in rhino, see https://github.com/mozilla/rhino/issues/346
  // eslint-disable-next-line no-prototype-builtins -- safe
  return !$Object$3('z').propertyIsEnumerable(0);
}) ? function (it) {
  return classof$2(it) === 'String' ? split(it, '') : $Object$3(it);
} : $Object$3;

// we can't use just `it == null` since of `document.all` special case
// https://tc39.es/ecma262/#sec-IsHTMLDDA-internal-slot-aec
var isNullOrUndefined$2 = function (it) {
  return it === null || it === undefined;
};

var isNullOrUndefined$1 = isNullOrUndefined$2;

var $TypeError$6 = TypeError;

// `RequireObjectCoercible` abstract operation
// https://tc39.es/ecma262/#sec-requireobjectcoercible
var requireObjectCoercible$2 = function (it) {
  if (isNullOrUndefined$1(it)) throw new $TypeError$6("Can't call method on " + it);
  return it;
};

// toObject with fallback for non-array-like ES3 strings
var IndexedObject = indexedObject;
var requireObjectCoercible$1 = requireObjectCoercible$2;

var toIndexedObject$3 = function (it) {
  return IndexedObject(requireObjectCoercible$1(it));
};

var documentAll$2 = typeof document == 'object' && document.all;

// https://tc39.es/ecma262/#sec-IsHTMLDDA-internal-slot
// eslint-disable-next-line unicorn/no-typeof-undefined -- required for testing
var IS_HTMLDDA = typeof documentAll$2 == 'undefined' && documentAll$2 !== undefined;

var documentAll_1 = {
  all: documentAll$2,
  IS_HTMLDDA: IS_HTMLDDA
};

var $documentAll$1 = documentAll_1;

var documentAll$1 = $documentAll$1.all;

// `IsCallable` abstract operation
// https://tc39.es/ecma262/#sec-iscallable
var isCallable$c = $documentAll$1.IS_HTMLDDA ? function (argument) {
  return typeof argument == 'function' || argument === documentAll$1;
} : function (argument) {
  return typeof argument == 'function';
};

var isCallable$b = isCallable$c;
var $documentAll = documentAll_1;

var documentAll = $documentAll.all;

var isObject$5 = $documentAll.IS_HTMLDDA ? function (it) {
  return typeof it == 'object' ? it !== null : isCallable$b(it) || it === documentAll;
} : function (it) {
  return typeof it == 'object' ? it !== null : isCallable$b(it);
};

var global$b = global$c;
var isCallable$a = isCallable$c;

var aFunction = function (argument) {
  return isCallable$a(argument) ? argument : undefined;
};

var getBuiltIn$2 = function (namespace, method) {
  return arguments.length < 2 ? aFunction(global$b[namespace]) : global$b[namespace] && global$b[namespace][method];
};

var uncurryThis$8 = functionUncurryThis;

var objectIsPrototypeOf = uncurryThis$8({}.isPrototypeOf);

var engineUserAgent = typeof navigator != 'undefined' && String(navigator.userAgent) || '';

var global$a = global$c;
var userAgent$3 = engineUserAgent;

var process = global$a.process;
var Deno = global$a.Deno;
var versions = process && process.versions || Deno && Deno.version;
var v8 = versions && versions.v8;
var match, version;

if (v8) {
  match = v8.split('.');
  // in old Chrome, versions of V8 isn't V8 = Chrome / 10
  // but their correct versions are not interesting for us
  version = match[0] > 0 && match[0] < 4 ? 1 : +(match[0] + match[1]);
}

// BrowserFS NodeJS `process` polyfill incorrectly set `.v8` to `0.0`
// so check `userAgent` even if `.v8` exists, but 0
if (!version && userAgent$3) {
  match = userAgent$3.match(/Edge\/(\d+)/);
  if (!match || match[1] >= 74) {
    match = userAgent$3.match(/Chrome\/(\d+)/);
    if (match) version = +match[1];
  }
}

var engineV8Version = version;

/* eslint-disable es/no-symbol -- required for testing */
var V8_VERSION = engineV8Version;
var fails$6 = fails$a;
var global$9 = global$c;

var $String$4 = global$9.String;

// eslint-disable-next-line es/no-object-getownpropertysymbols -- required for testing
var symbolConstructorDetection = !!Object.getOwnPropertySymbols && !fails$6(function () {
  var symbol = Symbol('symbol detection');
  // Chrome 38 Symbol has incorrect toString conversion
  // `get-own-property-symbols` polyfill symbols converted to object are not Symbol instances
  // nb: Do not call `String` directly to avoid this being optimized out to `symbol+''` which will,
  // of course, fail.
  return !$String$4(symbol) || !(Object(symbol) instanceof Symbol) ||
    // Chrome 38-40 symbols are not inherited from DOM collections prototypes to instances
    !Symbol.sham && V8_VERSION && V8_VERSION < 41;
});

/* eslint-disable es/no-symbol -- required for testing */
var NATIVE_SYMBOL$2 = symbolConstructorDetection;

var useSymbolAsUid = NATIVE_SYMBOL$2
  && !Symbol.sham
  && typeof Symbol.iterator == 'symbol';

var getBuiltIn$1 = getBuiltIn$2;
var isCallable$9 = isCallable$c;
var isPrototypeOf$1 = objectIsPrototypeOf;
var USE_SYMBOL_AS_UID$1 = useSymbolAsUid;

var $Object$2 = Object;

var isSymbol$2 = USE_SYMBOL_AS_UID$1 ? function (it) {
  return typeof it == 'symbol';
} : function (it) {
  var $Symbol = getBuiltIn$1('Symbol');
  return isCallable$9($Symbol) && isPrototypeOf$1($Symbol.prototype, $Object$2(it));
};

var $String$3 = String;

var tryToString$2 = function (argument) {
  try {
    return $String$3(argument);
  } catch (error) {
    return 'Object';
  }
};

var isCallable$8 = isCallable$c;
var tryToString$1 = tryToString$2;

var $TypeError$5 = TypeError;

// `Assert: IsCallable(argument) is true`
var aCallable$2 = function (argument) {
  if (isCallable$8(argument)) return argument;
  throw new $TypeError$5(tryToString$1(argument) + ' is not a function');
};

var aCallable$1 = aCallable$2;
var isNullOrUndefined = isNullOrUndefined$2;

// `GetMethod` abstract operation
// https://tc39.es/ecma262/#sec-getmethod
var getMethod$1 = function (V, P) {
  var func = V[P];
  return isNullOrUndefined(func) ? undefined : aCallable$1(func);
};

var call$2 = functionCall;
var isCallable$7 = isCallable$c;
var isObject$4 = isObject$5;

var $TypeError$4 = TypeError;

// `OrdinaryToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-ordinarytoprimitive
var ordinaryToPrimitive$1 = function (input, pref) {
  var fn, val;
  if (pref === 'string' && isCallable$7(fn = input.toString) && !isObject$4(val = call$2(fn, input))) return val;
  if (isCallable$7(fn = input.valueOf) && !isObject$4(val = call$2(fn, input))) return val;
  if (pref !== 'string' && isCallable$7(fn = input.toString) && !isObject$4(val = call$2(fn, input))) return val;
  throw new $TypeError$4("Can't convert object to primitive value");
};

var shared$3 = {exports: {}};

var global$8 = global$c;

// eslint-disable-next-line es/no-object-defineproperty -- safe
var defineProperty$2 = Object.defineProperty;

var defineGlobalProperty$3 = function (key, value) {
  try {
    defineProperty$2(global$8, key, { value: value, configurable: true, writable: true });
  } catch (error) {
    global$8[key] = value;
  } return value;
};

var global$7 = global$c;
var defineGlobalProperty$2 = defineGlobalProperty$3;

var SHARED = '__core-js_shared__';
var store$3 = global$7[SHARED] || defineGlobalProperty$2(SHARED, {});

var sharedStore = store$3;

var store$2 = sharedStore;

(shared$3.exports = function (key, value) {
  return store$2[key] || (store$2[key] = value !== undefined ? value : {});
})('versions', []).push({
  version: '3.33.3',
  mode: 'global',
  copyright: '© 2014-2023 Denis Pushkarev (zloirock.ru)',
  license: 'https://github.com/zloirock/core-js/blob/v3.33.3/LICENSE',
  source: 'https://github.com/zloirock/core-js'
});

var sharedExports = shared$3.exports;

var requireObjectCoercible = requireObjectCoercible$2;

var $Object$1 = Object;

// `ToObject` abstract operation
// https://tc39.es/ecma262/#sec-toobject
var toObject$2 = function (argument) {
  return $Object$1(requireObjectCoercible(argument));
};

var uncurryThis$7 = functionUncurryThis;
var toObject$1 = toObject$2;

var hasOwnProperty$2 = uncurryThis$7({}.hasOwnProperty);

// `HasOwnProperty` abstract operation
// https://tc39.es/ecma262/#sec-hasownproperty
// eslint-disable-next-line es/no-object-hasown -- safe
var hasOwnProperty_1 = Object.hasOwn || function hasOwn(it, key) {
  return hasOwnProperty$2(toObject$1(it), key);
};

var uncurryThis$6 = functionUncurryThis;

var id = 0;
var postfix = Math.random();
var toString$3 = uncurryThis$6(1.0.toString);

var uid$2 = function (key) {
  return 'Symbol(' + (key === undefined ? '' : key) + ')_' + toString$3(++id + postfix, 36);
};

var global$6 = global$c;
var shared$2 = sharedExports;
var hasOwn$7 = hasOwnProperty_1;
var uid$1 = uid$2;
var NATIVE_SYMBOL$1 = symbolConstructorDetection;
var USE_SYMBOL_AS_UID = useSymbolAsUid;

var Symbol$1 = global$6.Symbol;
var WellKnownSymbolsStore = shared$2('wks');
var createWellKnownSymbol = USE_SYMBOL_AS_UID ? Symbol$1['for'] || Symbol$1 : Symbol$1 && Symbol$1.withoutSetter || uid$1;

var wellKnownSymbol$3 = function (name) {
  if (!hasOwn$7(WellKnownSymbolsStore, name)) {
    WellKnownSymbolsStore[name] = NATIVE_SYMBOL$1 && hasOwn$7(Symbol$1, name)
      ? Symbol$1[name]
      : createWellKnownSymbol('Symbol.' + name);
  } return WellKnownSymbolsStore[name];
};

var call$1 = functionCall;
var isObject$3 = isObject$5;
var isSymbol$1 = isSymbol$2;
var getMethod = getMethod$1;
var ordinaryToPrimitive = ordinaryToPrimitive$1;
var wellKnownSymbol$2 = wellKnownSymbol$3;

var $TypeError$3 = TypeError;
var TO_PRIMITIVE = wellKnownSymbol$2('toPrimitive');

// `ToPrimitive` abstract operation
// https://tc39.es/ecma262/#sec-toprimitive
var toPrimitive$1 = function (input, pref) {
  if (!isObject$3(input) || isSymbol$1(input)) return input;
  var exoticToPrim = getMethod(input, TO_PRIMITIVE);
  var result;
  if (exoticToPrim) {
    if (pref === undefined) pref = 'default';
    result = call$1(exoticToPrim, input, pref);
    if (!isObject$3(result) || isSymbol$1(result)) return result;
    throw new $TypeError$3("Can't convert object to primitive value");
  }
  if (pref === undefined) pref = 'number';
  return ordinaryToPrimitive(input, pref);
};

var toPrimitive = toPrimitive$1;
var isSymbol = isSymbol$2;

// `ToPropertyKey` abstract operation
// https://tc39.es/ecma262/#sec-topropertykey
var toPropertyKey$3 = function (argument) {
  var key = toPrimitive(argument, 'string');
  return isSymbol(key) ? key : key + '';
};

var global$5 = global$c;
var isObject$2 = isObject$5;

var document$1 = global$5.document;
// typeof document.createElement is 'object' in old IE
var EXISTS$1 = isObject$2(document$1) && isObject$2(document$1.createElement);

var documentCreateElement = function (it) {
  return EXISTS$1 ? document$1.createElement(it) : {};
};

var DESCRIPTORS$7 = descriptors;
var fails$5 = fails$a;
var createElement$1 = documentCreateElement;

// Thanks to IE8 for its funny defineProperty
var ie8DomDefine = !DESCRIPTORS$7 && !fails$5(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty(createElement$1('div'), 'a', {
    get: function () { return 7; }
  }).a !== 7;
});

var DESCRIPTORS$6 = descriptors;
var call = functionCall;
var propertyIsEnumerableModule = objectPropertyIsEnumerable;
var createPropertyDescriptor$2 = createPropertyDescriptor$3;
var toIndexedObject$2 = toIndexedObject$3;
var toPropertyKey$2 = toPropertyKey$3;
var hasOwn$6 = hasOwnProperty_1;
var IE8_DOM_DEFINE$1 = ie8DomDefine;

// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor$1 = Object.getOwnPropertyDescriptor;

// `Object.getOwnPropertyDescriptor` method
// https://tc39.es/ecma262/#sec-object.getownpropertydescriptor
objectGetOwnPropertyDescriptor.f = DESCRIPTORS$6 ? $getOwnPropertyDescriptor$1 : function getOwnPropertyDescriptor(O, P) {
  O = toIndexedObject$2(O);
  P = toPropertyKey$2(P);
  if (IE8_DOM_DEFINE$1) try {
    return $getOwnPropertyDescriptor$1(O, P);
  } catch (error) { /* empty */ }
  if (hasOwn$6(O, P)) return createPropertyDescriptor$2(!call(propertyIsEnumerableModule.f, O, P), O[P]);
};

var objectDefineProperty = {};

var DESCRIPTORS$5 = descriptors;
var fails$4 = fails$a;

// V8 ~ Chrome 36-
// https://bugs.chromium.org/p/v8/issues/detail?id=3334
var v8PrototypeDefineBug = DESCRIPTORS$5 && fails$4(function () {
  // eslint-disable-next-line es/no-object-defineproperty -- required for testing
  return Object.defineProperty(function () { /* empty */ }, 'prototype', {
    value: 42,
    writable: false
  }).prototype !== 42;
});

var isObject$1 = isObject$5;

var $String$2 = String;
var $TypeError$2 = TypeError;

// `Assert: Type(argument) is Object`
var anObject$2 = function (argument) {
  if (isObject$1(argument)) return argument;
  throw new $TypeError$2($String$2(argument) + ' is not an object');
};

var DESCRIPTORS$4 = descriptors;
var IE8_DOM_DEFINE = ie8DomDefine;
var V8_PROTOTYPE_DEFINE_BUG = v8PrototypeDefineBug;
var anObject$1 = anObject$2;
var toPropertyKey$1 = toPropertyKey$3;

var $TypeError$1 = TypeError;
// eslint-disable-next-line es/no-object-defineproperty -- safe
var $defineProperty = Object.defineProperty;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var $getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;
var ENUMERABLE = 'enumerable';
var CONFIGURABLE$1 = 'configurable';
var WRITABLE = 'writable';

// `Object.defineProperty` method
// https://tc39.es/ecma262/#sec-object.defineproperty
objectDefineProperty.f = DESCRIPTORS$4 ? V8_PROTOTYPE_DEFINE_BUG ? function defineProperty(O, P, Attributes) {
  anObject$1(O);
  P = toPropertyKey$1(P);
  anObject$1(Attributes);
  if (typeof O === 'function' && P === 'prototype' && 'value' in Attributes && WRITABLE in Attributes && !Attributes[WRITABLE]) {
    var current = $getOwnPropertyDescriptor(O, P);
    if (current && current[WRITABLE]) {
      O[P] = Attributes.value;
      Attributes = {
        configurable: CONFIGURABLE$1 in Attributes ? Attributes[CONFIGURABLE$1] : current[CONFIGURABLE$1],
        enumerable: ENUMERABLE in Attributes ? Attributes[ENUMERABLE] : current[ENUMERABLE],
        writable: false
      };
    }
  } return $defineProperty(O, P, Attributes);
} : $defineProperty : function defineProperty(O, P, Attributes) {
  anObject$1(O);
  P = toPropertyKey$1(P);
  anObject$1(Attributes);
  if (IE8_DOM_DEFINE) try {
    return $defineProperty(O, P, Attributes);
  } catch (error) { /* empty */ }
  if ('get' in Attributes || 'set' in Attributes) throw new $TypeError$1('Accessors not supported');
  if ('value' in Attributes) O[P] = Attributes.value;
  return O;
};

var DESCRIPTORS$3 = descriptors;
var definePropertyModule$3 = objectDefineProperty;
var createPropertyDescriptor$1 = createPropertyDescriptor$3;

var createNonEnumerableProperty$2 = DESCRIPTORS$3 ? function (object, key, value) {
  return definePropertyModule$3.f(object, key, createPropertyDescriptor$1(1, value));
} : function (object, key, value) {
  object[key] = value;
  return object;
};

var makeBuiltIn$3 = {exports: {}};

var DESCRIPTORS$2 = descriptors;
var hasOwn$5 = hasOwnProperty_1;

var FunctionPrototype = Function.prototype;
// eslint-disable-next-line es/no-object-getownpropertydescriptor -- safe
var getDescriptor = DESCRIPTORS$2 && Object.getOwnPropertyDescriptor;

var EXISTS = hasOwn$5(FunctionPrototype, 'name');
// additional protection from minified / mangled / dropped function names
var PROPER = EXISTS && (function something() { /* empty */ }).name === 'something';
var CONFIGURABLE = EXISTS && (!DESCRIPTORS$2 || (DESCRIPTORS$2 && getDescriptor(FunctionPrototype, 'name').configurable));

var functionName = {
  EXISTS: EXISTS,
  PROPER: PROPER,
  CONFIGURABLE: CONFIGURABLE
};

var uncurryThis$5 = functionUncurryThis;
var isCallable$6 = isCallable$c;
var store$1 = sharedStore;

var functionToString = uncurryThis$5(Function.toString);

// this helper broken in `core-js@3.4.1-3.4.4`, so we can't use `shared` helper
if (!isCallable$6(store$1.inspectSource)) {
  store$1.inspectSource = function (it) {
    return functionToString(it);
  };
}

var inspectSource$1 = store$1.inspectSource;

var global$4 = global$c;
var isCallable$5 = isCallable$c;

var WeakMap$1 = global$4.WeakMap;

var weakMapBasicDetection = isCallable$5(WeakMap$1) && /native code/.test(String(WeakMap$1));

var shared$1 = sharedExports;
var uid = uid$2;

var keys = shared$1('keys');

var sharedKey$1 = function (key) {
  return keys[key] || (keys[key] = uid(key));
};

var hiddenKeys$3 = {};

var NATIVE_WEAK_MAP = weakMapBasicDetection;
var global$3 = global$c;
var isObject = isObject$5;
var createNonEnumerableProperty$1 = createNonEnumerableProperty$2;
var hasOwn$4 = hasOwnProperty_1;
var shared = sharedStore;
var sharedKey = sharedKey$1;
var hiddenKeys$2 = hiddenKeys$3;

var OBJECT_ALREADY_INITIALIZED = 'Object already initialized';
var TypeError$1 = global$3.TypeError;
var WeakMap = global$3.WeakMap;
var set, get, has;

var enforce = function (it) {
  return has(it) ? get(it) : set(it, {});
};

var getterFor = function (TYPE) {
  return function (it) {
    var state;
    if (!isObject(it) || (state = get(it)).type !== TYPE) {
      throw new TypeError$1('Incompatible receiver, ' + TYPE + ' required');
    } return state;
  };
};

if (NATIVE_WEAK_MAP || shared.state) {
  var store = shared.state || (shared.state = new WeakMap());
  /* eslint-disable no-self-assign -- prototype methods protection */
  store.get = store.get;
  store.has = store.has;
  store.set = store.set;
  /* eslint-enable no-self-assign -- prototype methods protection */
  set = function (it, metadata) {
    if (store.has(it)) throw new TypeError$1(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    store.set(it, metadata);
    return metadata;
  };
  get = function (it) {
    return store.get(it) || {};
  };
  has = function (it) {
    return store.has(it);
  };
} else {
  var STATE = sharedKey('state');
  hiddenKeys$2[STATE] = true;
  set = function (it, metadata) {
    if (hasOwn$4(it, STATE)) throw new TypeError$1(OBJECT_ALREADY_INITIALIZED);
    metadata.facade = it;
    createNonEnumerableProperty$1(it, STATE, metadata);
    return metadata;
  };
  get = function (it) {
    return hasOwn$4(it, STATE) ? it[STATE] : {};
  };
  has = function (it) {
    return hasOwn$4(it, STATE);
  };
}

var internalState = {
  set: set,
  get: get,
  has: has,
  enforce: enforce,
  getterFor: getterFor
};

var uncurryThis$4 = functionUncurryThis;
var fails$3 = fails$a;
var isCallable$4 = isCallable$c;
var hasOwn$3 = hasOwnProperty_1;
var DESCRIPTORS$1 = descriptors;
var CONFIGURABLE_FUNCTION_NAME = functionName.CONFIGURABLE;
var inspectSource = inspectSource$1;
var InternalStateModule = internalState;

var enforceInternalState = InternalStateModule.enforce;
var getInternalState = InternalStateModule.get;
var $String$1 = String;
// eslint-disable-next-line es/no-object-defineproperty -- safe
var defineProperty$1 = Object.defineProperty;
var stringSlice$1 = uncurryThis$4(''.slice);
var replace$1 = uncurryThis$4(''.replace);
var join = uncurryThis$4([].join);

var CONFIGURABLE_LENGTH = DESCRIPTORS$1 && !fails$3(function () {
  return defineProperty$1(function () { /* empty */ }, 'length', { value: 8 }).length !== 8;
});

var TEMPLATE = String(String).split('String');

var makeBuiltIn$2 = makeBuiltIn$3.exports = function (value, name, options) {
  if (stringSlice$1($String$1(name), 0, 7) === 'Symbol(') {
    name = '[' + replace$1($String$1(name), /^Symbol\(([^)]*)\)/, '$1') + ']';
  }
  if (options && options.getter) name = 'get ' + name;
  if (options && options.setter) name = 'set ' + name;
  if (!hasOwn$3(value, 'name') || (CONFIGURABLE_FUNCTION_NAME && value.name !== name)) {
    if (DESCRIPTORS$1) defineProperty$1(value, 'name', { value: name, configurable: true });
    else value.name = name;
  }
  if (CONFIGURABLE_LENGTH && options && hasOwn$3(options, 'arity') && value.length !== options.arity) {
    defineProperty$1(value, 'length', { value: options.arity });
  }
  try {
    if (options && hasOwn$3(options, 'constructor') && options.constructor) {
      if (DESCRIPTORS$1) defineProperty$1(value, 'prototype', { writable: false });
    // in V8 ~ Chrome 53, prototypes of some methods, like `Array.prototype.values`, are non-writable
    } else if (value.prototype) value.prototype = undefined;
  } catch (error) { /* empty */ }
  var state = enforceInternalState(value);
  if (!hasOwn$3(state, 'source')) {
    state.source = join(TEMPLATE, typeof name == 'string' ? name : '');
  } return value;
};

// add fake Function#toString for correct work wrapped methods / constructors with methods like LoDash isNative
// eslint-disable-next-line no-extend-native -- required
Function.prototype.toString = makeBuiltIn$2(function toString() {
  return isCallable$4(this) && getInternalState(this).source || inspectSource(this);
}, 'toString');

var makeBuiltInExports = makeBuiltIn$3.exports;

var isCallable$3 = isCallable$c;
var definePropertyModule$2 = objectDefineProperty;
var makeBuiltIn$1 = makeBuiltInExports;
var defineGlobalProperty$1 = defineGlobalProperty$3;

var defineBuiltIn$1 = function (O, key, value, options) {
  if (!options) options = {};
  var simple = options.enumerable;
  var name = options.name !== undefined ? options.name : key;
  if (isCallable$3(value)) makeBuiltIn$1(value, name, options);
  if (options.global) {
    if (simple) O[key] = value;
    else defineGlobalProperty$1(key, value);
  } else {
    try {
      if (!options.unsafe) delete O[key];
      else if (O[key]) simple = true;
    } catch (error) { /* empty */ }
    if (simple) O[key] = value;
    else definePropertyModule$2.f(O, key, {
      value: value,
      enumerable: false,
      configurable: !options.nonConfigurable,
      writable: !options.nonWritable
    });
  } return O;
};

var objectGetOwnPropertyNames = {};

var ceil = Math.ceil;
var floor$1 = Math.floor;

// `Math.trunc` method
// https://tc39.es/ecma262/#sec-math.trunc
// eslint-disable-next-line es/no-math-trunc -- safe
var mathTrunc = Math.trunc || function trunc(x) {
  var n = +x;
  return (n > 0 ? floor$1 : ceil)(n);
};

var trunc = mathTrunc;

// `ToIntegerOrInfinity` abstract operation
// https://tc39.es/ecma262/#sec-tointegerorinfinity
var toIntegerOrInfinity$2 = function (argument) {
  var number = +argument;
  // eslint-disable-next-line no-self-compare -- NaN check
  return number !== number || number === 0 ? 0 : trunc(number);
};

var toIntegerOrInfinity$1 = toIntegerOrInfinity$2;

var max$1 = Math.max;
var min$1 = Math.min;

// Helper for a popular repeating case of the spec:
// Let integer be ? ToInteger(index).
// If integer < 0, let result be max((length + integer), 0); else let result be min(integer, length).
var toAbsoluteIndex$2 = function (index, length) {
  var integer = toIntegerOrInfinity$1(index);
  return integer < 0 ? max$1(integer + length, 0) : min$1(integer, length);
};

var toIntegerOrInfinity = toIntegerOrInfinity$2;

var min = Math.min;

// `ToLength` abstract operation
// https://tc39.es/ecma262/#sec-tolength
var toLength$1 = function (argument) {
  return argument > 0 ? min(toIntegerOrInfinity(argument), 0x1FFFFFFFFFFFFF) : 0; // 2 ** 53 - 1 == 9007199254740991
};

var toLength = toLength$1;

// `LengthOfArrayLike` abstract operation
// https://tc39.es/ecma262/#sec-lengthofarraylike
var lengthOfArrayLike$3 = function (obj) {
  return toLength(obj.length);
};

var toIndexedObject$1 = toIndexedObject$3;
var toAbsoluteIndex$1 = toAbsoluteIndex$2;
var lengthOfArrayLike$2 = lengthOfArrayLike$3;

// `Array.prototype.{ indexOf, includes }` methods implementation
var createMethod = function (IS_INCLUDES) {
  return function ($this, el, fromIndex) {
    var O = toIndexedObject$1($this);
    var length = lengthOfArrayLike$2(O);
    var index = toAbsoluteIndex$1(fromIndex, length);
    var value;
    // Array#includes uses SameValueZero equality algorithm
    // eslint-disable-next-line no-self-compare -- NaN check
    if (IS_INCLUDES && el !== el) while (length > index) {
      value = O[index++];
      // eslint-disable-next-line no-self-compare -- NaN check
      if (value !== value) return true;
    // Array#indexOf ignores holes, Array#includes - not
    } else for (;length > index; index++) {
      if ((IS_INCLUDES || index in O) && O[index] === el) return IS_INCLUDES || index || 0;
    } return !IS_INCLUDES && -1;
  };
};

var arrayIncludes = {
  // `Array.prototype.includes` method
  // https://tc39.es/ecma262/#sec-array.prototype.includes
  includes: createMethod(true),
  // `Array.prototype.indexOf` method
  // https://tc39.es/ecma262/#sec-array.prototype.indexof
  indexOf: createMethod(false)
};

var uncurryThis$3 = functionUncurryThis;
var hasOwn$2 = hasOwnProperty_1;
var toIndexedObject = toIndexedObject$3;
var indexOf$1 = arrayIncludes.indexOf;
var hiddenKeys$1 = hiddenKeys$3;

var push$1 = uncurryThis$3([].push);

var objectKeysInternal = function (object, names) {
  var O = toIndexedObject(object);
  var i = 0;
  var result = [];
  var key;
  for (key in O) !hasOwn$2(hiddenKeys$1, key) && hasOwn$2(O, key) && push$1(result, key);
  // Don't enum bug & hidden keys
  while (names.length > i) if (hasOwn$2(O, key = names[i++])) {
    ~indexOf$1(result, key) || push$1(result, key);
  }
  return result;
};

// IE8- don't enum bug keys
var enumBugKeys$1 = [
  'constructor',
  'hasOwnProperty',
  'isPrototypeOf',
  'propertyIsEnumerable',
  'toLocaleString',
  'toString',
  'valueOf'
];

var internalObjectKeys = objectKeysInternal;
var enumBugKeys = enumBugKeys$1;

var hiddenKeys = enumBugKeys.concat('length', 'prototype');

// `Object.getOwnPropertyNames` method
// https://tc39.es/ecma262/#sec-object.getownpropertynames
// eslint-disable-next-line es/no-object-getownpropertynames -- safe
objectGetOwnPropertyNames.f = Object.getOwnPropertyNames || function getOwnPropertyNames(O) {
  return internalObjectKeys(O, hiddenKeys);
};

var objectGetOwnPropertySymbols = {};

// eslint-disable-next-line es/no-object-getownpropertysymbols -- safe
objectGetOwnPropertySymbols.f = Object.getOwnPropertySymbols;

var getBuiltIn = getBuiltIn$2;
var uncurryThis$2 = functionUncurryThis;
var getOwnPropertyNamesModule = objectGetOwnPropertyNames;
var getOwnPropertySymbolsModule = objectGetOwnPropertySymbols;
var anObject = anObject$2;

var concat = uncurryThis$2([].concat);

// all object keys, includes non-enumerable and symbols
var ownKeys$1 = getBuiltIn('Reflect', 'ownKeys') || function ownKeys(it) {
  var keys = getOwnPropertyNamesModule.f(anObject(it));
  var getOwnPropertySymbols = getOwnPropertySymbolsModule.f;
  return getOwnPropertySymbols ? concat(keys, getOwnPropertySymbols(it)) : keys;
};

var hasOwn$1 = hasOwnProperty_1;
var ownKeys = ownKeys$1;
var getOwnPropertyDescriptorModule = objectGetOwnPropertyDescriptor;
var definePropertyModule$1 = objectDefineProperty;

var copyConstructorProperties$2 = function (target, source, exceptions) {
  var keys = ownKeys(source);
  var defineProperty = definePropertyModule$1.f;
  var getOwnPropertyDescriptor = getOwnPropertyDescriptorModule.f;
  for (var i = 0; i < keys.length; i++) {
    var key = keys[i];
    if (!hasOwn$1(target, key) && !(exceptions && hasOwn$1(exceptions, key))) {
      defineProperty(target, key, getOwnPropertyDescriptor(source, key));
    }
  }
};

var fails$2 = fails$a;
var isCallable$2 = isCallable$c;

var replacement = /#|\.prototype\./;

var isForced$1 = function (feature, detection) {
  var value = data[normalize(feature)];
  return value === POLYFILL ? true
    : value === NATIVE ? false
    : isCallable$2(detection) ? fails$2(detection)
    : !!detection;
};

var normalize = isForced$1.normalize = function (string) {
  return String(string).replace(replacement, '.').toLowerCase();
};

var data = isForced$1.data = {};
var NATIVE = isForced$1.NATIVE = 'N';
var POLYFILL = isForced$1.POLYFILL = 'P';

var isForced_1 = isForced$1;

var global$2 = global$c;
var getOwnPropertyDescriptor = objectGetOwnPropertyDescriptor.f;
var createNonEnumerableProperty = createNonEnumerableProperty$2;
var defineBuiltIn = defineBuiltIn$1;
var defineGlobalProperty = defineGlobalProperty$3;
var copyConstructorProperties$1 = copyConstructorProperties$2;
var isForced = isForced_1;

/*
  options.target         - name of the target object
  options.global         - target is the global object
  options.stat           - export as static methods of target
  options.proto          - export as prototype methods of target
  options.real           - real prototype method for the `pure` version
  options.forced         - export even if the native feature is available
  options.bind           - bind methods to the target, required for the `pure` version
  options.wrap           - wrap constructors to preventing global pollution, required for the `pure` version
  options.unsafe         - use the simple assignment of property instead of delete + defineProperty
  options.sham           - add a flag to not completely full polyfills
  options.enumerable     - export as enumerable property
  options.dontCallGetSet - prevent calling a getter on target
  options.name           - the .name of the function if it does not match the key
*/
var _export = function (options, source) {
  var TARGET = options.target;
  var GLOBAL = options.global;
  var STATIC = options.stat;
  var FORCED, target, key, targetProperty, sourceProperty, descriptor;
  if (GLOBAL) {
    target = global$2;
  } else if (STATIC) {
    target = global$2[TARGET] || defineGlobalProperty(TARGET, {});
  } else {
    target = (global$2[TARGET] || {}).prototype;
  }
  if (target) for (key in source) {
    sourceProperty = source[key];
    if (options.dontCallGetSet) {
      descriptor = getOwnPropertyDescriptor(target, key);
      targetProperty = descriptor && descriptor.value;
    } else targetProperty = target[key];
    FORCED = isForced(GLOBAL ? key : TARGET + (STATIC ? '.' : '#') + key, options.forced);
    // contained in target
    if (!FORCED && targetProperty !== undefined) {
      if (typeof sourceProperty == typeof targetProperty) continue;
      copyConstructorProperties$1(sourceProperty, targetProperty);
    }
    // add a flag to not completely full polyfills
    if (options.sham || (targetProperty && targetProperty.sham)) {
      createNonEnumerableProperty(sourceProperty, 'sham', true);
    }
    defineBuiltIn(target, key, sourceProperty, options);
  }
};

var wellKnownSymbol$1 = wellKnownSymbol$3;

var TO_STRING_TAG$1 = wellKnownSymbol$1('toStringTag');
var test$1 = {};

test$1[TO_STRING_TAG$1] = 'z';

var toStringTagSupport = String(test$1) === '[object z]';

var TO_STRING_TAG_SUPPORT = toStringTagSupport;
var isCallable$1 = isCallable$c;
var classofRaw = classofRaw$1;
var wellKnownSymbol = wellKnownSymbol$3;

var TO_STRING_TAG = wellKnownSymbol('toStringTag');
var $Object = Object;

// ES3 wrong here
var CORRECT_ARGUMENTS = classofRaw(function () { return arguments; }()) === 'Arguments';

// fallback for IE11 Script Access Denied error
var tryGet = function (it, key) {
  try {
    return it[key];
  } catch (error) { /* empty */ }
};

// getting tag from ES6+ `Object.prototype.toString`
var classof$1 = TO_STRING_TAG_SUPPORT ? classofRaw : function (it) {
  var O, tag, result;
  return it === undefined ? 'Undefined' : it === null ? 'Null'
    // @@toStringTag case
    : typeof (tag = tryGet(O = $Object(it), TO_STRING_TAG)) == 'string' ? tag
    // builtinTag case
    : CORRECT_ARGUMENTS ? classofRaw(O)
    // ES3 arguments fallback
    : (result = classofRaw(O)) === 'Object' && isCallable$1(O.callee) ? 'Arguments' : result;
};

var classof = classof$1;

var $String = String;

var toString$2 = function (argument) {
  if (classof(argument) === 'Symbol') throw new TypeError('Cannot convert a Symbol value to a string');
  return $String(argument);
};

var makeBuiltIn = makeBuiltInExports;
var defineProperty = objectDefineProperty;

var defineBuiltInAccessor$1 = function (target, name, descriptor) {
  if (descriptor.get) makeBuiltIn(descriptor.get, name, { getter: true });
  if (descriptor.set) makeBuiltIn(descriptor.set, name, { setter: true });
  return defineProperty.f(target, name, descriptor);
};

var $$2 = _export;
var DESCRIPTORS = descriptors;
var global$1 = global$c;
var uncurryThis$1 = functionUncurryThis;
var hasOwn = hasOwnProperty_1;
var isCallable = isCallable$c;
var isPrototypeOf = objectIsPrototypeOf;
var toString$1 = toString$2;
var defineBuiltInAccessor = defineBuiltInAccessor$1;
var copyConstructorProperties = copyConstructorProperties$2;

var NativeSymbol = global$1.Symbol;
var SymbolPrototype = NativeSymbol && NativeSymbol.prototype;

if (DESCRIPTORS && isCallable(NativeSymbol) && (!('description' in SymbolPrototype) ||
  // Safari 12 bug
  NativeSymbol().description !== undefined
)) {
  var EmptyStringDescriptionStore = {};
  // wrap Symbol constructor for correct work with undefined description
  var SymbolWrapper = function Symbol() {
    var description = arguments.length < 1 || arguments[0] === undefined ? undefined : toString$1(arguments[0]);
    var result = isPrototypeOf(SymbolPrototype, this)
      ? new NativeSymbol(description)
      // in Edge 13, String(Symbol(undefined)) === 'Symbol(undefined)'
      : description === undefined ? NativeSymbol() : NativeSymbol(description);
    if (description === '') EmptyStringDescriptionStore[result] = true;
    return result;
  };

  copyConstructorProperties(SymbolWrapper, NativeSymbol);
  SymbolWrapper.prototype = SymbolPrototype;
  SymbolPrototype.constructor = SymbolWrapper;

  var NATIVE_SYMBOL = String(NativeSymbol('description detection')) === 'Symbol(description detection)';
  var thisSymbolValue = uncurryThis$1(SymbolPrototype.valueOf);
  var symbolDescriptiveString = uncurryThis$1(SymbolPrototype.toString);
  var regexp = /^Symbol\((.*)\)[^)]+$/;
  var replace = uncurryThis$1(''.replace);
  var stringSlice = uncurryThis$1(''.slice);

  defineBuiltInAccessor(SymbolPrototype, 'description', {
    configurable: true,
    get: function description() {
      var symbol = thisSymbolValue(this);
      if (hasOwn(EmptyStringDescriptionStore, symbol)) return '';
      var string = symbolDescriptiveString(symbol);
      var desc = NATIVE_SYMBOL ? stringSlice(string, 7, -1) : replace(string, regexp, '$1');
      return desc === '' ? undefined : desc;
    }
  });

  $$2({ global: true, constructor: true, forced: true }, {
    Symbol: SymbolWrapper
  });
}

var tryToString = tryToString$2;

var $TypeError = TypeError;

var deletePropertyOrThrow$1 = function (O, P) {
  if (!delete O[P]) throw new $TypeError('Cannot delete property ' + tryToString(P) + ' of ' + tryToString(O));
};

var toPropertyKey = toPropertyKey$3;
var definePropertyModule = objectDefineProperty;
var createPropertyDescriptor = createPropertyDescriptor$3;

var createProperty$1 = function (object, key, value) {
  var propertyKey = toPropertyKey(key);
  if (propertyKey in object) definePropertyModule.f(object, propertyKey, createPropertyDescriptor(0, value));
  else object[propertyKey] = value;
};

var toAbsoluteIndex = toAbsoluteIndex$2;
var lengthOfArrayLike$1 = lengthOfArrayLike$3;
var createProperty = createProperty$1;

var $Array = Array;
var max = Math.max;

var arraySliceSimple = function (O, start, end) {
  var length = lengthOfArrayLike$1(O);
  var k = toAbsoluteIndex(start, length);
  var fin = toAbsoluteIndex(end === undefined ? length : end, length);
  var result = $Array(max(fin - k, 0));
  var n = 0;
  for (; k < fin; k++, n++) createProperty(result, n, O[k]);
  result.length = n;
  return result;
};

var arraySlice = arraySliceSimple;

var floor = Math.floor;

var mergeSort = function (array, comparefn) {
  var length = array.length;
  var middle = floor(length / 2);
  return length < 8 ? insertionSort(array, comparefn) : merge(
    array,
    mergeSort(arraySlice(array, 0, middle), comparefn),
    mergeSort(arraySlice(array, middle), comparefn),
    comparefn
  );
};

var insertionSort = function (array, comparefn) {
  var length = array.length;
  var i = 1;
  var element, j;

  while (i < length) {
    j = i;
    element = array[i];
    while (j && comparefn(array[j - 1], element) > 0) {
      array[j] = array[--j];
    }
    if (j !== i++) array[j] = element;
  } return array;
};

var merge = function (array, left, right, comparefn) {
  var llength = left.length;
  var rlength = right.length;
  var lindex = 0;
  var rindex = 0;

  while (lindex < llength || rindex < rlength) {
    array[lindex + rindex] = (lindex < llength && rindex < rlength)
      ? comparefn(left[lindex], right[rindex]) <= 0 ? left[lindex++] : right[rindex++]
      : lindex < llength ? left[lindex++] : right[rindex++];
  } return array;
};

var arraySort = mergeSort;

var fails$1 = fails$a;

var arrayMethodIsStrict$1 = function (METHOD_NAME, argument) {
  var method = [][METHOD_NAME];
  return !!method && fails$1(function () {
    // eslint-disable-next-line no-useless-call -- required for testing
    method.call(null, argument || function () { return 1; }, 1);
  });
};

var userAgent$2 = engineUserAgent;

var firefox = userAgent$2.match(/firefox\/(\d+)/i);

var engineFfVersion = !!firefox && +firefox[1];

var UA = engineUserAgent;

var engineIsIeOrEdge = /MSIE|Trident/.test(UA);

var userAgent$1 = engineUserAgent;

var webkit = userAgent$1.match(/AppleWebKit\/(\d+)\./);

var engineWebkitVersion = !!webkit && +webkit[1];

var $$1 = _export;
var uncurryThis = functionUncurryThis;
var aCallable = aCallable$2;
var toObject = toObject$2;
var lengthOfArrayLike = lengthOfArrayLike$3;
var deletePropertyOrThrow = deletePropertyOrThrow$1;
var toString = toString$2;
var fails = fails$a;
var internalSort = arraySort;
var arrayMethodIsStrict = arrayMethodIsStrict$1;
var FF = engineFfVersion;
var IE_OR_EDGE = engineIsIeOrEdge;
var V8 = engineV8Version;
var WEBKIT = engineWebkitVersion;

var test = [];
var nativeSort$1 = uncurryThis(test.sort);
var push = uncurryThis(test.push);

// IE8-
var FAILS_ON_UNDEFINED = fails(function () {
  test.sort(undefined);
});
// V8 bug
var FAILS_ON_NULL = fails(function () {
  test.sort(null);
});
// Old WebKit
var STRICT_METHOD = arrayMethodIsStrict('sort');

var STABLE_SORT = !fails(function () {
  // feature detection can be too slow, so check engines versions
  if (V8) return V8 < 70;
  if (FF && FF > 3) return;
  if (IE_OR_EDGE) return true;
  if (WEBKIT) return WEBKIT < 603;

  var result = '';
  var code, chr, value, index;

  // generate an array with more 512 elements (Chakra and old V8 fails only in this case)
  for (code = 65; code < 76; code++) {
    chr = String.fromCharCode(code);

    switch (code) {
      case 66: case 69: case 70: case 72: value = 3; break;
      case 68: case 71: value = 4; break;
      default: value = 2;
    }

    for (index = 0; index < 47; index++) {
      test.push({ k: chr + index, v: value });
    }
  }

  test.sort(function (a, b) { return b.v - a.v; });

  for (index = 0; index < test.length; index++) {
    chr = test[index].k.charAt(0);
    if (result.charAt(result.length - 1) !== chr) result += chr;
  }

  return result !== 'DGBEFHACIJK';
});

var FORCED = FAILS_ON_UNDEFINED || !FAILS_ON_NULL || !STRICT_METHOD || !STABLE_SORT;

var getSortCompare = function (comparefn) {
  return function (x, y) {
    if (y === undefined) return -1;
    if (x === undefined) return 1;
    if (comparefn !== undefined) return +comparefn(x, y) || 0;
    return toString(x) > toString(y) ? 1 : -1;
  };
};

// `Array.prototype.sort` method
// https://tc39.es/ecma262/#sec-array.prototype.sort
$$1({ target: 'Array', proto: true, forced: FORCED }, {
  sort: function sort(comparefn) {
    if (comparefn !== undefined) aCallable(comparefn);

    var array = toObject(this);

    if (STABLE_SORT) return comparefn === undefined ? nativeSort$1(array) : nativeSort$1(array, comparefn);

    var items = [];
    var arrayLength = lengthOfArrayLike(array);
    var itemsLength, index;

    for (index = 0; index < arrayLength; index++) {
      if (index in array) push(items, array[index]);
    }

    internalSort(items, getSortCompare(comparefn));

    itemsLength = lengthOfArrayLike(items);
    index = 0;

    while (index < itemsLength) array[index] = items[index++];
    while (index < arrayLength) deletePropertyOrThrow(array, index++);

    return array;
  }
});

const indexOf = Array.prototype.indexOf;

const includes = function includes(array, item) {
  return indexOf.call(array, item) >= 0;
};

const find = function find(array, predicate) {
  for (let i = 0, len = array.length; i >= 0 && i < len; i += 1) {
    if (predicate(array[i], i, array))
    return array[i];
  }
};

const htmlEncode = function htmlEncode(text) {
  return text.replace(/&/g, "&amp;").
  replace(/</g, "&lt;").
  replace(/>/g, "&gt;").
  replace(/'/g, "&#39;").
  replace(/"/g, "&quot;").
  replace(/\n/g, '<br />');
};

function RowCollection() {

  // Instantiate an Array. Seems like the `.length = ` of an inherited Array does not work well.
  // I will not use the IFRAME solution either in fear of memory leaks, and we're supporting large datasets...
  let collection = [];

  // Synthetically set the 'prototype'
  Object.assign(collection, RowCollection.prototype);

  // Call initializer
  collection.initialize.apply(collection, arguments);

  return collection;
}

// Inherit Array
RowCollection.prototype = [];

RowCollection.prototype.initialize = function (options) {

  options = options || {};

  /** @field {string} sortColumn */
  this.sortColumn = options.sortColumn == null ? [] : options.sortColumn;
};

/**
 * @param {Object|Object[]} rows - row or array of rows to add to this collection
 * @param {number?} at - position to insert rows at
 */
RowCollection.prototype.add = function (rows, at) {
  let isArray = 'splice' in rows && 'length' in rows,i,len;
  if (isArray) {
    if (typeof at === 'number') {
      for (i = 0, len = rows.length; i < len; i++) {
        this.splice(at++, 0, rows[i]);
      }
    } else {
      for (i = 0, len = rows.length; i < len; i++) {
        this.push(rows[i]);
      }
    }
  } else {
    if (typeof at === 'number') {
      this.splice(at, 0, rows);
    } else {
      this.push(rows);
    }
  }
};

/**
 * @param {Object|Object[]=} rows Row or array of rows to add to this collection
 */
RowCollection.prototype.reset = function (rows) {
  this.length = 0;
  if (rows) {
    this.add(rows);
  }
};

/**
 * @param {Function} filterFunc - Filtering function
 * @param {Object|null} args? - Options to pass to the function
 * @returns {RowCollection} success result
 */
RowCollection.prototype.filteredCollection = function (filterFunc, args) {
  if (filterFunc && args) {
    let rows = new RowCollection({ sortColumn: this.sortColumn });

    for (let i = 0, len = this.length, row; i < len; i++) {
      row = this[i];
      if (filterFunc(row, args)) {
        row['__i'] = i;
        rows.push(row);
      }
    }
    return rows;
  } else {
    return null;
  }
};

/**
 * @type {function(columnName: string, descending: boolean, defaultComparator: function(a,b):number)|null|undefined}
 */
RowCollection.prototype.onComparatorRequired = null;

/**
 * @type {Function|null|undefined}
 */
RowCollection.prototype.onSort = null;

let nativeSort = RowCollection.prototype.sort;

function getDefaultComparator(column, descending) {
  let columnName = column.column;
  let comparePath = column.comparePath || columnName;
  if (typeof comparePath === 'string') {
    comparePath = comparePath.split('.');
  }
  let pathLength = comparePath.length,
    hasPath = pathLength > 1,
    i;

  let lessVal = descending ? 1 : -1,moreVal = descending ? -1 : 1;
  return function (leftRow, rightRow) {
    let leftVal = leftRow[comparePath[0]],
      rightVal = rightRow[comparePath[0]];
    if (hasPath) {
      for (i = 1; i < pathLength; i++) {
        leftVal = leftVal && leftVal[comparePath[i]];
        rightVal = rightVal && rightVal[comparePath[i]];
      }
    }
    if (leftVal === rightVal) return 0;
    if (leftVal == null) return lessVal;
    if (rightVal == null) return moreVal;
    if (leftVal < rightVal) return lessVal;
    return moreVal;
  };
}

/**
 * @param {Boolean=false} silent
 * @returns {Function|undefined} the comparator that was used
 */
RowCollection.prototype.sort = function (silent) {
  let comparator;

  if (this.sortColumn.length) {
    let comparators = [];

    for (let i = 0; i < this.sortColumn.length; i++) {
      comparator = null;
      const defaultComparator = getDefaultComparator(this.sortColumn[i], this.sortColumn[i].descending);
      if (this.onComparatorRequired) {
        comparator = this.onComparatorRequired(this.sortColumn[i].column, this.sortColumn[i].descending, defaultComparator);
      }
      if (!comparator) {
        comparator = defaultComparator;
      }
      comparators.push(comparator.bind(this));
    }

    if (comparators.length === 1) {
      comparator = comparators[0];
      nativeSort.call(this, comparator);
    } else {
      let len = comparators.length,
        value;

      comparator = function (leftRow, rightRow) {
        for (let i = 0; i < len; i++) {
          value = comparators[i](leftRow, rightRow);
          if (value !== 0) {
            return value;
          }
        }
        return value;
      };

      nativeSort.call(this, comparator);
    }

    if (!silent) {
      if (this.onSort) {
        this.onSort(comparator);
      }
    }
  }

  return comparator;
};

function ColumnCollection() {

  // Instantiate an Array. Seems like the `.length = ` of an inherited Array does not work well.
  // I will not use the IFRAME solution either in fear of memory leaks, and we're supporting large datasets...
  let collection = [];

  // Synthetically set the 'prototype'
  Object.assign(collection, ColumnCollection.prototype);

  // Call initializer
  collection.initialize.apply(collection, arguments);

  return collection;
}

// Inherit Array
ColumnCollection.prototype = [];

ColumnCollection.prototype.initialize = function () {

};

/**
 * Get the column by this name
 * @param {string} column column name
 * @returns {Object} the column object
 */
ColumnCollection.prototype.get = function (column) {
  for (let i = 0, len = this.length; i < len; i++) {
    if (this[i].name === column) {
      return this[i];
    }
  }
  return null;
};

/**
 * Get the index of the column by this name
 * @param {string} column column name
 * @returns {int} the index of this column
 */
ColumnCollection.prototype.indexOf = function (column) {
  for (let i = 0, len = this.length; i < len; i++) {
    if (this[i].name === column) {
      return i;
    }
  }
  return -1;
};

/**
 * Get the column by the specified order
 * @param {number} order the column's order
 * @returns {Object} the column object
 */
ColumnCollection.prototype.getByOrder = function (order) {
  for (let i = 0, len = this.length; i < len; i++) {
    if (this[i].order === order) {
      return this[i];
    }
  }
  return null;
};

/**
 * Normalize order
 * @returns {ColumnCollection} self
 */
ColumnCollection.prototype.normalizeOrder = function () {
  let ordered = [],i;
  for (i = 0; i < this.length; i++) {
    ordered.push(this[i]);
  }
  ordered.sort(function (col1, col2) {return col1.order < col2.order ? -1 : col1.order > col2.order ? 1 : 0;});
  for (i = 0; i < ordered.length; i++) {
    ordered[i].order = i;
  }
  return this;
};

/**
 * Get the array of columns, order by the order property
 * @returns {Array<Object>} ordered array of columns
 */
ColumnCollection.prototype.getColumns = function () {
  let cols = [];
  for (let i = 0, column; i < this.length; i++) {
    column = this[i];
    cols.push(column);
  }
  cols.sort((col1, col2) => col1.order < col2.order ? -1 : col1.order > col2.order ? 1 : 0);
  return cols;
};

/**
 * Get the array of visible columns, order by the order property
 * @returns {Array<Object>} ordered array of visible columns
 */
ColumnCollection.prototype.getVisibleColumns = function () {
  let cols = [];
  for (let i = 0, column; i < this.length; i++) {
    column = this[i];
    if (column.visible) {
      cols.push(column);
    }
  }
  cols.sort((col1, col2) => col1.order < col2.order ? -1 : col1.order > col2.order ? 1 : 0);
  return cols;
};

/**
 * @returns {int} maximum order currently in the array
 */
ColumnCollection.prototype.getMaxOrder = function () {
  let order = 0;
  for (let i = 0, column; i < this.length; i++) {
    column = this[i];
    if (column.order > order) {
      order = column.order;
    }
  }
  return order;
};

/**
 * Move a column to a new spot in the collection
 * @param {Object} src the column to move
 * @param {Object} dest the destination column
 * @returns {ColumnCollection} self
 */
ColumnCollection.prototype.moveColumn = function (src, dest) {
  if (src && dest) {
    let srcOrder = src.order,destOrder = dest.order,i,col;
    if (srcOrder < destOrder) {
      for (i = srcOrder + 1; i <= destOrder; i++) {
        col = this.getByOrder(i);
        col.order--;
      }
    } else {
      for (i = srcOrder - 1; i >= destOrder; i--) {
        col = this.getByOrder(i);
        col.order++;
      }
    }
    src.order = destOrder;
  }
  return this;
};

/* eslint-env browser */


// saveSelection/restoreSelection courtesy of Tim Down, with my improvements
// https://stackoverflow.com/questions/13949059/persisting-the-changes-of-range-objects-after-selection-in-html/13950376#13950376

function isChildOf(child, parent) {
  while ((child = child.parentNode) && child !== parent);
  return !!child;
}

class SelectionHelper {

  static saveSelection(el) {
    let range = window.getSelection().getRangeAt(0);

    if (el !== range.commonAncestorContainer && !isChildOf(range.commonAncestorContainer, el))
    return null;

    let preSelectionRange = range.cloneRange();
    preSelectionRange.selectNodeContents(el);
    preSelectionRange.setEnd(range.startContainer, range.startOffset);
    let start = preSelectionRange.toString().length;

    return {
      start: start,
      end: start + range.toString().length
    };
  }

  static restoreSelection(el, savedSel) {
    let charIndex = 0;
    let nodeStack = [el],node,foundStart = false,stop = false;
    let range = document.createRange();
    range.setStart(el, 0);
    range.collapse(true);

    while (!stop && (node = nodeStack.pop())) {
      if (node.nodeType === 3) {
        let nextCharIndex = charIndex + node.length;
        if (!foundStart && savedSel.start >= charIndex && savedSel.start <= nextCharIndex) {
          range.setStart(node, savedSel.start - charIndex);
          foundStart = true;
        }
        if (foundStart && savedSel.end >= charIndex && savedSel.end <= nextCharIndex) {
          range.setEnd(node, savedSel.end - charIndex);
          stop = true;
        }
        charIndex = nextCharIndex;
      } else {
        let i = node.childNodes.length;
        while (i--) {
          nodeStack.push(node.childNodes[i]);
        }
      }
    }

    let sel = window.getSelection();
    sel.removeAllRanges();
    sel.addRange(range);
  }
}

/**
 * @typedef {function(index: number):(number|undefined)} VirtualListHelper~ItemHeightEstimatorFunction
 */

/**
 * @typedef {function():Element} VirtualListHelper~ItemElementCreatorFunction
 */

/**
 * @typedef {function(itemEl: Element, index: number)} VirtualListHelper~ItemRenderFunction
 */

/**
 * @typedef {function(itemEl: Element)} VirtualListHelper~ItemUnrenderFunction
 */

/**
 * @typedef {Object} VirtualListHelper~Options
 * @property {Element} list - the main element to operate inside of
 * @property {Element?} [itemsParent] - the element to use as parent for the items (automatically created in virtual mode, uses parent by default in non-virtual mode)
 * @property {boolean} [autoVirtualWrapperWidth=true] automatically set the width of the virtual wrapper
 * @property {boolean} [hookScrollEvent=true] automatically hook scroll event as needed
 * @property {number} [count=0] the item count
 * @property {boolean} [virtual=true] is virtual mode on?
 * @property {number} [estimatedItemHeight=20] estimated item height
 * @property {number} [buffer=5] the amount of buffer items to keep on each end of the list
 * @property {VirtualListHelper~ItemHeightEstimatorFunction} [itemHeightEstimatorFn] an optional function for providing item height estimations
 * @property {VirtualListHelper~ItemElementCreatorFunction} [itemElementCreatorFn] an optional function for providing fresh item elements (default creates `<li />`s)
 * @property {VirtualListHelper~ItemRenderFunction} [onItemRender] a function for rendering element content based on item index
 * @property {VirtualListHelper~ItemUnrenderFunction} [onItemUnrender] a function for freeing resources in an item element
 * @property {function(height: number)} [onScrollHeightChange] a function to be notified when scroll height changes
 *
 */

/** */

const hasOwnProperty$1 = Object.prototype.hasOwnProperty;

const hasInsertAdjacentElement = Element.prototype.insertAdjacentElement !== undefined;

function insertBefore(el, before, parent) {
  if (!before)
  parent.appendChild(el);else
  if (hasInsertAdjacentElement === false || el instanceof DocumentFragment)
  parent.insertBefore(el, before);else
  before.insertAdjacentElement('beforebegin', el);
}

/**
 *
 * @param {Element} itemEl
 * @param {DocumentFragment|null} fragment
 * @param {Node|undefined} before
 * @param {Element} itemParent
 * @returns {DocumentFragment|null}
 */
function insertBeforeWithFragment(itemEl, fragment, before, itemParent) {
  if (itemEl.parentNode !== itemParent) {
    if (!fragment)
    fragment = document.createDocumentFragment();
    fragment.appendChild(itemEl);
  } else {
    // insert fragment
    if (fragment && fragment.childNodes.length > 0) {
      insertBefore(fragment, before, itemParent);
      fragment = null;
    }

    // insert element
    if (itemEl.nextSibling !== before) {
      insertBefore(itemEl, before, itemParent);
    }
  }

  return fragment;
}

class VirtualListHelper {
  /**
   * @param {VirtualListHelper~Options} opts
   */
  constructor(opts) {var _opts$autoVirtualWrap;
    /** @private */
    const p = this._p = {
      // these come from options:

      list: opts.list || null,
      hookScrollEvent: opts.hookScrollEvent === undefined ? true : !!opts.hookScrollEvent,
      count: opts.count || 0,
      virtual: opts.virtual === undefined ? true : !!opts.virtual,
      userItemsParent: opts.itemsParent || null,
      setVirtualWrapperWidth: (_opts$autoVirtualWrap = opts.autoVirtualWrapperWidth) !== null && _opts$autoVirtualWrap !== void 0 ? _opts$autoVirtualWrap : true,
      estimatedItemHeight: 20,
      buffer: 5,

      /** @type VirtualListHelper~ItemHeightEstimatorFunction|null */
      itemHeightEstimatorFn: null,

      /** @type VirtualListHelper~ItemElementCreatorFunction|null */
      itemElementCreatorFn: defaultElementCreator,

      /** @type VirtualListHelper~ItemRenderFunction|null */
      onItemRender: null,

      /** @type VirtualListHelper~ItemUnrenderFunction|null */
      onItemUnrender: null,

      /** @type funct(height: number)|null */
      onScrollHeightChange: null,

      // internal:

      /** @type Element|null */
      virtualWrapper: null,

      /** @type Element|null */
      currentItemsParent: null,

      /** @type (number|undefined)[] */
      cachedItemHeights: [],

      /** @type (number|undefined)[] */
      cachedItemEstimatedHeights: [],

      /** @type (number|undefined)[] */
      cachedItemPositions: [],

      /** @type number */
      itemPositionsNeedsUpdate: 0,

      /** @type function */
      boundRender: this.render.bind(this),

      /** @type Element[] */
      existingEls: []
    };

    p.currentItemsParent = p.userItemsParent || p.list;

    if (typeof opts.hookScrollEvent === 'boolean')
    this.setHookScrollEvent(opts.hookScrollEvent);else
    this._hookEvents();

    if (typeof opts.count === 'number')
    this.setCount(opts.count);

    if (typeof opts.virtual === 'boolean')
    this.setVirtual(opts.virtual);

    if (typeof opts.estimatedItemHeight === 'number')
    this.setEstimatedItemHeight(opts.estimatedItemHeight);

    if (typeof opts.buffer === 'number')
    this.setBuffer(opts.buffer);

    if (typeof opts.itemHeightEstimatorFn === 'function')
    this.setItemHeightEstimatorFn(opts.itemHeightEstimatorFn);

    if (typeof opts.itemElementCreatorFn === 'function')
    this.setItemElementCreatorFn(opts.itemElementCreatorFn);

    if (typeof opts.onItemRender === 'function')
    this.setOnItemRender(opts.onItemRender);

    if (typeof opts.onItemUnrender === 'function')
    this.setOnItemUnrender(opts.onItemUnrender);

    if (typeof opts.onScrollHeightChange === 'function')
    this.setOnScrollHeightChange(opts.onScrollHeightChange);
  }

  /**
   * Clean up and free up all resources.
   */
  destroy() {
    this._unhookEvents().invalidate()._destroyElements();
  }

  /**
   * Sets whether 'scroll' event on the list should be hooked automatically.
   * @param {boolean} enabled
   * @returns {VirtualListHelper}
   */
  setHookScrollEvent(enabled) {
    const p = this._p;
    enabled = enabled === undefined ? true : !!enabled;

    if (p.hookScrollEvent === enabled)
    return this;

    p.hookScrollEvent = enabled;

    this._unhookEvents()._hookEvents();

    return this;
  }

  /**
   * @returns {boolean} whether 'scroll' event on the list should be hooked automatically
   */
  isHookScrollEventEnabled() {
    const p = this._p;
    return p.hookScrollEvent;
  }

  /**
   * Sets the list item count. <br />
   * You should probably call `render()` after this.
   * @param {number} count
   * @returns {VirtualListHelper}
   */
  setCount(count) {
    const p = this._p;
    p.count = count;

    return this.invalidatePositions();
  }

  /**
   * @returns {number} current item count
   */
  getCount() {
    const p = this._p;
    return p.count;
  }

  /**
   * Switches between virtual and non-virtual mode. <br />
   * The list is invalidated automatically. <br />
   * You should call `render()` to update the view.
   * @param {boolean} enabled
   * @returns {VirtualListHelper}
   */
  setVirtual(enabled) {
    const p = this._p;
    enabled = enabled === undefined ? true : !!enabled;

    if (p.virtual === enabled)
    return this;

    p.virtual = enabled;

    this._hookEvents().invalidate()._destroyElements();

    return this;
  }

  /**
   * @returns {boolean} virtual mode
   */
  isVirtual() {
    const p = this._p;
    return p.virtual;
  }

  /**
   * Sets estimated item height. <br />
   * No need to be accurate. <br />
   * The better the estimation - the better the scrollbar behavior will be. <br />
   * Applicable for virtual-mode only. <br />
   * You should `invalidate` if you want this to take effect on the existing rendering.
   * @param {number} height - a positive number representing estimated item height.
   * @returns {VirtualListHelper}
   */
  setEstimatedItemHeight(height) {
    const p = this._p;
    p.estimatedItemHeight = Math.abs((typeof height === 'number' ? height : Number(height)) || 20);
    return this;
  }

  /**
   * @returns {number} current item height estimation
   */
  getEstimatedItemHeight() {
    const p = this._p;
    return p.estimatedItemHeight;
  }

  /**
   * Sets whether the virtual wrapper width should be set automatically. <br />
   * @param {boolean} enabled
   * @returns {VirtualListHelper}
   */
  setAutoVirtualWrapperWidth(enabled) {
    const p = this._p;
    p.autoVirtualWrapperWidth = enabled === undefined ? true : !!enabled;

    if (p.virtualWrapper) {
      if (p.autoVirtualWrapperWidth !== p.virtualWrapperWidthWasSet) {
        p.virtualWrapper.style.width = p.autoVirtualWrapperWidth ? '100%' : '';
        p.virtualWrapperWidthWasSet = p.autoVirtualWrapperWidth;
      }
    }

    return this;
  }

  /**
   * @returns {boolean} whether the virtual wrapper width should be set automatically
   */
  isAutoVirtualWrapperWidth() {
    const p = this._p;
    return p.autoVirtualWrapperWidth;
  }

  /**
   * Sets the amount of buffer items to keep on each end of the list. <br />
   * Applicable for virtual-mode only.
   * @param {number} buffer - a positive value representing the count of buffer items for each end.
   * @returns {VirtualListHelper}
   */
  setBuffer(buffer) {
    const p = this._p;
    p.buffer = Math.abs(typeof buffer === 'number' ? buffer : Number(buffer) || 5);
    return this;
  }

  /**
   * @returns {number} current buffer value
   */
  getBuffer() {
    const p = this._p;
    return p.buffer;
  }

  /**
   * The `itemHeightEstimatorFn` is an alternative to `estimatedItemHeight` to give better estimations for specific item. <br/>
   * It's optional, and if it's present - it should return either a numeric height estimation,
   *   or `undefined` to fall back to the default estimation. <br />
   * You should `invalidate` if you want this to take effect on the existing rendering.
   * @param {VirtualListHelper~ItemHeightEstimatorFunction} fn
   * @returns {VirtualListHelper}
   */
  setItemHeightEstimatorFn(fn) {
    const p = this._p;
    p.itemHeightEstimatorFn = fn;
    return this;
  }

  /**
   * The `itemElementCreatorFn` is a function creating a basic item element, that will be possibly reused later. <br />
   * It has no association with a specific item index. <br />
   * You should `invalidate` if you want this to take effect on the existing rendering.
   * @param {VirtualListHelper~ItemElementCreatorFunction} fn
   * @returns {VirtualListHelper}
   */
  setItemElementCreatorFn(fn) {
    const p = this._p;
    p.itemElementCreatorFn = fn || defaultElementCreator;
    return this;
  }

  /**
   * The `onItemRender` is a function called for rendering the contents of an item. <br />
   * It's passed an `Element` and an item index. <br />
   * You should `invalidate` if you want this to take effect on the existing rendering.
   * @param {VirtualListHelper~ItemRenderFunction} fn
   * @returns {VirtualListHelper}
   */
  setOnItemRender(fn) {
    const p = this._p;
    p.onItemRender = fn;
    return this;
  }

  /**
   * The `onItemUnrender` is a function called for freeing resources in an item element,
   *   if you've attached something that needs to be explicitly freed. <br />
   * It's passed an `Element` only, and has no association with a specific index,
   *   as by the time it's called - the indexes are probably not valid anymore.
   * @param {VirtualListHelper~ItemUnrenderFunction} fn
   * @returns {VirtualListHelper}
   */
  setOnItemUnrender(fn) {
    const p = this._p;
    p.onItemUnrender = fn;
    return this;
  }

  /**
   * The `onScrollHeightChange` is a function called when the scroll height changes.
   * @param {function(height: number)} fn
   * @returns {VirtualListHelper}
   */
  setOnScrollHeightChange(fn) {
    const p = this._p;
    p.onScrollHeightChange = fn;
    return this;
  }

  /**
   * Estimates the full scroll height. This gets better as more renderings occur.
   * @returns {number}
   */
  estimateFullHeight() {
    const p = this._p;

    if (p.count === 0)
    return 0;

    if (p.virtual) {
      return this._calculateItemPosition(p.count) || 0;
    } else {
      const existingEls = p.existingEls;
      if (p.count === existingEls.length) {
        let rect1 = existingEls[0].getBoundingClientRect();
        let rect2 = existingEls[existingEls.length - 1].getBoundingClientRect();
        return rect2.top - rect1.top + rect2.height;
      }

      return this._calculateItemPosition(p.count) || 0;
    }
  }

  /**
   * States that the cached positions/heights are invalid,
   *   and needs to be completely re-calculated.<br />
   * You should probably call `render()` after this.
   * @returns {VirtualListHelper}
   */
  invalidatePositions() {
    const p = this._p;

    p.itemPositionsNeedsUpdate = 0;
    p.cachedItemHeights = [];
    p.cachedItemEstimatedHeights = [];
    p.cachedItemPositions = [];
    p.cachedItemHeights.length = p.count;
    p.cachedItemEstimatedHeights.length = p.count;
    p.cachedItemPositions.length = p.count;

    return this;
  }

  /**
   * States that the indexes/item count/rendered content are invalid,
   *   and needs to be completely re-calculated and re-rendered. <br />
   * You should probably call `render()` after this.
   * @returns {VirtualListHelper}
   */
  invalidate() {
    const p = this._p;

    this.invalidatePositions();

    const onItemUnrender = p.onItemUnrender;
    const existingEls = p.existingEls;

    for (let i = 0; i < existingEls.length; i++) {
      const el = existingEls[i];
      const itemIndex = el[ItemIndexSymbol];
      if (itemIndex === undefined) continue;

      if (onItemUnrender)
      onItemUnrender(el);

      delete el[ItemIndexSymbol];
    }

    return this;
  }

  /**
   * Renders the current viewport. <br />
   * Call this after making changes to the list. <br />
   * In virtual mode, this is called automatically for every scroll event.
   */
  render() {
    const p = this._p;
    const list = p.list;
    const virtual = p.virtual;
    let virtualWrapper = p.virtualWrapper;
    let itemParent = p.currentItemsParent;
    let scrollTop = list.scrollTop;
    let visibleHeight = list.clientHeight;
    let visibleBottom = scrollTop + visibleHeight;
    let count = p.count;
    let buffer = p.buffer;
    let onItemUnrender = p.onItemUnrender;
    let existingEls = p.existingEls;
    let existingCount = existingEls.length;

    if (virtual) {
      const originalWidth = list.clientWidth;

      if (!virtualWrapper) {
        virtualWrapper = p.virtualWrapper = p.userItemsParent;
        if (!virtualWrapper) {
          virtualWrapper = p.virtualWrapper = document.createElement('div');
          list.appendChild(virtualWrapper);
        }

        this._resetCurrentItemsParent();
        itemParent = p.currentItemsParent;

        if (p.autoVirtualWrapperWidth) {
          virtualWrapper.style.width = '100%';
          p.virtualWrapperWidthWasSet = true;
        } else {
          p.virtualWrapperWidthWasSet = false;
        }
      }

      // Mark all of them for potential reuse
      for (let i = 0; i < existingCount; i++) {
        existingEls[i][ReuseElSymbol] = true;
      }

      // Make sure we have at least estimated positions for all items so we can translate scroll position
      this._calculateItemPosition(p.count - 1);

      // Find existing elements index range
      let existingRange = this._getExistingElsRange();

      // Find first visible element
      let firstVisibleIndex = binarySearchPosition(p.cachedItemPositions, scrollTop);
      let firstRenderIndex = Math.max(0, firstVisibleIndex - buffer);

      // Iterate over viewport
      let index = firstRenderIndex;
      let renderPos = this._calculateItemPosition(index);
      let bufferEnd = buffer;

      // we want to render until viewport's bottom + buffer items
      let maxIndexToRender = Math.max(index, binarySearchPosition(p.cachedItemPositions, visibleBottom - 1) + 1 + buffer);

      let insertedItems = [];

      /** @type DocumentFragment|null */
      let fragment = null;

      // Find the element to insert before
      let before = virtualWrapper.childNodes[0];

      const findElementToReuse = function (index) {
        // Find existing element to reuse
        /** @type Element|undefined */
        let existingEl = undefined;

        if (existingRange.firstIndex !== -1 && index >= existingRange.firstIndex && index <= existingRange.lastIndex) {
          existingEl = existingEls.find((x) => x[ItemIndexSymbol] === index && x[ReuseElSymbol] === true);
        }

        if (existingEl === undefined) {
          existingEl = (existingRange.firstIndex < firstRenderIndex || existingRange.firstValidArrayIndex > 0 ?
          existingEls.find((x) =>
          (x[ItemIndexSymbol] < firstRenderIndex || false === hasOwnProperty$1.call(x, ItemIndexSymbol)) &&
          x[ReuseElSymbol] === true) :
          undefined) ||
          findLast(existingEls, (x) => x[ReuseElSymbol] === true);
        }

        if (existingEl !== undefined) {
          delete existingEl[ReuseElSymbol];
        }

        return existingEl;
      };

      // First we iterate and try to add all at once in a fragment, as much as we can.
      // And then reflow the at once.
      for (; index < count && index < maxIndexToRender; index++) {
        let existingEl = findElementToReuse(index);

        if (before && before === existingEl)
        before = before.nextSibling;

        // Dequeue the element by reusing or creating a new one
        const itemEl = this._dequeueElementForIndex(existingEl, index, before, true);
        insertedItems.push([itemEl, index]);

        fragment = insertBeforeWithFragment(itemEl, fragment, before, itemParent);
      }

      // Insert any remaining fragment
      if (fragment && fragment.childNodes.length > 0) {
        insertBefore(fragment, before, itemParent);
      }

      // Iterate on inserted items and reflow them
      for (let item of insertedItems) {
        const index = item[1];
        this._insertItemAndFlow(item[0], index, false /* inserted already */);
        renderPos = p.cachedItemPositions[index] + p.cachedItemHeights[index];
      }

      // See if we still need to insert more items
      if (renderPos < visibleBottom) {
        for (; (renderPos < visibleBottom || bufferEnd-- > 0) && index < count; index++) {
          let existingEl = findElementToReuse(index);

          if (before && before === existingEl)
          before = before.nextSibling;

          // Dequeue the element by reusing or creating a new one
          this._dequeueElementForIndex(existingEl, index, before, false);

          // Increment pointers
          renderPos = p.cachedItemPositions[index] + p.cachedItemHeights[index];
        }
      }

      // Calculate up-to-date scroll height
      let scrollHeight = this.estimateFullHeight();
      let scrollHeightPx = scrollHeight + 'px';

      if (virtualWrapper.style.height !== scrollHeightPx) {var _p$onScrollHeightChan;
        p.virtualWrapper.style.height = scrollHeightPx;
        (_p$onScrollHeightChan = p.onScrollHeightChange) === null || _p$onScrollHeightChan === void 0 || _p$onScrollHeightChan.call(p, scrollHeight);
      }

      if (originalWidth !== list.clientWidth)
      this.render();
    } else {// non-virtual
      if (count !== existingEls.length) {
        for (let i = 0; i < existingCount; i++) {
          existingEls[i][ReuseElSymbol] = true;
        }

        // Find the element to insert before
        let before = itemParent.childNodes[0];

        /** @type DocumentFragment|null */
        let fragment = null;

        for (let index = 0; index < count; index++) {
          // Find existing element to reuse
          let existingEl = existingEls.find((x) => x[ItemIndexSymbol] === index && x[ReuseElSymbol] === true);

          if (existingEl !== undefined) {
            delete existingEl[ReuseElSymbol];
          }

          if (before && before === existingEl)
          before = before.nextSibling;

          // Dequeue the element by reusing or creating a new one
          const itemEl = this._dequeueElementForIndex(existingEl, index, before, true);

          fragment = insertBeforeWithFragment(itemEl, fragment, before, itemParent);
        }

        // Insert any remaining fragment
        if (fragment && fragment.childNodes.length > 0) {
          insertBefore(fragment, before, itemParent);
        }
      }
    }

    // Cleanup extra unused elements
    existingCount = existingEls.length; // May have changed
    for (let i = 0; i < existingCount; i++) {
      const el = existingEls[i];
      if (el[ReuseElSymbol] !== true) continue;

      let parent = el.parentNode;
      if (parent)
      parent.removeChild(el);
      if (onItemUnrender && el[ItemIndexSymbol] !== undefined)
      onItemUnrender(el);
      existingEls.splice(i, 1);

      i--;
      existingCount--;
    }
  }

  /**
   * States that items were added at a certain position in the list. <br />
   * Virtual mode: Call `render()` to update the view after making changes.
   * @param {number} count
   * @param {number} [atIndex=-1]
   * @returns {VirtualListHelper}
   */
  addItemsAt(count, atIndex = -1) {
    if (typeof count !== 'number' || count <= 0)
    return this;

    const p = this._p;

    if (atIndex < 0 || atIndex >= p.count)
    atIndex = p.count;

    p.count += count;

    if (p.virtual) {
      if (atIndex >= 0 && atIndex < p.count) {
        this._invalidateItemIndexesAt(atIndex, -1);
      }
    } else
    {// non-virtual
      let existingEls = p.existingEls;
      let existingCount = existingEls.length;
      if (existingCount !== p.count - count)
      return this;

      let existingRange = this._getExistingElsRange();
      if (existingRange.firstValidArrayIndex === -1)
      return this;

      const itemParent = p.currentItemsParent;

      let startIndex = existingRange.firstValidArrayIndex + atIndex - existingRange.firstIndex;

      this._pushItemIndexesAt(atIndex, count);

      /** @type Node|undefined */
      let before = existingEls[startIndex - 1] ?
      existingEls[startIndex - 1].nextSibling :
      existingEls[0];

      /** @type DocumentFragment|null */
      let fragment = null;

      for (let index = atIndex, end = atIndex + count; index < end; index++) {
        const itemEl = this._dequeueElementForIndex(undefined, index, before, true);
        fragment = insertBeforeWithFragment(itemEl, fragment, before, itemParent);
      }

      // Insert any remaining fragment
      if (fragment && fragment.childNodes.length > 0) {
        insertBefore(fragment, before, itemParent);
      }
    }

    return this;
  }

  /**
   * States that items were removed at a certain position in the list. <br />
   * Virtual mode: Call `render()` to update the view after making changes.
   * @param {number} count
   * @param {number} atIndex
   * @returns {VirtualListHelper}
   */
  removeItemsAt(count, atIndex) {
    const p = this._p;

    if (typeof count !== 'number' || typeof atIndex !== 'number' || count <= 0 || atIndex < 0 || atIndex >= p.count)
    return this;

    p.count -= Math.min(count, p.count - atIndex);

    if (p.virtual) {
      this._invalidateItemIndexesAt(atIndex, -1);
    } else
    {// non-virtual
      let existingEls = p.existingEls;
      let existingCount = existingEls.length;
      if (existingCount !== p.count + count)
      return this;

      let existingRange = this._getExistingElsRange();
      if (existingRange.firstValidArrayIndex === -1)
      return this;

      this._pushItemIndexesAt(atIndex + count, -count);

      const onItemUnrender = p.onItemUnrender;
      let index = existingRange.firstValidArrayIndex + atIndex - existingRange.firstIndex;
      if (index < existingEls.length) {
        for (let i = 0; i < count; i++) {
          let itemEl = existingEls[index + i];

          let parent = itemEl.parentNode;
          if (parent)
          parent.removeChild(itemEl);
          if (onItemUnrender && itemEl[ItemIndexSymbol] !== undefined)
          onItemUnrender(itemEl);
        }
        existingEls.splice(index, count);
      }
    }

    return this;
  }

  /**
   * Mark an element for a re-render. <br />
   * Virtual mode: Call `render()` to update the view after making changes. <br />
   * Non-virtual mode - the element is re-rendered immediately.
   * @param {number} index - the index of the element to re-render
   * @returns {VirtualListHelper}
   */
  refreshItemAt(index) {
    const p = this._p;

    if (typeof index !== 'number' || index < 0 || index >= p.count)
    return this;

    if (p.virtual) {
      this._invalidateItemIndexesAt(index, 1);
    } else
    {// non-virtual
      let existingEls = p.existingEls;
      let existingCount = existingEls.length;
      if (existingCount !== p.count)
      return this;

      let existingRange = this._getExistingElsRange();

      if (index >= existingRange.firstIndex && index <= existingRange.lastIndex) {
        let itemEl = existingEls[existingRange.firstValidArrayIndex + index - existingRange.firstIndex];
        delete itemEl[ItemIndexSymbol];
        this._dequeueElementForIndex(itemEl, index, itemEl.nextSibling, false);
      }
    }

    return this;
  }

  /**
   * Tests whether an item at the specified index is rendered.
   * @param {number} index - the index to test
   * @returns {boolean}
   */
  isItemRendered(index) {
    const p = this._p;

    if (typeof index !== 'number' || index < 0 || index >= p.count)
    return false;

    let existingRange = this._getExistingElsRange();

    return index >= existingRange.firstIndex && index <= existingRange.lastIndex;
  }

  /**
   * Retrieves DOM element for the item at the specified index - if it's currently rendered.
   * @param {number} index - the index to retrieve
   * @returns {Element|undefined}
   */
  getItemElementAt(index) {
    const p = this._p;

    if (typeof index !== 'number' || index < 0 || index >= p.count)
    return undefined;

    let existingEls = p.existingEls;
    let existingRange = this._getExistingElsRange();

    if (index >= existingRange.firstIndex && index <= existingRange.lastIndex) {
      return existingEls[existingRange.firstValidArrayIndex + index - existingRange.firstIndex];
    }

    return undefined;
  }

  /**
   * Retrieves the position for the specified index. <br />
   * Can be used to scroll to a specific item.
   * @param {number} index
   * @returns {number|undefined}
   */
  getItemPosition(index) {
    const p = this._p;

    if (typeof index !== 'number' || index < 0 || index >= p.count)
    return undefined;

    if (p.virtual) {
      return this._calculateItemPosition(index);
    } else {
      let itemEl = this.getItemElementAt(index);
      if (itemEl === undefined)
      return undefined;

      const list = p.list;
      return getElementOffset(itemEl).top - getElementOffset(list).top + list.scrollTop;
    }
  }

  /**
   * Retrieves the item index for the specified element
   * @param {Element} el
   * @returns {number|undefined}
   */
  getItemIndexFromElement(el) {
    return el ? el[ItemIndexSymbol] : undefined;
  }

  /**
   * Retrieves the size (or estimated size, if unknown) for the specified index. <br />
   * @param {number} index
   * @returns {number|undefined}
   */
  getItemSize(index) {
    const p = this._p;

    if (typeof index !== 'number' || index < 0 || index >= p.count)
    return undefined;

    let height = p.cachedItemHeights[index - 1]; // already calculated

    if (height === undefined) {
      height = p.itemHeightEstimatorFn ? p.itemHeightEstimatorFn(index - 1) : null; // estimated per item

      if (typeof height !== 'number')
      height = p.estimatedItemHeight; // estimated

      p.cachedItemEstimatedHeights[index - 1] = height;
    }

    return height;
  }

  /**
   * Retrieves the number of items that fit into the current viewport.
   * @returns {number}
   */
  getVisibleItemCount() {
    const p = this._p,list = p.list;

    let scrollTop = list.scrollTop;
    let visibleHeight = list.clientHeight;
    let firstVisibleIndex, lastVisibleIndex;

    if (p.virtual) {
      firstVisibleIndex = binarySearchPosition(p.cachedItemPositions, scrollTop);
      lastVisibleIndex = binarySearchPosition(p.cachedItemPositions, scrollTop + visibleHeight, firstVisibleIndex);
    } else
    {
      const retriever = (i) => {
        let pos = this.getItemPosition(i);
        if (pos === undefined)
        pos = Infinity;
        return pos;
      };

      firstVisibleIndex = binarySearchPositionByFn(p.count, retriever, scrollTop);
      lastVisibleIndex = binarySearchPositionByFn(p.count, retriever, scrollTop + visibleHeight, firstVisibleIndex);
    }

    if (this.getItemPosition(lastVisibleIndex) === scrollTop + visibleHeight)
    lastVisibleIndex--;
    return lastVisibleIndex - firstVisibleIndex + 1;
  }

  /**
   * Renders a temporary ghost item. Can be used for testings several aspects of a proposed element, i.e measurements.
   * @param {*} ghostIndex - the value to pass as the index for the renderer function
   * @param {boolean} append - whether to append the item element to the DOM
   * @param {function(itemEl: Element)} ghostTester - the function that will receive the element, called synchronously.
   */
  createGhostItemElement(ghostIndex, append, ghostTester) {
    const p = this._p;

    let itemEl = this._dequeueElementForIndex(null, ghostIndex, false, true);
    try {
      if (append) {
        p.currentItemsParent.appendChild(itemEl);
      }
      ghostTester(itemEl);
    } finally {
      if (append) {
        let parent = itemEl.parentNode;
        if (parent)
        parent.removeChild(itemEl);
      }
      if (p.onItemUnrender)
      p.onItemUnrender(itemEl);
    }
  }

  /**
   * Reset the pointer to the current items wrapper
   * @private
   */
  _resetCurrentItemsParent() {var _ref, _p$virtualWrapper;
    const p = this._p;
    p.currentItemsParent = (_ref = (_p$virtualWrapper = p.virtualWrapper) !== null && _p$virtualWrapper !== void 0 ? _p$virtualWrapper : p.userItemsParent) !== null && _ref !== void 0 ? _ref : p.list;
  }

  /**
   * Destroy all created elements, for cleanup
   * @returns {VirtualListHelper}
   * @private
   */
  _destroyElements() {
    const p = this._p;
    const onItemUnrender = p.onItemUnrender;
    const existingEls = p.existingEls;

    for (let i = 0; i < existingEls.length; i++) {
      const el = existingEls[i];

      let parent = el.parentNode;
      if (parent)
      parent.removeChild(el);
      if (onItemUnrender && el[ItemIndexSymbol] !== undefined)
      onItemUnrender(el);
    }

    existingEls.length = 0;

    if (p.virtualWrapper) {
      if (p.virtualWrapper !== p.userItemsParent) {
        if (p.virtualWrapper.parentNode) {
          p.virtualWrapper.parentNode.removeChild(p.virtualWrapper);
        }
      }
      p.virtualWrapper = null;
      this._resetCurrentItemsParent();
    }

    return this;
  }

  /**
   * Marks (an) item(s) at specific index(es) as to be re-rendered. <br />
   * Applicable for virtual mode only.
   * @param {number} index
   * @param {number} count
   * @private
   */
  _invalidateItemIndexesAt(index, count) {
    const p = this._p;

    this._setItemPositionsNeedsUpdate(index);

    let existingEls = p.existingEls;
    let existingCount = existingEls.length;
    let existingRange = this._getExistingElsRange();

    if (existingRange.firstValidArrayIndex === -1)
    return;

    if (count === -1)
    count = existingEls.length;

    // Clean
    if (index >= existingRange.firstIndex && index <= existingRange.lastIndex) {
      for (let i = existingRange.firstValidArrayIndex + index - existingRange.firstIndex,
        c = 0;
      i < existingCount && c < count;
      i++, c++)
      delete existingEls[i][ItemIndexSymbol];
    }
  }

  /**
   * In/decrement the item-index marker for specific item(s). <br />
   * Used for inserting/removing items in the middle of the list, without re-rendering everything. <br />
   * Applicable for non-virtual mode only.
   * @param {number} index
   * @param {number} count
   * @private
   */
  _pushItemIndexesAt(index, count) {
    const p = this._p;

    let existingEls = p.existingEls;
    let existingCount = existingEls.length;
    let existingRange = this._getExistingElsRange();

    if (existingRange.firstValidArrayIndex === -1)
    return;

    // Clean
    if (index >= existingRange.firstIndex && index <= existingRange.lastIndex) {
      for (let i = existingRange.firstValidArrayIndex + index - existingRange.firstIndex;
      i < existingCount;
      i++)
      existingEls[i][ItemIndexSymbol] += count;
    }
  }

  /**
   * Hook relevant events
   * @returns {VirtualListHelper}
   * @private
   */
  _hookEvents() {
    const p = this._p;

    this._unhookEvents();

    if (p.virtual && p.hookScrollEvent) {
      p.list && p.list.addEventListener('scroll', /**@type Function*/p.boundRender);
    }

    return this;
  }

  /**
   * Unhook previously hooked events
   * @returns {VirtualListHelper}
   * @private
   */
  _unhookEvents() {
    const p = this._p;

    p.list && p.list.removeEventListener('scroll', /**@type Function*/p.boundRender);

    return this;
  }

  /**
   * Mark item index from which the positions are not considered valid anymore. <br />
   * Applicable for virtual mode only.
   * @param {number} value
   * @private
   */
  _setItemPositionsNeedsUpdate(value) {
    const p = this._p;

    if (value < p.itemPositionsNeedsUpdate) {
      p.itemPositionsNeedsUpdate = value;
    }
  }

  /**
   * Calculates an item's top position (and stores in the private `cachedItemPositions` array). <br />
   * Allows calculating last+1 index too, to get the bottom-most position. <br />
   * Applicable for non-virtual mode only.
   * @param {number} index
   * @returns {number|undefined}
   * @private
   */
  _calculateItemPosition(index) {
    const p = this._p;

    const cachedItemPositions = p.cachedItemPositions;

    if (index >= p.itemPositionsNeedsUpdate) {
      const count = p.count;
      const cachedItemHeights = p.cachedItemHeights;
      const cachedItemEstimatedHeights = p.cachedItemEstimatedHeights;
      const estimatedItemHeight = p.estimatedItemHeight;
      const itemHeightEstimatorFn = p.itemHeightEstimatorFn;

      if (cachedItemHeights.length !== count) {
        cachedItemHeights.length = count;
        cachedItemEstimatedHeights.length = count;
        cachedItemPositions.length = count;
      }

      let fromIndex = p.itemPositionsNeedsUpdate;
      let toIndex = Math.min(index, count);

      let pos = 0;

      if (fromIndex > 0) {
        pos = cachedItemPositions[fromIndex - 1];
      }

      for (let i = fromIndex; i <= toIndex; i++) {
        if (i === 0) {
          cachedItemPositions[i] = pos;
          continue;
        }

        const prevIndex = i - 1;

        let height = cachedItemHeights[prevIndex]; // already calculated

        if (height === undefined) {
          height = itemHeightEstimatorFn ? itemHeightEstimatorFn(prevIndex) : null; // estimated per item

          if (typeof height !== 'number')
          height = estimatedItemHeight; // estimated

          cachedItemEstimatedHeights[prevIndex] = height;
        }

        pos += height;
        cachedItemPositions[i] = pos;
      }

      p.itemPositionsNeedsUpdate = toIndex + 1;
    }

    // item after the last (calculate full height)
    if (index > 0 && index === p.count) {
      let height = p.cachedItemHeights[index - 1]; // already calculated

      if (height === undefined) {
        height = p.itemHeightEstimatorFn ? p.itemHeightEstimatorFn(index - 1) : null; // estimated per item

        if (typeof height !== 'number')
        height = p.estimatedItemHeight; // estimated

        p.cachedItemEstimatedHeights[index - 1] = height;
      }

      return cachedItemPositions[index - 1] + height;
    }

    return cachedItemPositions[index];
  }

  /**
   * Create (or reuse an existing) element for an item at the specified index,
   *   and insert physically at specified position. <br />
   * This will also update the element's position in the `existingEls` array.
   * @param {Element|undefined} itemEl
   * @param {number} index
   * @param {Node|boolean|undefined} insertBefore
   * @param {boolean|undefined} avoidDomReflow
   * @returns {Element}
   * @private
   */
  _dequeueElementForIndex(itemEl, index, insertBefore, avoidDomReflow) {
    const p = this._p;
    const virtualWrapper = p.virtualWrapper;
    p.currentItemsParent;
    const existingEls = p.existingEls;
    const onItemRender = p.onItemRender;
    const onItemUnrender = p.onItemUnrender;
    const isNew = !itemEl;
    const shouldReRender = isNew || index !== itemEl[ItemIndexSymbol];

    if (itemEl) {
      if (onItemUnrender && shouldReRender) {
        onItemUnrender(itemEl);
      }
    } else {
      itemEl = p.itemElementCreatorFn();

      if (virtualWrapper && insertBefore !== false) {
        ( /**@type ElementCSSInlineStyle*/itemEl).style.position = 'absolute';
        ( /**@type ElementCSSInlineStyle*/itemEl).style.top = '0';
        ( /**@type ElementCSSInlineStyle*/itemEl).style.left = '0';
        ( /**@type ElementCSSInlineStyle*/itemEl).style.right = '0';
      }
    }

    // Render only if it's a new item element
    //   OR the index of the existing element is not the same of the index to render
    if (shouldReRender) {
      itemEl.innerHTML = ''; // Basic cleanup

      if (onItemRender)
      onItemRender(itemEl, index);
    }

    if (insertBefore !== false) {
      if (!(insertBefore instanceof Node))
      insertBefore = null;

      // Remove from existing list
      if (!isNew) {
        let i = existingEls.indexOf(itemEl);
        if (i !== -1)
        existingEls.splice(i, 1);
      }

      // Insert into existing list
      let beforeIndex = insertBefore ? existingEls.indexOf( /**@type Element*/insertBefore) : -1;
      if (beforeIndex === -1) {
        existingEls.push(itemEl);
      } else {
        existingEls.splice(beforeIndex, 0, itemEl);
      }

      if (!avoidDomReflow) {
        this._insertItemAndFlow(itemEl, index, insertBefore);
      }
    }

    // Add index metadata to item
    itemEl[ItemIndexSymbol] = index;

    return itemEl;
  }

  /**
   * Insert item element into the DOM, set it's flow in the DOM, and update the item's position. <br />
   * @param {Element|undefined} itemEl
   * @param {number} index
   * @param {Node|boolean|undefined} before
   * @private
   */
  _insertItemAndFlow(itemEl, index, before) {
    const p = this._p;
    const virtualWrapper = p.virtualWrapper;
    const itemParent = p.currentItemsParent;

    if (before !== false) {
      if (!(before instanceof Node))
      before = null;

      // Insert into DOM
      if (itemEl.parentNode !== itemParent ||
      itemEl.nextSibling !== before) {
        insertBefore(itemEl, before, itemParent);
      }
    }

    if (virtualWrapper) {
      // Calculate height
      let itemHeight = itemEl.getBoundingClientRect().height;

      // Put calculated height into cache, and invalidate positions if it's different
      let cachedItemHeight = p.cachedItemHeights[index];
      if (cachedItemHeight !== itemHeight) {
        p.cachedItemHeights[index] = itemHeight;
      }

      if (cachedItemHeight !== undefined && itemHeight !== cachedItemHeight ||
      cachedItemHeight === undefined && itemHeight !== p.cachedItemEstimatedHeights[index]) {
        this._setItemPositionsNeedsUpdate(index + 1);
      }

      // Set item top position
      let pos = this._calculateItemPosition(index);
      const supportedTransform = getSupportedTransform();

      if (supportedTransform === false) {
        ( /**@type ElementCSSInlineStyle*/itemEl).style.top = `${pos}px`;
      } else {
        ( /**@type ElementCSSInlineStyle*/itemEl).style[supportedTransform] = `translateY(${pos}px)`;
      }
    }
  }

  /**
   * Fetches valid range of existingEls
   * @returns {{firstIndex: (*|number), firstValidArrayIndex: number, lastValidArrayIndex: number, lastIndex: (*|number)}}
   * @private
   */
  _getExistingElsRange() {
    const p = this._p,existingEls = p.existingEls;

    let firstValidArrayIndex = -1,lastValidArrayIndex = -1;

    for (let i = 0, len = existingEls.length; i < len; i++) {
      if (false === hasOwnProperty$1.call(existingEls[i], ItemIndexSymbol))
      continue;
      firstValidArrayIndex = i;
      break;
    }

    for (let i = existingEls.length - 1; i >= 0; i--) {
      if (false === hasOwnProperty$1.call(existingEls[i], ItemIndexSymbol))
      continue;
      lastValidArrayIndex = i;
      break;
    }

    let firstIndex = firstValidArrayIndex !== -1 ? existingEls[firstValidArrayIndex][ItemIndexSymbol] : -1;
    let lastIndex = lastValidArrayIndex !== -1 ? existingEls[lastValidArrayIndex][ItemIndexSymbol] : -1;

    return {
      firstValidArrayIndex: firstValidArrayIndex,
      lastValidArrayIndex: lastValidArrayIndex,
      firstIndex: firstIndex,
      lastIndex: lastIndex
    };
  }
}

/** Marks the item index associated with an item element */
const ItemIndexSymbol = Symbol('index');

/** Marks an element for reuse */
const ReuseElSymbol = Symbol('reuse');

/**
 * The default element creator
 * @returns {HTMLLIElement}
 */
const defaultElementCreator = () => {
  return document.createElement('li');
};

/**
 * Will look for the index in the `positions` array closest to the specified `pos` value (<= pos).
 * @param {number[]} positions
 * @param {number} pos
 * @param {number} [start=0]
 * @param {number} [end=-1]
 * @returns {number}
 */
const binarySearchPosition = (positions, pos, start = 0, end = -1) => {
  let total = positions.length;
  if (end < 0)
  end += total;
  if (end <= start) return end; // 0 or 1 length array

  while (start <= end) {
    let mid = Math.floor(start + (end - start) / 2);
    let midPos = positions[mid];

    if (midPos === pos || midPos <= pos && mid < total && positions[mid + 1] > pos) {
      while (mid > 0 && positions[mid - 1] === midPos) // avoid bugs on 0-height items
      mid--;

      return mid;
    }

    if (midPos < pos)
    start = mid + 1;else

    end = mid - 1;
  }

  return end === -1 ? 0 : total - 1;
};

/**
 * Will look for the index in a virtual list of positions supplied by `total` and `fn`,
 *   closest to the specified `pos` value (<= pos).
 * @param {number} total
 * @param {function(index: number):number} fn
 * @param {number} pos
 * @param {number} [start=0]
 * @param {number} [end=-1]
 * @returns {number}
 */
const binarySearchPositionByFn = (total, fn, pos, start = 0, end = -1) => {
  if (end < 0)
  end += total;
  if (end <= start) return end; // 0 or 1 length array

  while (start <= end) {
    let mid = Math.floor(start + (end - start) / 2);
    let midPos = fn(mid);

    if (midPos === pos || midPos <= pos && mid < total && fn(mid + 1) > pos) {
      while (mid > 0 && fn(mid - 1) === midPos) // avoid bugs on 0-height items
      mid--;

      return mid;
    }

    if (midPos < pos)
    start = mid + 1;else

    end = mid - 1;
  }

  return end === -1 ? 0 : fn(total - 1);
};

/**
 * Finds the last item in the array for which `fn` returns a truthy value
 * @param {Array} array
 * @param {Function} fn
 * @returns {undefined|*}
 */
const findLast = (array, fn) => {
  for (let i = array.length - 1; i >= 0; i--) {
    if (fn(array[i])) {
      return array[i];
    }
  }
  return undefined;
};

let _isTransformSupported = null;

const getSupportedTransform = () => {
  if (_isTransformSupported === null) {
    let prefixes = ['transform', 'WebkitTransform', 'MozTransform', 'OTransform', 'msTransform'];
    let div = document.createElement('div');
    _isTransformSupported = false;
    for (let item of prefixes) {
      if (div && div.style[item] !== undefined) {
        _isTransformSupported = item;
        break;
      }
    }
  }
  return _isTransformSupported;
};

function ByColumnFilter(row, args) {

  let column = args.column;
  let keyword = args.keyword == null ? '' : args.keyword.toString();

  if (!keyword || !column) return true;

  let actualVal = row[column];
  if (actualVal == null) {
    return false;
  }

  actualVal = actualVal.toString();

  if (!args.caseSensitive) {
    actualVal = actualVal.toLowerCase();
    keyword = keyword.toLowerCase();
  }

  return actualVal.indexOf(keyword) !== -1;
}

/* eslint-env browser */


const nativeIndexOf = Array.prototype.indexOf;
const $ = jQuery;

let userAgent = navigator.userAgent;
let ieVersion = userAgent.indexOf('MSIE ') !== -1 ? parseFloat(userAgent.substr(userAgent.indexOf('MSIE ') + 5)) : null;
let hasIeDragAndDropBug = ieVersion && ieVersion < 10;
let createElement = document.createElement.bind(document);
const hasOwnProperty = Object.prototype.hasOwnProperty;

const IsSafeSymbol = Symbol('safe');
const HoverInEventSymbol = Symbol('hover_in');
const HoverOutEventSymbol = Symbol('hover_out');
const RowClickEventSymbol = Symbol('row_click');

function webkitRenderBugfix(el) {
  // BUGFIX: WebKit has a bug where it does not relayout, and this affects us because scrollbars
  //   are still calculated even though they are not there yet. This is the last resort.
  let oldDisplay = el.style.display;
  el.style.display = 'none';
  //noinspection BadExpressionStatementJS
  el.offsetHeight; // No need to store this anywhere, the reference is enough
  el.style.display = oldDisplay;
  return el;
}

function relativizeElement($el) {
  if (!includes(['relative', 'absolute', 'fixed'], $el.css('position'))) {
    $el.css('position', 'relative');
  }
}

const isInputElementEvent = (event) => /^(?:INPUT|TEXTAREA|BUTTON|SELECT)$/.test(event.target.tagName);

/** @class DGTable */
let DGTable = function DGTable() {
  if (!(this instanceof DGTable)) {
    // Allow constructing without `new`
    return new (Function.prototype.bind.apply(
      DGTable,
      [DGTable].concat(Array.prototype.slice.call(arguments, 0))))();
  }

  this.initialize.apply(this, arguments);
};

/**
 * @public
 * @expose
 * @type {string}
 */
DGTable.VERSION = '@@VERSION';

/**
 * @public
 * @expose
 * @type {string}
 */
DGTable.prototype.VERSION = DGTable.VERSION;

/**
 * @constructs
 * @param {DGTable.Options?} options - initialization options
 * @returns {DGTable}
 */
DGTable.prototype.initialize = function (options) {
  let that = this;

  options = options || {};

  /**
   * @private
   * @type {DGTable.Options}
   * */
  let o = that.o = {};

  /**
   * @private
   * This is for encapsulating private data */
  let p = that.p = {};

  /** This is for encapsulating event callback */
  p.events = {};

  /**
   * @public
   * @expose
   * */
  that.el = options.el && options.el instanceof Element ? options.el : document.createElement('div');

  /**
   * @public
   * @expose
   * */
  let $el = that.$el = $(that.el);

  if (that.el !== options.el) {
    $el.addClass(options.className || 'dgtable-wrapper');
  }

  // Set control data
  $el.
  data('control', that).
  data('dgtable', that);

  // For jQuery.UI or jquery.removeevent
  $el.on('remove', () => that.destroy());

  p.onMouseMoveResizeAreaBound = this._onMouseMoveResizeArea.bind(this);
  p.onEndDragColumnHeaderBound = this._onEndDragColumnHeader.bind(this);
  p.onTableScrolledHorizontallyBound = this._onTableScrolledHorizontally.bind(this);

  this.$el.on('dragend', p.onEndDragColumnHeaderBound);

  /**
   * @private
   * @field {boolean} _tableSkeletonNeedsRendering */
  p.tableSkeletonNeedsRendering = true;

  /**
   * @private
   * @field {boolean} virtualTable */
  o.virtualTable = options.virtualTable === undefined ? true : !!options.virtualTable;

  /**
   * @private
   * @field {number} estimatedRowHeight */
  o.estimatedRowHeight = options.estimatedRowHeight || undefined;

  /**
   * @private
   * @field {number} rowsBufferSize */
  o.rowsBufferSize = options.rowsBufferSize || 3;

  /**
   * @private
   * @field {number} minColumnWidth */
  o.minColumnWidth = Math.max(options.minColumnWidth || 35, 0);

  /**
   * @private
   * @field {number} resizeAreaWidth */
  o.resizeAreaWidth = options.resizeAreaWidth || 8;

  /**
   * @private
   * @field {boolean} resizableColumns */
  o.resizableColumns = options.resizableColumns === undefined ? true : !!options.resizableColumns;

  /**
   * @private
   * @field {boolean} movableColumns */
  o.movableColumns = options.movableColumns === undefined ? true : !!options.movableColumns;

  /**
   * @private
   * @field {number} sortableColumns */
  o.sortableColumns = options.sortableColumns === undefined ? 1 : parseInt(options.sortableColumns, 10) || 1;

  /**
   * @private
   * @field {boolean} adjustColumnWidthForSortArrow */
  o.adjustColumnWidthForSortArrow = options.adjustColumnWidthForSortArrow === undefined ? true : !!options.adjustColumnWidthForSortArrow;

  /**
   * @private
   * @field {boolean} convertColumnWidthsToRelative */
  o.convertColumnWidthsToRelative = options.convertColumnWidthsToRelative === undefined ? false : !!options.convertColumnWidthsToRelative;

  /**
   * @private
   * @field {boolean} autoFillTableWidth */
  o.autoFillTableWidth = options.autoFillTableWidth === undefined ? false : !!options.autoFillTableWidth;

  /**
   * @private
   * @field {boolean} allowCancelSort */
  o.allowCancelSort = options.allowCancelSort === undefined ? true : !!options.allowCancelSort;

  /**
   * @private
   * @field {string} cellClasses */
  o.cellClasses = options.cellClasses === undefined ? '' : options.cellClasses;

  /**
   * @private
   * @field {string} resizerClassName */
  o.resizerClassName = options.resizerClassName === undefined ? 'dgtable-resize' : options.resizerClassName;

  /**
   * @private
   * @field {string} tableClassName */
  o.tableClassName = options.tableClassName === undefined ? 'dgtable' : options.tableClassName;

  /**
   * @private
   * @field {boolean} allowCellPreview */
  o.allowCellPreview = options.allowCellPreview === undefined ? true : options.allowCellPreview;

  /**
   * @private
   * @field {boolean} allowHeaderCellPreview */
  o.allowHeaderCellPreview = options.allowHeaderCellPreview === undefined ? true : options.allowHeaderCellPreview;

  /**
   * @private
   * @field {string} cellPreviewClassName */
  o.cellPreviewClassName = options.cellPreviewClassName === undefined ? 'dgtable-cell-preview' : options.cellPreviewClassName;

  /**
   * @private
   * @field {boolean} cellPreviewAutoBackground */
  o.cellPreviewAutoBackground = options.cellPreviewAutoBackground === undefined ? true : options.cellPreviewAutoBackground;

  /**
   * @private
   * @field {function(columnName: string, descending: boolean, defaultComparator: function(a,b):number):(function(a,b):number)} onComparatorRequired */
  o.onComparatorRequired = options.onComparatorRequired === undefined ? null : options.onComparatorRequired;
  if (!o.onComparatorRequired && typeof options['comparatorCallback'] === 'function') {
    o.onComparatorRequired = options['comparatorCallback'];
  }

  /**
   * @private
   * @field {boolean} width */
  o.width = options.width === undefined ? DGTable.Width.NONE : options.width;

  /**
   * @private
   * @field {boolean} relativeWidthGrowsToFillWidth */
  o.relativeWidthGrowsToFillWidth = options.relativeWidthGrowsToFillWidth === undefined ? true : !!options.relativeWidthGrowsToFillWidth;

  /**
   * @private
   * @field {boolean} relativeWidthShrinksToFillWidth */
  o.relativeWidthShrinksToFillWidth = options.relativeWidthShrinksToFillWidth === undefined ? false : !!options.relativeWidthShrinksToFillWidth;

  this.setCellFormatter(options.cellFormatter);
  this.setHeaderCellFormatter(options.headerCellFormatter);
  this.setFilter(options.filter);

  /** @private
   * @field {number} height */
  o.height = options.height;

  // Prepare columns
  that.setColumns(options.columns || [], false);

  // Set sorting columns
  let sortColumns = [];

  if (options.sortColumn) {

    let tmpSortColumns = options.sortColumn;

    if (tmpSortColumns && !Array.isArray(tmpSortColumns)) {
      tmpSortColumns = [tmpSortColumns];
    }

    if (tmpSortColumns) {
      for (let i = 0, len = tmpSortColumns.length; i < len; i++) {
        let sortColumn = tmpSortColumns[i];
        if (typeof sortColumn === 'string') {
          sortColumn = { column: sortColumn, descending: false };
        }
        let col = p.columns.get(sortColumn.column);
        if (!col) continue;

        sortColumns.push({
          column: sortColumn.column,
          comparePath: col.comparePath || col.dataPath,
          descending: sortColumn.descending
        });
      }
    }
  }

  /** @field {RowCollection} _rows */
  p.rows = new RowCollection({ sortColumn: sortColumns });
  p.rows.onComparatorRequired = (column, descending, defaultComparator) => {
    if (o.onComparatorRequired) {
      return o.onComparatorRequired(column, descending, defaultComparator);
    }
  };

  /** @private
   * @field {RowCollection} _filteredRows */
  p.filteredRows = null;

  p.scrollbarWidth = 0;
  p.lastVirtualScrollHeight = 0;

  this._setupHovers();
};

DGTable.prototype._setupHovers = function () {
  const that = this,p = that.p;

  /*
   Setup hover mechanism.
   We need this to be high performance, as there may be MANY cells to call this on, on creation and destruction.
   Using native events to spare the overhead of jQuery's event binding, and even just the creation of the jQuery collection object.
   */

  /**
   * @param {MouseEvent} event
   * @this {HTMLElement}
   * */
  let hoverMouseOverHandler = function (event) {
    let relatedTarget = event.fromElement || event.relatedTarget;
    if (relatedTarget === this || $.contains(this, relatedTarget)) return;
    if (this['__previewCell'] && (relatedTarget === this['__previewCell'] || $.contains(this['__previewCell'], relatedTarget))) return;
    that._cellMouseOverEvent.call(that, this);
  };

  /**
   * @param {MouseEvent} evt
   * @this {HTMLElement}
   * */
  let hoverMouseOutHandler = function (evt) {
    evt = evt || event;
    let relatedTarget = evt.toElement || evt.relatedTarget;
    if (relatedTarget === this || $.contains(this, relatedTarget)) return;
    if (this['__previewCell'] && (relatedTarget === this['__previewCell'] || $.contains(this['__previewCell'], relatedTarget))) return;
    that._cellMouseOutEvent.call(that, this);
  };

  /**
   * @param {HTMLElement} el cell or header-cell
   * */
  p._bindCellHoverIn = function (el) {
    if (!el[HoverInEventSymbol]) {
      el.addEventListener('mouseover', el[HoverInEventSymbol] = hoverMouseOverHandler.bind(el));
    }
  };

  /**
   * @param {HTMLElement} el cell or header-cell
   * */
  p._unbindCellHoverIn = function (el) {
    if (el[HoverInEventSymbol]) {
      el.removeEventListener('mouseover', el[HoverInEventSymbol]);
      el[HoverInEventSymbol] = null;
    }
  };

  /**
   * @param {HTMLElement} el cell or header-cell
   * @returns {DGTable} self
   * */
  p._bindCellHoverOut = function (el) {
    if (!el[HoverOutEventSymbol]) {
      el.addEventListener('mouseout', el[HoverOutEventSymbol] = hoverMouseOutHandler.bind(el['__cell'] || el));
    }
    return this;
  };

  /**
   * @param {HTMLElement} el cell or header-cell
   * @returns {DGTable} self
   * */
  p._unbindCellHoverOut = function (el) {
    if (el[HoverOutEventSymbol]) {
      el.removeEventListener('mouseout', el[HoverOutEventSymbol]);
      el[HoverOutEventSymbol] = null;
    }
    return this;
  };
};

DGTable.prototype._setupVirtualTable = function () {var _p$filteredRows;
  const that = this,p = that.p,o = that.o;

  const tableClassName = o.tableClassName,
    rowClassName = tableClassName + '-row',
    altRowClassName = tableClassName + '-row-alt',
    cellClassName = tableClassName + '-cell';

  let visibleColumns = p.visibleColumns,
    colCount = visibleColumns.length;

  p.notifyRendererOfColumnsConfig = () => {
    visibleColumns = p.visibleColumns;
    colCount = visibleColumns.length;

    for (let colIndex = 0, column; colIndex < colCount; colIndex++) {
      column = visibleColumns[colIndex];
      column._finalWidth = column.actualWidthConsideringScrollbarWidth || column.actualWidth;
    }
  };

  p.virtualListHelper = new VirtualListHelper({
    list: p.table,
    itemsParent: p.tbody,
    autoVirtualWrapperWidth: false,
    virtual: o.virtualTable,
    buffer: o.rowsBufferSize,
    estimatedItemHeight: o.estimatedRowHeight ? o.estimatedRowHeight : p.virtualRowHeight || 40,
    itemElementCreatorFn: () => {
      return createElement('div');
    },
    onItemRender: (row, index) => {
      const rows = p.filteredRows || p.rows,
        isDataFiltered = !!p.filteredRows,
        allowCellPreview = o.allowCellPreview;

      row.className = rowClassName;
      if (index % 2 === 1)
      row.className += ' ' + altRowClassName;

      let rowData = rows[index];
      let physicalRowIndex = isDataFiltered ? rowData['__i'] : index;

      row['rowIndex'] = index;
      row['physicalRowIndex'] = physicalRowIndex;

      for (let colIndex = 0; colIndex < colCount; colIndex++) {
        let column = visibleColumns[colIndex];
        let cell = createElement('div');
        cell['columnName'] = column.name;
        cell.setAttribute('data-column', column.name);
        cell.className = cellClassName;
        cell.style.width = column._finalWidth + 'px';
        if (column.cellClasses) cell.className += ' ' + column.cellClasses;
        if (allowCellPreview) {
          p._bindCellHoverIn(cell);
        }

        let cellInner = cell.appendChild(createElement('div'));
        cellInner.innerHTML = this._getHtmlForCell(rowData, column);

        row.appendChild(cell);
      }

      row.addEventListener('click', row[RowClickEventSymbol] = (event) => {
        that.trigger('rowclick', event, index, physicalRowIndex, row, rowData);
      });

      that.trigger('rowcreate', index, physicalRowIndex, row, rowData);
    },

    onItemUnrender: (row) => {
      if (row[RowClickEventSymbol]) {
        row.removeEventListener('click', row[RowClickEventSymbol]);
      }

      that._unbindCellEventsForRow(row);

      that.trigger('rowdestroy', row);
    },

    onScrollHeightChange: (height) => {
      // only recalculate scrollbar width if height increased. we reset it in other situations.
      if (height > p._lastVirtualScrollHeight && !p.scrollbarWidth) {
        this._updateLastCellWidthFromScrollbar();
      }

      p._lastVirtualScrollHeight = height;
    }
  });

  p.virtualListHelper.setCount(((_p$filteredRows = p.filteredRows) !== null && _p$filteredRows !== void 0 ? _p$filteredRows : p.rows).length);

  p.notifyRendererOfColumnsConfig();
};

/**
 * Add an event listener
 * @public
 * @expose
 * @param {string} eventName
 * @param {Function} callback
 * @returns {DGTable}
 */
DGTable.prototype.on = function (eventName, callback) {
  let that = this,events = that.p.events;

  if (typeof callback !== 'function')
  return that;

  if (!hasOwnProperty.call(events, eventName))
  events[eventName] = [];

  events[eventName].push({
    cb: callback,
    once: false
  });

  return that;
};

/**
 * Add an event listener for a one shot
 * @public
 * @expose
 * @param {string} eventName
 * @param {Function} callback
 * @returns {DGTable}
 */
DGTable.prototype.once = function (eventName, callback) {
  let that = this,events = that.p.events;

  if (typeof callback !== 'function')
  return that;

  if (!hasOwnProperty.call(events, eventName))
  events[eventName] = [];

  events[eventName].push({
    cb: callback,
    once: true
  });

  return that;
};

/**
 * Remove an event listener
 * @public
 * @expose
 * @param {string} eventName
 * @param {Function} callback
 * @returns {DGTable}
 */
DGTable.prototype.off = function (eventName, callback) {
  let events = this.p.events;

  if (!hasOwnProperty.call(events, eventName))
  return this;

  let callbacks = events[eventName];
  for (let i = 0; i < callbacks.length; i++) {
    let item = callbacks[i];
    if (callback && item.cb !== callback) continue;
    callbacks.splice(i--, 1);
  }

  return this;
};

DGTable.prototype.trigger = function (eventName) {
  const p = this.p;
  if (!p) return;

  let events = p.events;

  if (hasOwnProperty.call(events, eventName)) {
    let callbacks = events[eventName];
    for (let i = 0; i < callbacks.length; i++) {
      let item = callbacks[i];
      if (item.once) {
        callbacks.splice(i--, 1);
      }
      item.cb.apply(this, Array.prototype.slice.call(arguments, 1));
    }
  }

  return this;
};

/**
 * Detect column width mode
 * @private
 * @param {Number|string} width
 * @param {number} minWidth
 * @returns {Object} parsed width
 */
DGTable.prototype._parseColumnWidth = function (width, minWidth) {

  let widthSize = Math.max(0, parseFloat(width)),
    widthMode = ColumnWidthMode.AUTO; // Default

  if (widthSize > 0) {
    // Well, it's sure is not AUTO, as we have a value

    if (width === widthSize + '%') {
      // It's a percentage!

      widthMode = ColumnWidthMode.RELATIVE;
      widthSize /= 100;
    } else if (widthSize > 0 && widthSize < 1) {
      // It's a decimal value, as a relative value!

      widthMode = ColumnWidthMode.RELATIVE;
    } else {
      // It's an absolute size!

      if (widthSize < minWidth) {
        widthSize = minWidth;
      }
      widthMode = ColumnWidthMode.ABSOLUTE;
    }
  }

  return { width: widthSize, mode: widthMode };
};

/**
 * @private
 * @param {COLUMN_OPTIONS} columnData
 */
DGTable.prototype._initColumnFromData = function (columnData) {

  let parsedWidth = this._parseColumnWidth(columnData.width, columnData.ignoreMin ? 0 : this.o.minColumnWidth);

  let col = {
    name: columnData.name,
    label: columnData.label === undefined ? columnData.name : columnData.label,
    width: parsedWidth.width,
    widthMode: parsedWidth.mode,
    resizable: columnData.resizable === undefined ? true : columnData.resizable,
    sortable: columnData.sortable === undefined ? true : columnData.sortable,
    movable: columnData.movable === undefined ? true : columnData.movable,
    visible: columnData.visible === undefined ? true : columnData.visible,
    cellClasses: columnData.cellClasses === undefined ? this.o.cellClasses : columnData.cellClasses,
    ignoreMin: columnData.ignoreMin === undefined ? false : !!columnData.ignoreMin
  };

  col.dataPath = columnData.dataPath === undefined ? col.name : columnData.dataPath;
  col.comparePath = columnData.comparePath === undefined ? col.dataPath : columnData.comparePath;

  if (typeof col.dataPath === 'string') {
    col.dataPath = col.dataPath.split('.');
  }
  if (typeof col.comparePath === 'string') {
    col.comparePath = col.comparePath.split('.');
  }

  return col;
};

/**
 * Destroy, releasing all memory, events and DOM elements
 * @public
 * @expose
 */
DGTable.prototype.close = DGTable.prototype.remove = DGTable.prototype.destroy = function () {var _p$virtualListHelper;

  let that = this,
    p = that.p || {},
    $el = that.$el;

  if (that.__removed) {
    return that;
  }

  if (p.$resizer) {
    p.$resizer.remove();
    p.$resizer = null;
  }

  (_p$virtualListHelper = p.virtualListHelper) === null || _p$virtualListHelper === void 0 || _p$virtualListHelper.destroy();
  p.virtualListHelper = null;

  // Using quotes for __super__ because Google Closure Compiler has a bug...

  this._destroyHeaderCells();

  if (p.$table) {
    p.$table.empty();
  }
  if (p.$tbody) {
    p.$tbody.empty();
  }

  if (p.workerListeners) {
    for (let j = 0; j < p.workerListeners.length; j++) {
      let worker = p.workerListeners[j];
      worker.worker.removeEventListener('message', worker.listener, false);
    }
    p.workerListeners.length = 0;
  }

  p.rows.length = p.columns.length = 0;

  if (p._deferredRender) {
    clearTimeout(p._deferredRender);
  }

  // Cleanup
  for (let prop in that) {
    if (hasOwnProperty.call(that, prop)) {
      that[prop] = null;
    }
  }

  that.__removed = true;

  if ($el) {
    $el.remove();
  }

  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._unbindCellEventsForTable = function () {
  const p = this.p;

  if (p.headerRow) {
    for (let i = 0, rows = p.headerRow.childNodes, rowCount = rows.length; i < rowCount; i++) {
      let rowToClean = rows[i];
      for (let j = 0, cells = rowToClean.childNodes, cellCount = cells.length; j < cellCount; j++) {
        p._unbindCellHoverIn(cells[j]);
      }
    }
  }

  return this;
};

/**
 * @private
 * @param {HTMLElement} rowToClean
 * @returns {DGTable} self
 */
DGTable.prototype._unbindCellEventsForRow = function (rowToClean) {
  const p = this.p;
  for (let i = 0, cells = rowToClean.childNodes, cellCount = cells.length; i < cellCount; i++) {
    p._unbindCellHoverIn(cells[i]);
  }
  return this;
};

/**
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.render = function () {
  const o = this.o,p = this.p;

  if (!this.el.offsetParent) {
    if (!p._deferredRender) {
      p._deferredRender = setTimeout(() => {
        p._deferredRender = null;
        if (!this.__removed && this.el.offsetParent) {
          this.render();
        }
      });
    }

    return this;
  }

  if (p.tableSkeletonNeedsRendering === true) {var _p$filteredRows2;
    p.tableSkeletonNeedsRendering = false;

    if (o.width === DGTable.Width.AUTO) {
      // We need to do this to return to the specified widths instead. The arrows added to the column widths...
      this._clearSortArrows();
    }

    let lastScrollTop = p.table && p.table.parentNode ? p.table.scrollTop : NaN,
      lastScrollHorz = p.table && p.table.parentNode ? getScrollHorz(p.table) : NaN;

    this._renderSkeletonBase().
    _renderSkeletonBody().
    tableWidthChanged(true, false) // Take this chance to calculate required column widths
    ._renderSkeletonHeaderCells();

    p.virtualListHelper.setCount(((_p$filteredRows2 = p.filteredRows) !== null && _p$filteredRows2 !== void 0 ? _p$filteredRows2 : p.rows).length);

    this._updateVirtualHeight();
    this._updateLastCellWidthFromScrollbar(true);
    this._updateTableWidth(true);

    // Show sort arrows
    for (let i = 0; i < p.rows.sortColumn.length; i++) {
      this._showSortArrow(p.rows.sortColumn[i].column, p.rows.sortColumn[i].descending);
    }
    if (o.adjustColumnWidthForSortArrow && p.rows.sortColumn.length) {
      this.tableWidthChanged(true);
    } else if (!o.virtualTable) {
      this.tableWidthChanged();
    }

    if (!isNaN(lastScrollTop))
    p.table.scrollTop = lastScrollTop;

    if (!isNaN(lastScrollHorz)) {
      setScrollHorz(p.table, lastScrollHorz);
      setScrollHorz(p.header, lastScrollHorz);
    }

    this.trigger('renderskeleton');
  }

  p.virtualListHelper.render();

  this.trigger('render');
  return this;
};

/**
 * Forces a full render of the table
 * @public
 * @expose
 * @param {boolean=true} render - Should render now?
 * @returns {DGTable} self
 */
DGTable.prototype.clearAndRender = function (render) {var _p$notifyRendererOfCo;
  let p = this.p;

  p.tableSkeletonNeedsRendering = true;
  (_p$notifyRendererOfCo = p.notifyRendererOfColumnsConfig) === null || _p$notifyRendererOfCo === void 0 || _p$notifyRendererOfCo.call(p);

  if (render === undefined || render) {
    this.render();
  }

  return this;
};

/**
 * Calculate the size required for the table body width (which is the row's width)
 * @private
 * @returns {number} calculated width
 */
DGTable.prototype._calculateTbodyWidth = function () {
  const p = this.p;

  let tableClassName = this.o.tableClassName,
    rowClassName = tableClassName + '-row',
    cellClassName = tableClassName + '-cell',
    visibleColumns = p.visibleColumns,
    colCount = visibleColumns.length,
    cell,
    colIndex,
    column;

  let $row = $('<div>').addClass(rowClassName).css('float', 'left');
  let sumActualWidth = 0;

  for (colIndex = 0; colIndex < colCount; colIndex++) {
    column = visibleColumns[colIndex];
    cell = createElement('div');
    cell.className = cellClassName;
    cell.style.width = column.actualWidth + 'px';
    if (column.cellClasses) cell.className += ' ' + column.cellClasses;
    cell.appendChild(createElement('div'));
    $row.append(cell);
    sumActualWidth += column.actualWidth;
  }

  let $thisWrapper = $('<div>').
  addClass(this.el.className).
  css({ 'z-index': -1, 'position': 'absolute', left: '0', top: '-9999px', 'float': 'left', width: '1px', overflow: 'hidden' }).
  append(
    $('<div>').addClass(tableClassName).append(
      $('<div>').addClass(tableClassName + '-body').css('width', sumActualWidth + 10000).append(
        $row
      )
    )
  );

  $thisWrapper.appendTo(document.body);

  let fractionTest = $('<div style="border:1.5px solid #000;width:0;height:0;position:absolute;left:0;top:-9999px">').appendTo(document.body);
  let fractionValue = parseFloat(fractionTest.css('border-width'));
  let hasFractions = Math.round(fractionValue) !== fractionValue;
  fractionTest.remove();

  let width = getElementWidth($row[0], true, true, true);
  width -= p.scrollbarWidth || 0;

  if (hasFractions) {
    width++;
  }

  $thisWrapper.remove();
  return width;
};

/**
 * Sets the columns of the table
 * @public
 * @expose
 * @param {COLUMN_OPTIONS[]} columns - Column definitions array
 * @param {boolean=true} render - Should render now?
 * @returns {DGTable} self
 */
DGTable.prototype.setColumns = function (columns, render) {
  const p = this.p;

  columns = columns || [];

  let normalizedCols = new ColumnCollection();
  for (let i = 0, order = 0; i < columns.length; i++) {

    let columnData = columns[i];
    let normalizedColumn = this._initColumnFromData(columnData);

    if (columnData.order !== undefined) {
      if (columnData.order > order) {
        order = columnData.order + 1;
      }
      normalizedColumn.order = columnData.order;
    } else {
      normalizedColumn.order = order++;
    }

    normalizedCols.push(normalizedColumn);
  }
  normalizedCols.normalizeOrder();

  p.columns = normalizedCols;
  p.visibleColumns = normalizedCols.getVisibleColumns();

  this._ensureVisibleColumns().clearAndRender(render);

  return this;
};

/**
 * Add a column to the table
 * @public
 * @expose
 * @param {COLUMN_OPTIONS} columnData column properties
 * @param {string|number} [before=-1] column name or order to be inserted before
 * @param {boolean=true} render - Should render now?
 * @returns {DGTable} self
 */
DGTable.prototype.addColumn = function (columnData, before, render) {
  const p = this.p;
  let columns = p.columns;

  if (columnData && !columns.get(columnData.name)) {
    let beforeColumn = null;
    if (before !== undefined) {
      beforeColumn = columns.get(before) || columns.getByOrder(before);
    }

    let column = this._initColumnFromData(columnData);
    column.order = beforeColumn ? beforeColumn.order : columns.getMaxOrder() + 1;

    for (let i = columns.getMaxOrder(), to = column.order; i >= to; i--) {
      let col = columns.getByOrder(i);
      if (col) {
        col.order++;
      }
    }

    columns.push(column);
    columns.normalizeOrder();

    p.visibleColumns = columns.getVisibleColumns();
    this._ensureVisibleColumns().clearAndRender(render);

    this.trigger('addcolumn', column.name);
  }
  return this;
};

/**
 * Remove a column from the table
 * @public
 * @expose
 * @param {string} column column name
 * @param {boolean=true} render - Should render now?
 * @returns {DGTable} self
 */
DGTable.prototype.removeColumn = function (column, render) {
  const p = this.p;
  let columns = p.columns;

  let colIdx = columns.indexOf(column);
  if (colIdx > -1) {
    columns.splice(colIdx, 1);
    columns.normalizeOrder();

    p.visibleColumns = columns.getVisibleColumns();
    this._ensureVisibleColumns().clearAndRender(render);

    this.trigger('removecolumn', column);
  }
  return this;
};

/**
 * Sets a new cell formatter.
 * @public
 * @expose
 * @param {function(value: *, columnName: string, row: Object):string|null} [formatter=null] - The cell formatter. Should return an HTML.
 * @returns {DGTable} self
 */
DGTable.prototype.setCellFormatter = function (formatter) {
  if (!formatter) {
    formatter = (val) => typeof val === 'string' ? htmlEncode(val) : val;
    formatter[IsSafeSymbol] = true;
  }

  /**
   * @private
   * @field {Function} cellFormatter */
  this.o.cellFormatter = formatter;

  return this;
};

/**
 * Sets a new header cell formatter.
 * @public
 * @expose
 * @param {function(label: string, columnName: string):string|null} [formatter=null] - The cell formatter. Should return an HTML.
 * @returns {DGTable} self
 */
DGTable.prototype.setHeaderCellFormatter = function (formatter) {
  /**
   * @private
   * @field {Function} headerCellFormatter */
  this.o.headerCellFormatter = formatter || function (val) {
    return typeof val === 'string' ? htmlEncode(val) : val;
  };

  return this;
};

/**
 * @public
 * @expose
 * @param {function(row:Object,args:Object):boolean|null} [filterFunc=null] - The filter function to work with filters. Default is a by-colum filter.
 * @returns {DGTable} self
 */
DGTable.prototype.setFilter = function (filterFunc) {
  /** @private
   * @field {Function} filter */
  this.o.filter = filterFunc;
  return this;
};

/**
 * @public
 * @expose
 * @param {Object|null} args - Options to pass to the filter function
 * @returns {DGTable} self
 */
DGTable.prototype.filter = function (args) {
  const p = this.p;

  let filterFunc = this.o.filter || ByColumnFilter;

  // Deprecated use of older by-column filter
  if (typeof arguments[0] === 'string' && typeof arguments[1] === 'string') {
    args = {
      column: arguments[0],
      keyword: arguments[1],
      caseSensitive: arguments[2]
    };
  }

  let hadFilter = !!p.filteredRows;
  if (p.filteredRows) {
    p.filteredRows = null; // Allow releasing array memory now
  }

  // Shallow-clone the args, as the filter function may want to modify it for keeping state
  p.filterArgs = args == null ? null : typeof args === 'object' && !Array.isArray(args) ? $.extend({}, args) : args;

  if (p.filterArgs !== null) {
    p.filteredRows = p.rows.filteredCollection(filterFunc, p.filterArgs);

    if (hadFilter || p.filteredRows) {
      this.clearAndRender();
      this.trigger('filter', args);
    }
  } else
  {
    p.filterArgs = null;
    p.filteredRows = null;
    this.clearAndRender();
    this.trigger('filterclear', {});
  }

  return this;
};

/**
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.clearFilter = function () {
  const p = this.p;

  if (p.filteredRows) {
    p.filterArgs = null;
    p.filteredRows = null;
    this.clearAndRender();
    this.trigger('filterclear', {});
  }

  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._refilter = function () {
  const p = this.p;

  if (p.filteredRows && p.filterArgs) {
    let filterFunc = this.o.filter || ByColumnFilter;
    p.filteredRows = p.rows.filteredCollection(filterFunc, p.filterArgs);
  }
  return this;
};

/**
 * Set a new label to a column
 * @public
 * @expose
 * @param {string} column Name of the column
 * @param {string} label New label for the column
 * @returns {DGTable} self
 */
DGTable.prototype.setColumnLabel = function (column, label) {
  const p = this.p;

  let col = p.columns.get(column);
  if (col) {
    col.label = label === undefined ? col.name : label;

    if (col.element) {
      for (let i = 0; i < col.element[0].firstChild.childNodes.length; i++) {
        let node = col.element[0].firstChild.childNodes[i];
        if (node.nodeType === 3) {
          node.textContent = col.label;
          break;
        }
      }
    }
  }
  return this;
};

/**
 * Move a column to a new position
 * @public
 * @expose
 * @param {string|number} src Name or position of the column to be moved
 * @param {string|number} dest Name of the column currently in the desired position, or the position itself
 * @param {boolean} [visibleOnly=true] Should consider only visible columns and visible-relative indexes
 * @returns {DGTable} self
 */
DGTable.prototype.moveColumn = function (src, dest, visibleOnly = true) {
  const o = this.o,p = this.p;

  let columns = p.columns,
    col,destCol;

  let columnsArray = visibleOnly ? p.visibleColumns : columns.getColumns();

  if (typeof src === 'string') {
    col = columns.get(src);
  } else if (typeof src === 'number') {
    col = columnsArray[src];
  }
  if (typeof dest === 'string') {
    destCol = columns.get(dest);
  } else if (typeof dest === 'number') {
    destCol = columnsArray[dest];
  }

  if (col && destCol && src !== dest) {
    let srcOrder = col.order,destOrder = destCol.order;

    let visibleColumns = columns.moveColumn(col, destCol).getVisibleColumns();

    if (p.visibleColumns.length !== visibleColumns.length ||
    p.visibleColumns.some((x, i) => x !== visibleColumns[i])) {

      p.visibleColumns = visibleColumns;
      this._ensureVisibleColumns();

      if (o.virtualTable) {
        this.clearAndRender();
      } else {
        let headerCell = p.$headerRow.find('>div.' + o.tableClassName + '-header-cell');
        let beforePos = srcOrder < destOrder ? destOrder + 1 : destOrder,
          fromPos = srcOrder;
        headerCell[0].parentNode.insertBefore(headerCell[fromPos], headerCell[beforePos]);

        let srcWidth = p.visibleColumns[srcOrder];
        srcWidth = (srcWidth.actualWidthConsideringScrollbarWidth || srcWidth.actualWidth) + 'px';
        let destWidth = p.visibleColumns[destOrder];
        destWidth = (destWidth.actualWidthConsideringScrollbarWidth || destWidth.actualWidth) + 'px';

        let tbodyChildren = p.tbody.childNodes;
        for (let i = 0, count = tbodyChildren.length; i < count; i++) {
          let row = tbodyChildren[i];
          if (row.nodeType !== 1) continue;
          row.insertBefore(row.childNodes[fromPos], row.childNodes[beforePos]);
          row.childNodes[destOrder].firstChild.style.width = destWidth;
          row.childNodes[srcOrder].firstChild.style.width = srcWidth;
        }
      }
    }

    this.trigger('movecolumn', col.name, srcOrder, destOrder);
  }
  return this;
};

/**
 * Sort the table
 * @public
 * @expose
 * @param {string?} column Name of the column to sort on (or null to remove sort arrow)
 * @param {boolean=} descending Sort in descending order
 * @param {boolean} [add=false] Should this sort be on top of the existing sort? (For multiple column sort)
 * @returns {DGTable} self
 */
DGTable.prototype.sort = function (column, descending, add) {
  const o = this.o,p = this.p;

  let columns = p.columns,
    col = columns.get(column);

  let currentSort = p.rows.sortColumn;

  if (col) {
    if (add) {// Add the sort to current sort stack

      for (let i = 0; i < currentSort.length; i++) {
        if (currentSort[i].column === col.name) {
          if (i < currentSort.length - 1) {
            currentSort.length = 0;
          } else {
            descending = currentSort[currentSort.length - 1].descending;
            currentSort.splice(currentSort.length - 1, 1);
          }
          break;
        }
      }
      if (o.sortableColumns > 0 /* allow manual sort when disabled */ && currentSort.length >= o.sortableColumns || currentSort.length >= p.visibleColumns.length) {
        currentSort.length = 0;
      }

    } else {// Sort only by this column
      currentSort.length = 0;
    }

    // Default to ascending
    descending = descending === undefined ? false : descending;

    // Set the required column in the front of the stack
    currentSort.push({
      column: col.name,
      comparePath: col.comparePath || col.dataPath,
      descending: !!descending
    });
  } else {
    currentSort.length = 0;
  }

  this._clearSortArrows();

  for (let i = 0; i < currentSort.length; i++) {
    this._showSortArrow(currentSort[i].column, currentSort[i].descending);
  }

  if (o.adjustColumnWidthForSortArrow && !p.tableSkeletonNeedsRendering) {
    this.tableWidthChanged(true);
  }

  p.rows.sortColumn = currentSort;

  let comparator;
  if (currentSort.length) {
    comparator = p.rows.sort(!!p.filteredRows);
    if (p.filteredRows) {
      p.filteredRows.sort(!!p.filteredRows);
    }
  }

  if (p.virtualListHelper)
  p.virtualListHelper.invalidate().render();

  // Build output for event, with option names that will survive compilers
  let sorts = [];
  for (let i = 0; i < currentSort.length; i++) {
    sorts.push({ 'column': currentSort[i].column, 'descending': currentSort[i].descending });
  }
  this.trigger('sort', sorts, true /* direct sort */, comparator);

  return this;
};

/**
 * Re-sort the table using current sort specifiers
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.resort = function () {
  const p = this.p;
  let columns = p.columns;

  let currentSort = p.rows.sortColumn;
  if (currentSort.length) {

    for (let i = 0; i < currentSort.length; i++) {
      if (!columns.get(currentSort[i].column)) {
        currentSort.splice(i--, 1);
      }
    }

    let comparator;
    p.rows.sortColumn = currentSort;
    if (currentSort.length) {
      comparator = p.rows.sort(!!p.filteredRows);
      if (p.filteredRows) {
        p.filteredRows.sort(!!p.filteredRows);
      }
    }

    // Build output for event, with option names that will survive compilers
    let sorts = [];
    for (let i = 0; i < currentSort.length; i++) {
      sorts.push({ 'column': currentSort[i].column, 'descending': currentSort[i].descending });
    }
    this.trigger('sort', sorts, false /* indirect sort */, comparator);
  }

  return this;
};

/**
 * Make sure there's at least one column visible
 * @private
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype._ensureVisibleColumns = function () {
  const p = this.p;

  if (p.visibleColumns.length === 0 && p.columns.length) {
    p.columns[0].visible = true;
    p.visibleColumns.push(p.columns[0]);
    this.trigger('showcolumn', p.columns[0].name);
  }

  return this;
};

/**
 * Show or hide a column
 * @public
 * @expose
 * @param {string} column Unique column name
 * @param {boolean} visible New visibility mode for the column
 * @returns {DGTable} self
 */
DGTable.prototype.setColumnVisible = function (column, visible) {
  const p = this.p;

  let col = p.columns.get(column);

  //noinspection PointlessBooleanExpressionJS
  visible = !!visible;

  if (col && !!col.visible !== visible) {
    col.visible = visible;
    p.visibleColumns = p.columns.getVisibleColumns();
    this.trigger(visible ? 'showcolumn' : 'hidecolumn', column);
    this._ensureVisibleColumns();
    this.clearAndRender();
  }
  return this;
};

/**
 * Get the visibility mode of a column
 * @public
 * @expose
 * @returns {boolean} true if visible
 */
DGTable.prototype.isColumnVisible = function (column) {
  const p = this.p;
  let col = p.columns.get(column);
  if (col) {
    return col.visible;
  }
  return false;
};

/**
 * Globally set the minimum column width
 * @public
 * @expose
 * @param {number} minColumnWidth Minimum column width
 * @returns {DGTable} self
 */
DGTable.prototype.setMinColumnWidth = function (minColumnWidth) {
  let o = this.o;
  minColumnWidth = Math.max(minColumnWidth, 0);
  if (o.minColumnWidth !== minColumnWidth) {
    o.minColumnWidth = minColumnWidth;
    this.tableWidthChanged(true);
  }
  return this;
};

/**
 * Get the current minimum column width
 * @public
 * @expose
 * @returns {number} Minimum column width
 */
DGTable.prototype.getMinColumnWidth = function () {
  return this.o.minColumnWidth;
};

/**
 * Set the limit on concurrent columns sorted
 * @public
 * @expose
 * @param {number} sortableColumns How many sortable columns to allow?
 * @returns {DGTable} self
 */
DGTable.prototype.setSortableColumns = function (sortableColumns) {
  const p = this.p,o = this.o;
  if (o.sortableColumns !== sortableColumns) {
    o.sortableColumns = sortableColumns;
    if (p.$table) {
      let headerCell = p.$headerRow.find('>div.' + o.tableClassName + '-header-cell');
      for (let i = 0; i < headerCell.length; i++) {
        $(headerCell[0])[o.sortableColumns > 0 && p.visibleColumns[i].sortable ? 'addClass' : 'removeClass']('sortable');
      }
    }
  }
  return this;
};

/**
 * Get the limit on concurrent columns sorted
 * @public
 * @expose
 * @returns {number} How many sortable columns are allowed?
 */
DGTable.prototype.getSortableColumns = function () {
  return this.o.sortableColumns;
};

/**
 * @public
 * @expose
 * @param {boolean?} movableColumns=true are the columns movable?
 * @returns {DGTable} self
 */
DGTable.prototype.setMovableColumns = function (movableColumns) {
  let o = this.o;
  //noinspection PointlessBooleanExpressionJS
  movableColumns = movableColumns === undefined ? true : !!movableColumns;
  if (o.movableColumns !== movableColumns) {
    o.movableColumns = movableColumns;
  }
  return this;
};

/**
 * @public
 * @expose
 * @returns {boolean} are the columns movable?
 */
DGTable.prototype.getMovableColumns = function () {
  return this.o.movableColumns;
};

/**
 * @public
 * @expose
 * @param {boolean} resizableColumns=true are the columns resizable?
 * @returns {DGTable} self
 */
DGTable.prototype.setResizableColumns = function (resizableColumns) {
  let o = this.o;
  //noinspection PointlessBooleanExpressionJS
  resizableColumns = resizableColumns === undefined ? true : !!resizableColumns;
  if (o.resizableColumns !== resizableColumns) {
    o.resizableColumns = resizableColumns;
  }
  return this;
};

/**
 * @public
 * @expose
 * @returns {boolean} are the columns resizable?
 */
DGTable.prototype.getResizableColumns = function () {
  return this.o.resizableColumns;
};

/**
 * @public
 * @expose
 * @param {{function(columnName: string, descending: boolean, defaultComparator: function(a,b):number):{function(a,b):number}}} comparatorCallback a callback function that returns the comparator for a specific column
 * @returns {DGTable} self
 */
DGTable.prototype.setComparatorCallback = function (comparatorCallback) {
  let o = this.o;
  if (o.onComparatorRequired !== comparatorCallback) {
    o.onComparatorRequired = comparatorCallback;
  }
  return this;
};

/**
 * Set a new width to a column
 * @public
 * @expose
 * @param {string} column name of the column to resize
 * @param {number|string} width new column as pixels, or relative size (0.5, 50%)
 * @returns {DGTable} self
 */
DGTable.prototype.setColumnWidth = function (column, width) {

  const p = this.p;

  let col = p.columns.get(column);

  let parsedWidth = this._parseColumnWidth(width, col.ignoreMin ? 0 : this.o.minColumnWidth);

  if (col) {
    let oldWidth = this._serializeColumnWidth(col);

    col.width = parsedWidth.width;
    col.widthMode = parsedWidth.mode;

    let newWidth = this._serializeColumnWidth(col);

    if (oldWidth !== newWidth) {
      this.tableWidthChanged(true); // Calculate actual sizes
    }

    this.trigger('columnwidth', col.name, oldWidth, newWidth);
  }
  return this;
};

/**
 * @public
 * @expose
 * @param {string} column name of the column
 * @returns {string|null} the serialized width of the specified column, or null if column not found
 */
DGTable.prototype.getColumnWidth = function (column) {
  const p = this.p;

  let col = p.columns.get(column);
  if (col) {
    return this._serializeColumnWidth(col);
  }
  return null;
};

/**
 * @public
 * @expose
 * @param {string} column name of the column
 * @returns {SERIALIZED_COLUMN|null} configuration for all columns
 */
DGTable.prototype.getColumnConfig = function (column) {
  const p = this.p;
  let col = p.columns.get(column);
  if (col) {
    return {
      'order': col.order,
      'width': this._serializeColumnWidth(col),
      'visible': col.visible,
      'label': col.label
    };
  }
  return null;
};

/**
 * Returns a config object for the columns, to allow saving configurations for next time...
 * @public
 * @expose
 * @returns {Object} configuration for all columns
 */
DGTable.prototype.getColumnsConfig = function () {
  const p = this.p;

  let config = {};
  for (let i = 0; i < p.columns.length; i++) {
    config[p.columns[i].name] = this.getColumnConfig(p.columns[i].name);
  }
  return config;
};

/**
 * Returns an array of the currently sorted columns
 * @public
 * @expose
 * @returns {Array.<SERIALIZED_COLUMN_SORT>} configuration for all columns
 */
DGTable.prototype.getSortedColumns = function () {
  const p = this.p;

  let sorted = [];
  for (let i = 0; i < p.rows.sortColumn.length; i++) {
    let sort = p.rows.sortColumn[i];
    sorted.push({ column: sort.column, descending: sort.descending });
  }
  return sorted;
};

/**
 * Returns the HTML string for a specific cell. Can be used externally for special cases (i.e. when setting a fresh HTML in the cell preview through the callback).
 * @public
 * @expose
 * @param {number} rowIndex - index of the row
 * @param {string} columnName - name of the column
 * @returns {string} HTML string for the specified cell
 */
DGTable.prototype.getHtmlForRowCell = function (rowIndex, columnName) {
  const p = this.p;

  if (rowIndex < 0 || rowIndex > p.rows.length - 1) return null;
  let column = p.columns.get(columnName);
  if (!column) return null;
  let rowData = p.rows[rowIndex];

  return this._getHtmlForCell(rowData, column);
};

/**
 * Returns the HTML string for a specific cell. Can be used externally for special cases (i.e. when setting a fresh HTML in the cell preview through the callback).
 * @public
 * @expose
 * @param {Object} rowData - row data
 * @param {Object} columnName - column data
 * @returns {string|null} HTML string for the specified cell
 */
DGTable.prototype.getHtmlForRowDataCell = function (rowData, columnName) {
  const p = this.p;

  let column = p.columns.get(columnName);
  if (!column) return null;

  return this._getHtmlForCell(rowData, column);
};

/**
 * Returns the HTML string for a specific cell. Can be used externally for special cases (i.e. when setting a fresh HTML in the cell preview through the callback).
 * @private
 * @expose
 * @param {Object} rowData - row data
 * @param {Object} column - column data
 * @returns {string} HTML string for the specified cell
 */
DGTable.prototype._getHtmlForCell = function (rowData, column) {
  let dataPath = column.dataPath;
  let colValue = rowData[dataPath[0]];
  for (let dataPathIndex = 1; dataPathIndex < dataPath.length; dataPathIndex++) {
    if (colValue == null) break;
    colValue = colValue && colValue[dataPath[dataPathIndex]];
  }

  const formatter = this.o.cellFormatter;
  let content;

  if (formatter[IsSafeSymbol]) {
    content = formatter(colValue, column.name, rowData);
  } else {
    try {
      content = formatter(colValue, column.name, rowData);
    } catch (err) {
      content = '[ERROR]';
      // eslint-disable-next-line no-console
      console.error('Failed to generate content for cell ' + column.name, err);
    }
  }

  if (content === undefined || content === null) {
    content = '';
  }

  return content;
};

/**
 * Returns the y pos of a row by index
 * @public
 * @expose
 * @param {number} rowIndex - index of the row
 * @returns {number|null} Y pos
 */
DGTable.prototype.getRowYPos = function (rowIndex) {
  const p = this.p;

  return p.virtualListHelper.getItemPosition(rowIndex) || null;
};

/**
 * Returns the row data for a specific row
 * @public
 * @expose
 * @param {number} row index of the row
 * @returns {Object} Row data
 */
DGTable.prototype.getDataForRow = function (row) {
  const p = this.p;

  if (row < 0 || row > p.rows.length - 1) return null;
  return p.rows[row];
};

/**
 * Gets the number of rows
 * @public
 * @expose
 * @returns {number} Row count
 */
DGTable.prototype.getRowCount = function () {
  const p = this.p;
  return p.rows ? p.rows.length : 0;
};

/**
 * Returns the physical row index for specific row
 * @public
 * @expose
 * @param {Object} rowData - Row data to find
 * @returns {number} Row index
 */
DGTable.prototype.getIndexForRow = function (rowData) {
  const p = this.p;
  return p.rows.indexOf(rowData);
};

/**
 * Gets the number of filtered rows
 * @public
 * @expose
 * @returns {number} Filtered row count
 */
DGTable.prototype.getFilteredRowCount = function () {
  const p = this.p;
  return (p.filteredRows || p.rows).length;
};

/**
 * Returns the filtered row index for specific row
 * @public
 * @expose
 * @param {Object} rowData - Row data to find
 * @returns {number} Row index
 */
DGTable.prototype.getIndexForFilteredRow = function (rowData) {
  const p = this.p;
  return (p.filteredRows || p.rows).indexOf(rowData);
};

/**
 * Returns the row data for a specific row
 * @public
 * @expose
 * @param {number} row index of the filtered row
 * @returns {Object} Row data
 */
DGTable.prototype.getDataForFilteredRow = function (row) {
  const p = this.p;
  if (row < 0 || row > (p.filteredRows || p.rows).length - 1) return null;
  return (p.filteredRows || p.rows)[row];
};

/**
 * Returns DOM element of the header row
 * @public
 * @expose
 * @returns {Element} Row element
 */
DGTable.prototype.getHeaderRowElement = function () {
  return this.p.headerRow;
};

/**
 * @private
 * @param {Element} el
 * @returns {number} width
 */
DGTable.prototype._horizontalPadding = function (el) {
  return (parseFloat($.css(el, 'padding-left')) || 0) + (
  parseFloat($.css(el, 'padding-right')) || 0);
};

/**
 * @private
 * @param {Element} el
 * @returns {number} width
 */
DGTable.prototype._horizontalBorderWidth = function (el) {
  return (parseFloat($.css(el, 'border-left')) || 0) + (
  parseFloat($.css(el, 'border-right')) || 0);
};

/**
 * @private
 * @returns {number} width
 */
DGTable.prototype._calculateWidthAvailableForColumns = function () {
  const o = this.o,p = this.p;

  // Changing display mode briefly, to prevent taking in account the  parent's scrollbar width when we are the cause for it
  let oldDisplay, lastScrollTop, lastScrollLeft;
  if (p.table) {
    lastScrollTop = p.table ? p.table.scrollTop : 0;
    lastScrollLeft = p.table ? p.table.scrollLeft : 0;

    if (o.virtualTable) {
      oldDisplay = p.table.style.display;
      p.table.style.display = 'none';
    }
  }

  let detectedWidth = getElementWidth(this.$el[0]);

  if (p.table) {
    if (o.virtualTable) {
      p.table.style.display = oldDisplay;
    }

    p.table.scrollTop = lastScrollTop;
    p.table.scrollLeft = lastScrollLeft;
    p.header.scrollLeft = lastScrollLeft;
  }

  let tableClassName = o.tableClassName;

  let $thisWrapper = $('<div>').addClass(this.el.className).css({ 'z-index': -1, 'position': 'absolute', left: '0', top: '-9999px' });
  let $header = $('<div>').addClass(tableClassName + '-header').appendTo($thisWrapper);
  let $headerRow = $('<div>').addClass(tableClassName + '-header-row').appendTo($header);
  for (let i = 0; i < p.visibleColumns.length; i++) {
    const column = p.visibleColumns[i];
    const $cell = $('<div><div></div></div>').
    addClass(tableClassName + '-header-cell').
    addClass(column.cellClasses || '');
    $cell[0]['columnName'] = column.name;
    $headerRow.append($cell);
  }
  $thisWrapper.appendTo(document.body);

  detectedWidth -= this._horizontalBorderWidth($headerRow[0]);

  let $cells = $headerRow.find('>div.' + tableClassName + '-header-cell');
  for (let i = 0; i < $cells.length; i++) {
    let $cell = $($cells[i]);

    let isBoxing = $cell.css('boxSizing') === 'border-box';
    if (!isBoxing) {
      detectedWidth -=
      (parseFloat($cell.css('border-right-width')) || 0) + (
      parseFloat($cell.css('border-left-width')) || 0) +
      this._horizontalPadding($cell[0]); // CELL's padding

      const colName = $cell[0]['columnName'];
      const column = p.columns.get(colName);
      if (column)
      detectedWidth -= column.arrowProposedWidth || 0;
    }
  }

  if ($thisWrapper) {
    $thisWrapper.remove();
  }

  return Math.max(0, detectedWidth);
};

/**
 * Notify the table that its width has changed
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.tableWidthChanged = function () {

  let getTextWidth = function (text) {
    let tableClassName = this.o.tableClassName;

    let $cell,$tableWrapper = $('<div>').addClass(this.$el).append(
        $('<div>').addClass(tableClassName + '-header').append(
          $('<div>').addClass(tableClassName + '-header-row').append(
            $cell = $('<div>').addClass(tableClassName + '-header-cell').append(
              $('<div>').text(text)
            )
          )
        )
      ).css({ 'position': 'absolute', top: '-9999px', 'visibility': 'hidden' });
    $tableWrapper.appendTo(document.body);

    let width = getElementWidth($cell[0]);

    $tableWrapper.remove();

    return width;
  };

  let lastDetectedWidth = null;

  /**
   * @public
   * @expose
   * @param {boolean} [forceUpdate=false]
   * @param {boolean} [renderColumns=true]
   * @returns {DGTable} self
   */
  return function (forceUpdate, renderColumns) {

    let that = this,
      o = that.o,
      p = that.p,
      detectedWidth = this._calculateWidthAvailableForColumns(),
      sizeLeft = detectedWidth,
      relatives = 0;

    if (!p.$table) return this;

    renderColumns = renderColumns === undefined || renderColumns;

    let tableWidthBeforeCalculations = 0;

    if (!p.tbody) {
      renderColumns = false;
    }

    if (renderColumns) {
      tableWidthBeforeCalculations = parseFloat(p.tbody.style.minWidth) || 0;
    }

    if (sizeLeft !== lastDetectedWidth || forceUpdate) {var _p$notifyRendererOfCo2;
      lastDetectedWidth = detectedWidth;

      let absWidthTotal = 0,changedColumnIndexes = [],totalRelativePercentage = 0;

      for (let i = 0; i < p.columns.length; i++) {
        p.columns[i].actualWidthConsideringScrollbarWidth = null;
      }

      for (let i = 0; i < p.visibleColumns.length; i++) {
        let col = p.visibleColumns[i];
        if (col.widthMode === ColumnWidthMode.ABSOLUTE) {
          let width = col.width;
          width += col.arrowProposedWidth || 0; // Sort-arrow width
          if (!col.ignoreMin && width < o.minColumnWidth) {
            width = o.minColumnWidth;
          }
          sizeLeft -= width;
          absWidthTotal += width;

          // Update actualWidth
          if (width !== col.actualWidth) {
            col.actualWidth = width;
            changedColumnIndexes.push(i);
          }
        } else if (col.widthMode === ColumnWidthMode.AUTO) {
          let width = getTextWidth.call(this, col.label) + 20;
          width += col.arrowProposedWidth || 0; // Sort-arrow width
          if (!col.ignoreMin && width < o.minColumnWidth) {
            width = o.minColumnWidth;
          }
          sizeLeft -= width;
          absWidthTotal += width;

          // Update actualWidth
          if (width !== col.actualWidth) {
            col.actualWidth = width;
            if (!o.convertColumnWidthsToRelative) {
              changedColumnIndexes.push(i);
            }
          }
        } else if (col.widthMode === ColumnWidthMode.RELATIVE) {
          totalRelativePercentage += col.width;
          relatives++;
        }
      }

      // Normalize relative sizes if needed
      if (o.convertColumnWidthsToRelative) {
        for (let i = 0; i < p.visibleColumns.length; i++) {
          let col = p.visibleColumns[i];
          if (col.widthMode === ColumnWidthMode.AUTO) {
            col.widthMode = ColumnWidthMode.RELATIVE;
            sizeLeft += col.actualWidth;
            col.width = col.actualWidth / absWidthTotal;
            totalRelativePercentage += col.width;
            relatives++;
          }
        }
      }

      // Normalize relative sizes if needed
      if (relatives && (totalRelativePercentage < 1 && o.relativeWidthGrowsToFillWidth ||
      totalRelativePercentage > 1 && o.relativeWidthShrinksToFillWidth)) {
        for (let i = 0; i < p.visibleColumns.length; i++) {
          let col = p.visibleColumns[i];
          if (col.widthMode === ColumnWidthMode.RELATIVE) {
            col.width /= totalRelativePercentage;
          }
        }
      }

      let sizeLeftForRelative = Math.max(0, sizeLeft); // Use this as the space to take the relative widths out of
      if (sizeLeftForRelative === 0) {
        sizeLeftForRelative = p.table.clientWidth;
      }

      let minColumnWidthRelative = o.minColumnWidth / sizeLeftForRelative;
      if (isNaN(minColumnWidthRelative)) {
        minColumnWidthRelative = 0;
      }
      if (minColumnWidthRelative > 0) {
        let extraRelative = 0,delta;

        // First pass - make sure they are all constrained to the minimum width
        for (let i = 0; i < p.visibleColumns.length; i++) {
          let col = p.visibleColumns[i];
          if (col.widthMode === ColumnWidthMode.RELATIVE) {
            if (!col.ignoreMin && col.width < minColumnWidthRelative) {
              extraRelative += minColumnWidthRelative - col.width;
              col.width = minColumnWidthRelative;
            }
          }
        }

        // Second pass - try to take the extra width out of the other columns to compensate
        for (let i = 0; i < p.visibleColumns.length; i++) {
          let col = p.visibleColumns[i];
          if (col.widthMode === ColumnWidthMode.RELATIVE) {
            if (!col.ignoreMin && col.width > minColumnWidthRelative) {
              if (extraRelative > 0) {
                delta = Math.min(extraRelative, col.width - minColumnWidthRelative);
                col.width -= delta;
                extraRelative -= delta;
              }
            }
          }
        }
      }

      // Try to fill width
      if (o.autoFillTableWidth && sizeLeft > 0) {
        let nonResizableTotal = 0;
        let sizeLeftToFill = sizeLeft;

        for (let i = 0; i < p.visibleColumns.length; i++) {
          let col = p.visibleColumns[i];
          if (!col.resizable && col.widthMode === ColumnWidthMode.ABSOLUTE)
          nonResizableTotal += col.width;

          if (col.widthMode === ColumnWidthMode.RELATIVE)
          sizeLeftToFill -= Math.round(sizeLeftForRelative * col.width);
        }

        let conv = (detectedWidth - nonResizableTotal) / (detectedWidth - sizeLeftToFill - nonResizableTotal) || NaN;
        for (let i = 0; i < p.visibleColumns.length && sizeLeftToFill > 0; i++) {
          let col = p.visibleColumns[i];
          if (!col.resizable && col.widthMode === ColumnWidthMode.ABSOLUTE)
          continue;

          if (col.widthMode === ColumnWidthMode.RELATIVE) {
            col.width *= conv;
          } else {
            let width = col.actualWidth * conv;
            if (col.actualWidth !== width) {
              col.actualWidth = width;
              if (changedColumnIndexes.indexOf(i) === -1)
              changedColumnIndexes.push(i);
            }
          }
        }
      }

      // Materialize relative sizes
      for (let i = 0; i < p.visibleColumns.length; i++) {
        let col = p.visibleColumns[i];
        if (col.widthMode === ColumnWidthMode.RELATIVE) {
          let width = Math.round(sizeLeftForRelative * col.width);
          sizeLeft -= width;
          relatives--;

          // Take care of rounding errors
          if (relatives === 0 && sizeLeft === 1) {// Take care of rounding errors
            width++;
            sizeLeft--;
          }
          if (sizeLeft === -1) {
            width--;
            sizeLeft++;
          }

          // Update actualWidth
          if (width !== col.actualWidth) {
            col.actualWidth = width;
            changedColumnIndexes.push(i);
          }
        }
      }

      if (p.visibleColumns.length) {
        // (There should always be at least 1 column visible, but just in case)
        p.visibleColumns[p.visibleColumns.length - 1].actualWidthConsideringScrollbarWidth =
        p.visibleColumns[p.visibleColumns.length - 1].actualWidth - (p.scrollbarWidth || 0);
      }

      (_p$notifyRendererOfCo2 = p.notifyRendererOfColumnsConfig) === null || _p$notifyRendererOfCo2 === void 0 || _p$notifyRendererOfCo2.call(p);

      if (renderColumns) {
        let tableWidth = this._calculateTbodyWidth();

        if (tableWidthBeforeCalculations < tableWidth) {
          this._updateTableWidth(false);
        }

        for (let i = 0; i < changedColumnIndexes.length; i++) {
          this._resizeColumnElements(changedColumnIndexes[i]);
        }

        if (tableWidthBeforeCalculations > tableWidth) {
          this._updateTableWidth(false);
        }
      }
    }

    return this;
  };
}();

/**
 * Notify the table that its height has changed
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.tableHeightChanged = function () {
  let that = this,
    o = that.o,
    p = that.p;

  if (!p.$table) {
    return that;
  }

  let height = getElementHeight(that.$el[0], true) - (
  parseFloat(p.$table.css('border-top-width')) || 0) // Subtract top border of inner element
  - (parseFloat(p.$table.css('border-bottom-width')) || 0); // Subtract bottom border of inner element

  if (height !== o.height) {

    o.height = height;

    if (p.tbody) {
      // At least 1 pixel - to show scrollers correctly.
      p.tbody.style.height = Math.max(o.height - getElementHeight(p.$headerRow[0], true, true, true), 1) + 'px';
    }

    if (o.virtualTable) {
      that.clearAndRender();
    }
  }

  return that;
};

/**
 * Add rows to the table
 * @public
 * @expose
 * @param {Object[]} data - array of rows to add to the table
 * @param {number} [at=-1] - where to add the rows at
 * @param {boolean} [resort=false] - should resort all rows?
 * @param {boolean} [render=true]
 * @returns {DGTable} self
 */
DGTable.prototype.addRows = function (data, at, resort, render) {
  let that = this,
    p = that.p;

  if (typeof at === 'boolean') {
    render = resort;
    resort = at;
    at = -1;
  }

  if (typeof at !== 'number')
  at = -1;

  if (at < 0 || at > p.rows.length)
  at = p.rows.length;

  render = render === undefined ? true : !!render;

  if (data) {
    p.rows.add(data, at);

    if (p.filteredRows || resort && p.rows.sortColumn.length) {

      if (resort && p.rows.sortColumn.length) {
        this.resort();
      } else {
        this._refilter();
      }

      p.tableSkeletonNeedsRendering = true;

      if (render) {
        // Render the skeleton with all rows from scratch
        this.render();
      }

    } else if (render) {
      p.virtualListHelper.addItemsAt(data.length, at);

      if (that.o.virtualTable) {
        this._updateVirtualHeight().
        _updateLastCellWidthFromScrollbar() // Detect vertical scrollbar height
        .render().
        _updateTableWidth(false); // Update table width to suit the required width considering vertical scrollbar

      } else if (p.tbody) {
        this.render().
        _updateLastCellWidthFromScrollbar() // Detect vertical scrollbar height, and update existing last cells
        ._updateTableWidth(true); // Update table width to suit the required width considering vertical scrollbar
      }
    }

    this.trigger('addrows', data.length, false);
  }
  return this;
};

/**
 * Removes a row from the table
 * @public
 * @expose
 * @param {number} physicalRowIndex - index
 * @param {number} count - how many rows to remove
 * @param {boolean=true} render
 * @returns {DGTable} self
 */
DGTable.prototype.removeRows = function (physicalRowIndex, count, render) {
  let that = this,
    p = that.p;

  if (typeof count !== 'number' || count <= 0) return this;

  if (physicalRowIndex < 0 || physicalRowIndex > p.rows.length - 1) return this;

  p.rows.splice(physicalRowIndex, count);
  render = render === undefined ? true : !!render;

  if (p.filteredRows) {

    this._refilter();

    p.tableSkeletonNeedsRendering = true;

    if (render) {
      // Render the skeleton with all rows from scratch
      this.render();
    }

  } else if (render) {
    p.virtualListHelper.removeItemsAt(count, physicalRowIndex);

    if (this.o.virtualTable) {
      this._updateVirtualHeight().
      _updateLastCellWidthFromScrollbar().
      render().
      _updateTableWidth(false); // Update table width to suit the required width considering vertical scrollbar
    } else {
      this.render().
      _updateLastCellWidthFromScrollbar().
      _updateTableWidth(true); // Update table width to suit the required width considering vertical scrollbar
    }
  }

  return this;
};

/**
 * Removes a row from the table
 * @public
 * @expose
 * @param {number} physicalRowIndex - index
 * @param {boolean=true} render
 * @returns {DGTable} self
 */
DGTable.prototype.removeRow = function (physicalRowIndex, render) {
  return this.removeRows(physicalRowIndex, 1, render);
};

/**
 * Refreshes the row specified
 * @public
 * @expose
 * @param {number} physicalRowIndex index
 * @param {boolean} render should render the changes immediately?
 * @returns {DGTable} self
 */
DGTable.prototype.refreshRow = function (physicalRowIndex, render = true) {
  let that = this,
    p = that.p;

  if (physicalRowIndex < 0 || physicalRowIndex > p.rows.length - 1) return this;

  // Find out if the row is in the rendered dataset
  let rowIndex = -1;
  if (p.filteredRows && (rowIndex = p.filteredRows.indexOf(p.rows[physicalRowIndex])) === -1) return this;

  if (rowIndex === -1) {
    rowIndex = physicalRowIndex;
  }

  p.virtualListHelper.refreshItemAt(rowIndex);

  if (render)
  p.virtualListHelper.render();

  return this;
};

/**
 * Get the DOM element for the specified row, if it exists
 * @public
 * @expose
 * @param {number} physicalRowIndex index
 * @returns {Element|null} row or null
 */
DGTable.prototype.getRowElement = function (physicalRowIndex) {
  let that = this,
    p = that.p;

  if (physicalRowIndex < 0 || physicalRowIndex > p.rows.length - 1) return null;

  // Find out if the row is in the rendered dataset
  let rowIndex = -1;
  if (p.filteredRows && (rowIndex = p.filteredRows.indexOf(p.rows[physicalRowIndex])) === -1) return this;

  if (rowIndex === -1) {
    rowIndex = physicalRowIndex;
  }

  return p.virtualListHelper.getItemElementAt(rowIndex) || null;
};

/**
 * Refreshes all virtual rows
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.refreshAllVirtualRows = function () {
  const p = this.p;
  p.virtualListHelper.invalidate().render();
  return this;
};

/**
 * Replace the whole dataset
 * @public
 * @expose
 * @param {Object[]} data array of rows to add to the table
 * @param {boolean} [resort=false] should resort all rows?
 * @returns {DGTable} self
 */
DGTable.prototype.setRows = function (data, resort) {
  let that = this,
    p = that.p;

  // this.scrollTop = this.$el.find('.table').scrollTop();
  p.rows.reset(data);

  if (resort && p.rows.sortColumn.length) {
    this.resort();
  } else {
    this._refilter();
  }

  this.clearAndRender().trigger('addrows', data.length, true);

  return this;
};

/**
 * Creates a URL representing the data in the specified element.
 * This uses the Blob or BlobBuilder of the modern browsers.
 * The url can be used for a Web Worker.
 * @public
 * @expose
 * @param {string} id Id of the element containing your data
 * @returns {string|null} the url, or null if not supported
 */
DGTable.prototype.getUrlForElementContent = function (id) {
  let blob,
    el = document.getElementById(id);
  if (el) {
    let data = el.textContent;
    if (typeof Blob === 'function') {
      blob = new Blob([data]);
    } else {
      let BlobBuilder = window.BlobBuilder || window.WebKitBlobBuilder || window.MozBlobBuilder || window.MSBlobBuilder;
      if (!BlobBuilder) {
        return null;
      }
      let builder = new BlobBuilder();
      builder.append(data);
      blob = builder.getBlob();
    }
    return (window.URL || window.webkitURL).createObjectURL(blob);
  }
  return null;
};

/**
 * @public
 * @expose
 * @returns {boolean} A value indicating whether Web Workers are supported
 */
DGTable.prototype.isWorkerSupported = function () {
  return window['Worker'] instanceof Function;
};

/**
 * Creates a Web Worker for updating the table.
 * @public
 * @expose
 * @param {string} url Url to the script for the Web Worker
 * @param {boolean} [start=true] if true, starts the Worker immediately
 * @param {boolean} [resort=false]
 * @returns {Worker|null} the Web Worker, or null if not supported
 */
DGTable.prototype.createWebWorker = function (url, start, resort) {
  if (this.isWorkerSupported()) {
    let that = this,
      p = that.p;

    let worker = new Worker(url);
    let listener = function (evt) {
      if (evt.data.append) {
        that.addRows(evt.data.rows, resort);
      } else {
        that.setRows(evt.data.rows, resort);
      }
    };
    worker.addEventListener('message', listener, false);
    if (!p.workerListeners) {
      p.workerListeners = [];
    }
    p.workerListeners.push({ worker: worker, listener: listener });
    if (start || start === undefined) {
      worker.postMessage(null);
    }
    return worker;
  }
  return null;
};

/**
 * Unbinds a Web Worker from the table, stopping updates.
 * @public
 * @expose
 * @param {Worker} worker the Web Worker
 * @returns {DGTable} self
 */
DGTable.prototype.unbindWebWorker = function (worker) {
  let that = this,
    p = that.p;

  if (p.workerListeners) {
    for (let j = 0; j < p.workerListeners.length; j++) {
      if (p.workerListeners[j].worker === worker) {
        worker.removeEventListener('message', p.workerListeners[j].listener, false);
        p.workerListeners.splice(j, 1);
        j--;
      }
    }
  }

  return this;
};

/**
 * A synonym for hideCellPreview()
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.abortCellPreview = function () {
  this.hideCellPreview();
  return this;
};

/**
 * Cancel a resize in progress
 * @expose
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype.cancelColumnResize = function () {
  const p = this.p;

  if (p.$resizer) {
    p.$resizer.remove();
    p.$resizer = null;
    $(document).off('mousemove.dgtable', p.onMouseMoveResizeAreaBound).
    off('mouseup.dgtable', p.onEndDragColumnHeaderBound);
  }

  return this;
};

DGTable.prototype._onTableScrolledHorizontally = function () {
  const p = this.p;

  p.header.scrollLeft = p.table.scrollLeft;
};

/**previousElementSibling
 * Reverse-calculate the column to resize from mouse position
 * @private
 * @param {jQuery_Event} e jQuery mouse event
 * @returns {string} name of the column which the mouse is over, or null if the mouse is not in resize position
 */
DGTable.prototype._getColumnByResizePosition = function (e) {

  let that = this,
    o = that.o,
    rtl = this._isTableRtl();

  let $headerCell = $(e.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName),
    headerCell = $headerCell[0];
  if (headerCell['__cell']) {
    headerCell = headerCell['__cell'];
    $headerCell = $(headerCell);
  }

  let previousElementSibling = $headerCell[0].previousSibling;
  while (previousElementSibling && previousElementSibling.nodeType !== 1) {
    previousElementSibling = previousElementSibling.previousSibling;
  }

  let firstCol = !previousElementSibling;

  let mouseX = ((e.pageX != null ? e.pageX : e.originalEvent.pageX) || e.originalEvent.clientX) - $headerCell.offset().left;

  if (rtl) {
    if (!firstCol && getElementWidth($headerCell[0], true, true, true) - mouseX <= o.resizeAreaWidth / 2) {
      return previousElementSibling['columnName'];
    } else if (mouseX <= o.resizeAreaWidth / 2) {
      return headerCell['columnName'];
    }
  } else {
    if (!firstCol && mouseX <= o.resizeAreaWidth / 2) {
      return previousElementSibling['columnName'];
    } else if (getElementWidth($headerCell[0], true, true, true) - mouseX <= o.resizeAreaWidth / 2) {
      return headerCell['columnName'];
    }
  }

  return null;
};

/**
 * @param {jQuery_Event} event
 */
DGTable.prototype._onTouchStartColumnHeader = function (event) {
  const p = this.p;

  if (p.currentTouchId) return;

  let startTouch = event.originalEvent.changedTouches[0];
  p.currentTouchId = startTouch.identifier;

  let $eventTarget = $(event.currentTarget);

  let startPos = { x: startTouch.pageX, y: startTouch.pageY },
    currentPos = startPos,
    distanceTreshold = 9;

  let tapAndHoldTimeout;

  let unbind = function () {
    p.currentTouchId = null;
    $eventTarget.off('touchend').off('touchcancel');
    clearTimeout(tapAndHoldTimeout);
  };

  let fakeEvent = function (name) {
    let fakeEvent = $.Event(name);
    let extendObjects = Array.prototype.slice.call(arguments, 1);
    for (let key of ['target', 'clientX', 'clientY', 'offsetX', 'offsetY', 'screenX', 'screenY', 'pageX', 'pageY', 'which']) {
      fakeEvent[key] = event[key];
      for (let i = 0; i < extendObjects.length; i++) {
        if (extendObjects[i][key] != null) {
          fakeEvent[key] = extendObjects[i][key];
        }
      }
    }
    return fakeEvent;
  };

  $eventTarget.trigger(fakeEvent('mousedown', event.originalEvent.changedTouches[0], { 'which': 1, target: event.target }));

  tapAndHoldTimeout = setTimeout(() => {
    unbind();

    $eventTarget.
    one('touchend', (event) => {
      // Prevent simulated mouse events after touchend
      if (!isInputElementEvent(event))
      event.preventDefault();

      $eventTarget.off('touchend').off('touchcancel');
    }).
    one('touchcancel', (_event) => {
      $eventTarget.off('touchend').off('touchcancel');
    });

    let distanceTravelled = Math.sqrt(Math.pow(Math.abs(currentPos.x - startPos.x), 2) + Math.pow(Math.abs(currentPos.y - startPos.y), 2));

    if (distanceTravelled < distanceTreshold) {
      this.cancelColumnResize();
      $eventTarget.trigger(fakeEvent('mouseup', event.originalEvent.changedTouches[0], { 'which': 3, target: event.target }));
    }

  }, 500);

  $eventTarget.
  on('touchend', (event) => {
    let touch = find(event.originalEvent.changedTouches, (touch) => touch.identifier === p.currentTouchId);
    if (!touch) return;

    unbind();

    // Prevent simulated mouse events after touchend
    if (!isInputElementEvent(event))
    event.preventDefault();

    currentPos = { x: touch.pageX, y: touch.pageY };
    let distanceTravelled = Math.sqrt(Math.pow(Math.abs(currentPos.x - startPos.x), 2) + Math.pow(Math.abs(currentPos.y - startPos.y), 2));

    if (distanceTravelled < distanceTreshold || p.$resizer) {
      $eventTarget.trigger(fakeEvent('mouseup', touch, { 'which': 1, target: event.target }));
      $eventTarget.trigger(fakeEvent('click', touch, { 'which': 1, target: event.target }));
    }

  }).
  on('touchcancel', () => {
    unbind();
  }).
  on('touchmove', (event) => {
    let touch = find(event.originalEvent.changedTouches, (touch) => touch.identifier === p.currentTouchId);
    if (!touch) return;

    // Keep track of current position, so we know if we need to cancel the tap-and-hold
    currentPos = { x: touch.pageX, y: touch.pageY };

    if (p.$resizer) {
      event.preventDefault();

      $eventTarget.trigger(fakeEvent('mousemove', touch, { target: event.target }));
    }
  });
};

/**
 * @param {jQuery_Event} event
 */
DGTable.prototype._onMouseDownColumnHeader = function (event) {
  if (event.which !== 1) return this; // Only treat left-clicks

  let that = this,
    o = that.o,
    p = that.p,
    col = this._getColumnByResizePosition(event);

  if (col) {
    let column = p.columns.get(col);
    if (!o.resizableColumns || !column || !column.resizable) {
      return false;
    }

    let rtl = this._isTableRtl();

    if (p.$resizer) {
      $(p.$resizer).remove();
    }
    p.$resizer = $('<div></div>').
    addClass(o.resizerClassName).
    css({
      'position': 'absolute',
      'display': 'block',
      'z-index': -1,
      'visibility': 'hidden',
      'width': '2px',
      'background': '#000',
      'opacity': 0.7
    }).
    appendTo(this.$el);

    let selectedHeaderCell = column.element,
      commonAncestor = p.$resizer.parent();

    let posCol = selectedHeaderCell.offset(),
      posRelative = commonAncestor.offset();
    if (ieVersion === 8) {
      posCol = selectedHeaderCell.offset(); // IE8 bug, first time it receives zeros...
    }
    posRelative.left += parseFloat(commonAncestor.css('border-left-width')) || 0;
    posRelative.top += parseFloat(commonAncestor.css('border-top-width')) || 0;
    posCol.left -= posRelative.left;
    posCol.top -= posRelative.top;
    posCol.top -= parseFloat(selectedHeaderCell.css('border-top-width')) || 0;
    let resizerWidth = getElementWidth(p.$resizer[0], true, true, true);
    if (rtl) {
      posCol.left -= Math.ceil((parseFloat(selectedHeaderCell.css('border-left-width')) || 0) / 2);
      posCol.left -= Math.ceil(resizerWidth / 2);
    } else {
      posCol.left += getElementWidth(selectedHeaderCell[0], true, true, true);
      posCol.left += Math.ceil((parseFloat(selectedHeaderCell.css('border-right-width')) || 0) / 2);
      posCol.left -= Math.ceil(resizerWidth / 2);
    }

    p.$resizer.
    css({
      'z-index': '10',
      'visibility': 'visible',
      'left': posCol.left,
      'top': posCol.top,
      'height': getElementHeight(this.$el[0])
    })[0]['columnName'] = selectedHeaderCell[0]['columnName'];

    try {p.$resizer[0].style.zIndex = '';}
    catch (ignored) {/* we're ok with this */}

    $(document).on('mousemove.dgtable', p.onMouseMoveResizeAreaBound);
    $(document).on('mouseup.dgtable', p.onEndDragColumnHeaderBound);

    event.preventDefault();
  }
};

/**
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onMouseMoveColumnHeader = function (event) {

  let that = this,
    o = that.o,
    p = that.p;

  if (o.resizableColumns) {
    let col = this._getColumnByResizePosition(event);
    let headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName)[0];
    if (!col || !p.columns.get(col).resizable) {
      headerCell.style.cursor = '';
    } else {
      headerCell.style.cursor = 'e-resize';
    }
  }
};

/**
 * @param {jQuery_Event} event
 */
DGTable.prototype._onMouseUpColumnHeader = function (event) {
  if (event.which === 3) {
    let o = this.o;
    let $headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName);
    let bounds = $headerCell.offset();
    bounds['width'] = getElementWidth($headerCell[0], true, true, true);
    bounds['height'] = getElementHeight($headerCell[0], true, true, true);
    this.trigger('headercontextmenu', $headerCell[0]['columnName'], event.pageX, event.pageY, bounds);
  }
  return this;
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onMouseLeaveColumnHeader = function (event) {
  let o = this.o;
  let headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName)[0];
  headerCell.style.cursor = '';
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onClickColumnHeader = function (event) {
  if (isInputElementEvent(event))
  return;

  if (!this._getColumnByResizePosition(event)) {

    let that = this,
      o = that.o,
      p = that.p;

    let headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName)[0];
    if (o.sortableColumns) {
      let column = p.columns.get(headerCell['columnName']);
      let currentSort = p.rows.sortColumn;
      if (column && column.sortable) {
        let shouldAdd = true;

        let lastSort = currentSort.length ? currentSort[currentSort.length - 1] : null;

        if (lastSort && lastSort.column === column.name) {
          if (!lastSort.descending || !o.allowCancelSort) {
            lastSort.descending = !lastSort.descending;
          } else {
            shouldAdd = false;
            currentSort.splice(currentSort.length - 1, 1);
          }
        }

        if (shouldAdd) {
          this.sort(column.name, undefined, true).render();
        } else {
          this.sort(); // just refresh current situation
        }
      }
    }
  }
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onStartDragColumnHeader = function (event) {

  let that = this,
    o = that.o,
    p = that.p;

  if (o.movableColumns) {

    let $headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName);
    let column = p.columns.get($headerCell[0]['columnName']);
    if (column && column.movable) {
      $headerCell[0].style.opacity = 0.35;
      p.dragId = Math.random() * 0x9999999; // Recognize this ID on drop
      event.originalEvent.dataTransfer.setData('text', JSON.stringify({ dragId: p.dragId, column: column.name }));
    } else {
      event.preventDefault();
    }

  } else {

    event.preventDefault();

  }

  return undefined;
};

/**
 * @private
 * @param {MouseEvent} event event
 */
DGTable.prototype._onMouseMoveResizeArea = function (event) {

  let that = this,
    p = that.p;

  let column = p.columns.get(p.$resizer[0]['columnName']);
  let rtl = this._isTableRtl();

  let selectedHeaderCell = column.element,
    commonAncestor = p.$resizer.parent();
  let posCol = selectedHeaderCell.offset(),posRelative = commonAncestor.offset();
  posRelative.left += parseFloat(commonAncestor.css('border-left-width')) || 0;
  posCol.left -= posRelative.left;
  let resizerWidth = getElementWidth(p.$resizer[0], true, true, true);

  let isBoxing = selectedHeaderCell.css('box-sizing') === 'border-box';

  let actualX = event.pageX - posRelative.left;
  let minX = posCol.left;

  minX -= Math.ceil(resizerWidth / 2);

  if (rtl) {
    minX += getElementWidth(selectedHeaderCell[0], true, true, true);
    minX -= column.ignoreMin ? 0 : this.o.minColumnWidth;

    if (!isBoxing) {
      minX -= Math.ceil((parseFloat(selectedHeaderCell.css('border-left-width')) || 0) / 2);
      minX -= this._horizontalPadding(selectedHeaderCell[0]);
    }

    if (actualX > minX) {
      actualX = minX;
    }
  } else {
    minX += column.ignoreMin ? 0 : this.o.minColumnWidth;

    if (!isBoxing) {
      minX += Math.ceil((parseFloat(selectedHeaderCell.css('border-right-width')) || 0) / 2);
      minX += this._horizontalPadding(selectedHeaderCell[0]);
    }

    if (actualX < minX) {
      actualX = minX;
    }
  }

  p.$resizer.css('left', actualX + 'px');
};

/**
 * @private
 * @param {Event} event event
 */
DGTable.prototype._onEndDragColumnHeader = function (event) {

  let that = this,
    o = that.o,
    p = that.p;

  if (!p.$resizer) {
    event.target.style.opacity = null;
  } else {
    $(document).off('mousemove.dgtable', p.onMouseMoveResizeAreaBound).
    off('mouseup.dgtable', p.onEndDragColumnHeaderBound);

    let column = p.columns.get(p.$resizer[0]['columnName']);
    let rtl = this._isTableRtl();

    let selectedHeaderCell = column.element,
      selectedHeaderCellInner = selectedHeaderCell[0].firstChild,
      commonAncestor = p.$resizer.parent();
    let posCol = selectedHeaderCell.offset(),posRelative = commonAncestor.offset();
    posRelative.left += parseFloat(commonAncestor.css('border-left-width')) || 0;
    posCol.left -= posRelative.left;
    let resizerWidth = getElementWidth(p.$resizer[0], true, true, true);

    let isBoxing = selectedHeaderCell.css('box-sizing') === 'border-box';

    let actualX = event.pageX - posRelative.left;
    let baseX = posCol.left,minX = posCol.left;
    let width = 0;

    baseX -= Math.ceil(resizerWidth / 2);

    if (rtl) {
      if (!isBoxing) {
        actualX += this._horizontalPadding(selectedHeaderCell[0]);
        const innerComputedStyle = getComputedStyle(selectedHeaderCellInner || selectedHeaderCell[0]);
        actualX += parseFloat(innerComputedStyle.borderLeftWidth) || 0;
        actualX += parseFloat(innerComputedStyle.borderRightWidth) || 0;
        actualX += column.arrowProposedWidth || 0; // Sort-arrow width
      }

      baseX += getElementWidth(selectedHeaderCell[0], true, true, true);

      minX = baseX - (column.ignoreMin ? 0 : this.o.minColumnWidth);
      if (actualX > minX) {
        actualX = minX;
      }

      width = baseX - actualX;
    } else {
      if (!isBoxing) {
        actualX -= this._horizontalPadding(selectedHeaderCell[0]);
        const innerComputedStyle = getComputedStyle(selectedHeaderCellInner || selectedHeaderCell[0]);
        actualX -= parseFloat(innerComputedStyle.borderLeftWidth) || 0;
        actualX -= parseFloat(innerComputedStyle.borderRightWidth) || 0;
        actualX -= column.arrowProposedWidth || 0; // Sort-arrow width
      }

      minX = baseX + (column.ignoreMin ? 0 : this.o.minColumnWidth);
      if (actualX < minX) {
        actualX = minX;
      }

      width = actualX - baseX;
    }

    p.$resizer.remove();
    p.$resizer = null;

    let sizeToSet = width;

    if (column.widthMode === ColumnWidthMode.RELATIVE) {
      let sizeLeft = this._calculateWidthAvailableForColumns();
      //sizeLeft -= p.table.offsetWidth - p.table.clientWidth;

      let totalRelativePercentage = 0;
      let relatives = 0;

      for (let i = 0; i < p.visibleColumns.length; i++) {
        let col = p.visibleColumns[i];
        if (col.name === column.name) continue;

        if (col.widthMode === ColumnWidthMode.RELATIVE) {
          totalRelativePercentage += col.width;
          relatives++;
        } else {
          sizeLeft -= col.actualWidth;
        }
      }

      sizeLeft = Math.max(1, sizeLeft);
      if (sizeLeft === 1)
      sizeLeft = p.table.clientWidth;
      sizeToSet = width / sizeLeft;

      if (relatives > 0) {
        // When there's more than one relative overall,
        //   we can do relative enlarging/shrinking.
        // Otherwise, we can end up having a 0 width.

        let unNormalizedSizeToSet = sizeToSet / ((1 - sizeToSet) / totalRelativePercentage);

        totalRelativePercentage += sizeToSet;

        // Account for relative widths scaling later
        if (totalRelativePercentage < 1 && o.relativeWidthGrowsToFillWidth ||
        totalRelativePercentage > 1 && o.relativeWidthShrinksToFillWidth) {
          sizeToSet = unNormalizedSizeToSet;
        }
      }

      sizeToSet *= 100;
      sizeToSet += '%';
    }

    this.setColumnWidth(column.name, sizeToSet);
  }
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onDragEnterColumnHeader = function (event) {
  let that = this,
    o = that.o,
    p = that.p;

  if (o.movableColumns) {
    let dataTransferred = event.originalEvent.dataTransfer.getData('text');
    if (dataTransferred) {
      dataTransferred = JSON.parse(dataTransferred);
    } else
    {
      dataTransferred = null; // WebKit does not provide the dataTransfer on dragenter?..
    }

    let $headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName);
    if (!dataTransferred ||
    p.dragId === dataTransferred.dragId && $headerCell['columnName'] !== dataTransferred.column) {

      let column = p.columns.get($headerCell[0]['columnName']);
      if (column && (column.movable || column !== p.visibleColumns[0])) {
        $($headerCell).addClass('drag-over');
      }
    }
  }
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onDragOverColumnHeader = function (event) {
  event.preventDefault();
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onDragLeaveColumnHeader = function (event) {
  let o = this.o;
  let $headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName);
  if (!$($headerCell[0].firstChild).
  has(event.originalEvent.relatedTarget).length) {
    $headerCell.removeClass('drag-over');
  }
};

/**
 * @private
 * @param {jQuery_Event} event event
 */
DGTable.prototype._onDropColumnHeader = function (event) {
  event.preventDefault();

  let that = this,
    o = that.o,
    p = that.p;

  let dataTransferred = JSON.parse(event.originalEvent.dataTransfer.getData('text'));
  let $headerCell = $(event.target).closest('div.' + o.tableClassName + '-header-cell,div.' + o.cellPreviewClassName);
  if (o.movableColumns && dataTransferred.dragId === p.dragId) {
    let srcColName = dataTransferred.column,
      destColName = $headerCell[0]['columnName'],
      srcCol = p.columns.get(srcColName),
      destCol = p.columns.get(destColName);
    if (srcCol && destCol && srcCol.movable && (destCol.movable || destCol !== p.visibleColumns[0])) {
      this.moveColumn(srcColName, destColName);
    }
  }
  $($headerCell).removeClass('drag-over');
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._clearSortArrows = function () {

  let that = this,
    p = that.p;

  if (p.$table) {
    let tableClassName = this.o.tableClassName;
    let sortedColumns = p.$headerRow.find('>div.' + tableClassName + '-header-cell.sorted');
    let arrows = sortedColumns.find('>div>.sort-arrow');
    arrows.each((_, arrow) => {
      let col = p.columns.get(arrow.parentNode.parentNode['columnName']);
      if (col) {
        col.arrowProposedWidth = 0;
      }
    });
    arrows.remove();
    sortedColumns.removeClass('sorted').removeClass('desc');
  }
  return this;
};

/**
 * @private
 * @param {string} column the name of the sort column
 * @param {boolean} descending table is sorted descending
 * @returns {DGTable} self
 */
DGTable.prototype._showSortArrow = function (column, descending) {

  let that = this,
    p = that.p;

  let col = p.columns.get(column);
  if (!col) return false;

  let arrow = createElement('span');
  arrow.className = 'sort-arrow';

  if (col.element) {
    col.element.addClass(descending ? 'sorted desc' : 'sorted');
    col.element[0].firstChild.insertBefore(arrow, col.element[0].firstChild.firstChild);
  }

  if (col.widthMode !== ColumnWidthMode.RELATIVE && this.o.adjustColumnWidthForSortArrow) {
    col.arrowProposedWidth = arrow.scrollWidth + (parseFloat($(arrow).css('margin-right')) || 0) + (parseFloat($(arrow).css('margin-left')) || 0);
  }

  return this;
};

/**
 * @private
 * @param {number} cellIndex index of the column in the DOM
 * @returns {DGTable} self
 */
DGTable.prototype._resizeColumnElements = function (cellIndex) {

  let that = this,
    p = that.p;

  let headerCells = p.$headerRow.find('div.' + this.o.tableClassName + '-header-cell');
  let col = p.columns.get(headerCells[cellIndex]['columnName']);

  if (col) {
    headerCells[cellIndex].style.width = (col.actualWidthConsideringScrollbarWidth || col.actualWidth) + 'px';

    let width = (col.actualWidthConsideringScrollbarWidth || col.actualWidth) + 'px';
    let tbodyChildren = p.tbody.childNodes;
    for (let i = 0, count = tbodyChildren.length; i < count; i++) {
      let rowEl = tbodyChildren[i];
      if (rowEl.nodeType !== 1) continue;
      rowEl.childNodes[cellIndex].style.width = width;
    }
  }

  return this;
};

/**
 * @returns {DGTable} self
 * */
DGTable.prototype._destroyHeaderCells = function () {

  let that = this,
    o = that.o,
    p = that.p;

  if (p.$headerRow) {
    this.trigger('headerrowdestroy', p.headerRow);
    p.$headerRow.find('div.' + o.tableClassName + '-header-cell').remove();
    p.$headerRow = null;
    p.headerRow = null;
  }
  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._renderSkeletonBase = function () {var _p$virtualListHelper2;
  let that = this,
    p = that.p,
    o = that.o;

  // Clean up old elements

  (_p$virtualListHelper2 = p.virtualListHelper) === null || _p$virtualListHelper2 === void 0 || _p$virtualListHelper2.destroy();
  p.virtualListHelper = null;

  if (p.$table && o.virtualTable) {
    p.$table.remove();
    p.$table = p.table = p.$tbody = p.tbody = null;
  }

  that._destroyHeaderCells();
  p.currentTouchId = null;
  if (p.$header) {
    p.$header.remove();
  }

  // Create new base elements
  let tableClassName = o.tableClassName,
    header = createElement('div'),
    $header = $(header),
    headerRow = createElement('div'),
    $headerRow = $(headerRow);

  header.className = tableClassName + '-header';
  headerRow.className = tableClassName + '-header-row';

  p.$header = $header;
  p.header = header;
  p.$headerRow = $headerRow;
  p.headerRow = headerRow;
  $headerRow.appendTo(p.$header);
  $header.prependTo(this.$el);

  relativizeElement(that.$el);

  if (o.width === DGTable.Width.SCROLL) {
    this.el.style.overflow = 'hidden';
  } else {
    this.el.style.overflow = '';
  }

  if (!o.height && o.virtualTable) {
    o.height = getElementHeight(this.$el[0], true);
  }

  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._renderSkeletonHeaderCells = function () {
  let that = this,
    p = that.p,
    o = that.o;

  let allowCellPreview = o.allowCellPreview,
    allowHeaderCellPreview = o.allowHeaderCellPreview;

  let tableClassName = o.tableClassName,
    headerCellClassName = tableClassName + '-header-cell',
    headerRow = p.headerRow;

  let ieDragDropHandler;
  if (hasIeDragAndDropBug) {
    ieDragDropHandler = function (evt) {
      evt.preventDefault();
      this.dragDrop();
      return false;
    };
  }

  let preventDefault = function (event) {event.preventDefault();};

  // Create header cells
  for (let i = 0; i < p.visibleColumns.length; i++) {
    let column = p.visibleColumns[i];
    if (column.visible) {
      let cell = createElement('div');
      let $cell = $(cell);
      cell.draggable = true;
      cell.className = headerCellClassName;
      cell.style.width = column.actualWidth + 'px';
      if (o.sortableColumns && column.sortable) {
        cell.className += ' sortable';
      }
      cell['columnName'] = column.name;
      cell.setAttribute('data-column', column.name);

      let cellInside = createElement('div');
      cellInside.innerHTML = o.headerCellFormatter(column.label, column.name);
      cell.appendChild(cellInside);
      if (allowCellPreview && allowHeaderCellPreview) {
        p._bindCellHoverIn(cell);
      }
      headerRow.appendChild(cell);

      p.visibleColumns[i].element = $cell;

      $cell.on('mousedown.dgtable', that._onMouseDownColumnHeader.bind(that)).
      on('mousemove.dgtable', that._onMouseMoveColumnHeader.bind(that)).
      on('mouseup.dgtable', that._onMouseUpColumnHeader.bind(that)).
      on('mouseleave.dgtable', that._onMouseLeaveColumnHeader.bind(that)).
      on('touchstart.dgtable', that._onTouchStartColumnHeader.bind(that)).
      on('dragstart.dgtable', that._onStartDragColumnHeader.bind(that)).
      on('click.dgtable', that._onClickColumnHeader.bind(that)).
      on('contextmenu.dgtable', preventDefault);
      $(cellInside).
      on('dragenter.dgtable', that._onDragEnterColumnHeader.bind(that)).
      on('dragover.dgtable', that._onDragOverColumnHeader.bind(that)).
      on('dragleave.dgtable', that._onDragLeaveColumnHeader.bind(that)).
      on('drop.dgtable', that._onDropColumnHeader.bind(that));

      if (hasIeDragAndDropBug) {
        $cell.on('selectstart.dgtable', ieDragDropHandler.bind(cell));
      }

      // Disable these to allow our own context menu events without interruption
      $cell.css({ '-webkit-touch-callout': 'none', '-webkit-user-select': 'none', '-moz-user-select': 'none', '-ms-user-select': 'none', '-o-user-select': 'none', 'user-select': 'none' });
    }
  }

  this.trigger('headerrowcreate', headerRow);

  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._renderSkeletonBody = function () {
  let that = this,
    p = that.p,
    o = that.o;

  let tableClassName = o.tableClassName;

  // Calculate virtual row heights
  if (o.virtualTable && !p.virtualRowHeight) {
    let createDummyRow = function () {
      let row = createElement('div'),
        cell = row.appendChild(createElement('div')),
        cellInner = cell.appendChild(createElement('div'));
      row.className = tableClassName + '-row';
      cell.className = tableClassName + '-cell';
      cellInner.innerHTML = '0';
      row.style.visibility = 'hidden';
      row.style.position = 'absolute';
      return row;
    };

    let $dummyTbody,$dummyWrapper = $('<div>').
      addClass(that.el.className).
      css({ 'z-index': -1, 'position': 'absolute', left: '0', top: '-9999px', width: '1px', overflow: 'hidden' }).
      append(
        $('<div>').addClass(tableClassName).append(
          $dummyTbody = $('<div>').addClass(tableClassName + '-body').css('width', 99999)
        )
      );

    $dummyWrapper.appendTo(document.body);

    let row1 = createDummyRow(),row2 = createDummyRow(),row3 = createDummyRow();
    $dummyTbody.append(row1, row2, row3);

    p.virtualRowHeightFirst = getElementHeight(row1, true, true, true);
    p.virtualRowHeight = getElementHeight(row2, true, true, true);
    p.virtualRowHeightLast = getElementHeight(row3, true, true, true);

    $dummyWrapper.remove();
  }

  // Create inner table and tbody
  if (!p.$table) {

    let fragment = document.createDocumentFragment();

    // Create the inner table element
    let table = createElement('div');
    let $table = $(table);
    table.className = tableClassName;

    if (o.virtualTable) {
      table.className += ' virtual';
    }

    let tableHeight = o.height - getElementHeight(p.$headerRow[0], true, true, true);
    if ($table.css('box-sizing') !== 'border-box') {
      tableHeight -= parseFloat($table.css('border-top-width')) || 0;
      tableHeight -= parseFloat($table.css('border-bottom-width')) || 0;
      tableHeight -= parseFloat($table.css('padding-top')) || 0;
      tableHeight -= parseFloat($table.css('padding-bottom')) || 0;
    }
    p.visibleHeight = tableHeight;
    table.style.height = o.height ? tableHeight + 'px' : 'auto';
    table.style.display = 'block';
    table.style.overflowY = 'auto';
    table.style.overflowX = o.width === DGTable.Width.SCROLL ? 'auto' : 'hidden';
    fragment.appendChild(table);

    // Create the "tbody" element
    let tbody = createElement('div');
    let $tbody = $(tbody);
    tbody.className = o.tableClassName + '-body';
    tbody.style.minHeight = '1px';
    p.table = table;
    p.tbody = tbody;
    p.$table = $table;
    p.$tbody = $tbody;

    relativizeElement($tbody);
    relativizeElement($table);

    table.appendChild(tbody);
    that.el.appendChild(fragment);

    this._setupVirtualTable();
  }

  return this;
};

/**
 * @private
 * @returns {DGTable} self
 * @deprecated
 */
DGTable.prototype._renderSkeleton = function () {
  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._updateVirtualHeight = function () {
  const o = this.o,p = this.p;

  if (!p.tbody)
  return this;

  if (o.virtualTable) {
    const virtualHeight = p.virtualListHelper.estimateFullHeight();
    p.lastVirtualScrollHeight = virtualHeight;
    p.tbody.style.height = virtualHeight + 'px';
  } else {
    p.tbody.style.height = '';
  }

  return this;
};

/**
 * @private
 * @returns {DGTable} self
 */
DGTable.prototype._updateLastCellWidthFromScrollbar = function (force) {

  const p = this.p;

  // Calculate scrollbar's width and reduce from lat column's width
  let scrollbarWidth = p.table.offsetWidth - p.table.clientWidth;
  if (scrollbarWidth !== p.scrollbarWidth || force) {var _p$notifyRendererOfCo3;
    p.scrollbarWidth = scrollbarWidth;
    for (let i = 0; i < p.columns.length; i++) {
      p.columns[i].actualWidthConsideringScrollbarWidth = null;
    }

    if (p.scrollbarWidth > 0 && p.visibleColumns.length > 0) {
      // (There should always be at least 1 column visible, but just in case)
      let lastColIndex = p.visibleColumns.length - 1;

      p.visibleColumns[lastColIndex].actualWidthConsideringScrollbarWidth = p.visibleColumns[lastColIndex].actualWidth - p.scrollbarWidth;
      let lastColWidth = p.visibleColumns[lastColIndex].actualWidthConsideringScrollbarWidth + 'px';
      let tbodyChildren = p.tbody.childNodes;
      for (let i = 0, count = tbodyChildren.length; i < count; i++) {
        let row = tbodyChildren[i];
        if (row.nodeType !== 1) continue;
        row.childNodes[lastColIndex].style.width = lastColWidth;
      }

      p.headerRow.childNodes[lastColIndex].style.width = lastColWidth;
    }

    (_p$notifyRendererOfCo3 = p.notifyRendererOfColumnsConfig) === null || _p$notifyRendererOfCo3 === void 0 || _p$notifyRendererOfCo3.call(p);
  }

  return this;
};

/**
 * Explicitly set the width of the table based on the sum of the column widths
 * @private
 * @param {boolean} parentSizeMayHaveChanged Parent size may have changed, treat rendering accordingly
 * @returns {DGTable} self
 */
DGTable.prototype._updateTableWidth = function (parentSizeMayHaveChanged) {
  const o = this.o,p = this.p;
  let width = this._calculateTbodyWidth();

  p.tbody.style.minWidth = width + 'px';
  p.headerRow.style.minWidth = width + (p.scrollbarWidth || 0) + 'px';

  p.$table.off('scroll', p.onTableScrolledHorizontallyBound);

  if (o.width === DGTable.Width.AUTO) {
    // Update wrapper element's size to fully contain the table body

    setElementWidth(p.$table[0], getElementWidth(p.tbody, true, true, true));
    setElementWidth(this.$el[0], getElementWidth(p.$table[0], true, true, true));

  } else if (o.width === DGTable.Width.SCROLL) {

    if (parentSizeMayHaveChanged) {
      let lastScrollTop = p.table ? p.table.scrollTop : 0,
        lastScrollLeft = p.table ? p.table.scrollLeft : 0;

      // BUGFIX: Relayout before recording the widths
      webkitRenderBugfix(this.el);

      p.table.scrollTop = lastScrollTop;
      p.table.scrollLeft = lastScrollLeft;
      p.header.scrollLeft = lastScrollLeft;
    }

    p.$table.on('scroll', p.onTableScrolledHorizontallyBound);
  }

  return this;
};

/**
 * @private
 * @returns {boolean}
 */
DGTable.prototype._isTableRtl = function () {
  return this.p.$table.css('direction') === 'rtl';
};

/**
 * @private
 * @param {Object} column column object
 * @returns {string}
 */
DGTable.prototype._serializeColumnWidth = function (column) {
  return column.widthMode === ColumnWidthMode.AUTO ? 'auto' :
  column.widthMode === ColumnWidthMode.RELATIVE ? column.width * 100 + '%' :
  column.width;
};

/**
 * @private
 * @param {HTMLElement} el
 */
DGTable.prototype._cellMouseOverEvent = function (el) {
  const o = this.o,p = this.p;

  let elInner = el.firstChild;

  if (elInner.scrollWidth - elInner.clientWidth > 1 ||
  elInner.scrollHeight - elInner.clientHeight > 1) {

    this.hideCellPreview();
    p.abortCellPreview = false;

    let $el = $(el),$elInner = $(elInner);
    const rowNode = el.parentNode;
    let previewCell = createElement('div'),$previewCell = $(previewCell);
    previewCell.innerHTML = el.innerHTML;
    previewCell.className = o.cellPreviewClassName;

    let isHeaderCell = $el.hasClass(o.tableClassName + '-header-cell');
    if (isHeaderCell) {
      previewCell.className += ' header';
      if ($el.hasClass('sortable')) {
        previewCell.className += ' sortable';
      }

      previewCell.draggable = true;

      $(previewCell).on('mousedown', this._onMouseDownColumnHeader.bind(this)).
      on('mousemove', this._onMouseMoveColumnHeader.bind(this)).
      on('mouseup', this._onMouseUpColumnHeader.bind(this)).
      on('mouseleave', this._onMouseLeaveColumnHeader.bind(this)).
      on('touchstart', this._onTouchStartColumnHeader.bind(this)).
      on('dragstart', this._onStartDragColumnHeader.bind(this)).
      on('click', this._onClickColumnHeader.bind(this)).
      on('contextmenu.dgtable', function (event) {event.preventDefault();});
      $(previewCell.firstChild).
      on('dragenter', this._onDragEnterColumnHeader.bind(this)).
      on('dragover', this._onDragOverColumnHeader.bind(this)).
      on('dragleave', this._onDragLeaveColumnHeader.bind(this)).
      on('drop', this._onDropColumnHeader.bind(this));

      if (hasIeDragAndDropBug) {
        $(previewCell).on('selectstart', function (evt) {
          evt.preventDefault();
          this.dragDrop();
          return false;
        }.bind(previewCell));
      }
    }

    let paddingL = parseFloat($el.css('padding-left')) || 0,
      paddingR = parseFloat($el.css('padding-right')) || 0,
      paddingT = parseFloat($el.css('padding-top')) || 0,
      paddingB = parseFloat($el.css('padding-bottom')) || 0;

    let requiredWidth = elInner.scrollWidth + (el.clientWidth - elInner.offsetWidth);

    let borderBox = $el.css('box-sizing') === 'border-box';
    if (borderBox) {
      $previewCell.css('box-sizing', 'border-box');
    } else {
      requiredWidth -= paddingL + paddingR;
      $previewCell.css('margin-top', parseFloat($(el).css('border-top-width')) || 0);
    }

    if (!p.transparentBgColor1) {
      // Detect browser's transparent spec
      let tempDiv = document.createElement('div');
      tempDiv.style.backgroundColor = 'transparent';
      p.transparentBgColor1 = $(tempDiv).css('background-color');
      tempDiv.style.backgroundColor = 'rgba(0,0,0,0)';
      p.transparentBgColor2 = $(tempDiv).css('background-color');
    }

    let css = {
      'box-sizing': borderBox ? 'border-box' : 'content-box',
      'width': requiredWidth,
      'min-height': getElementHeight($el[0]),
      'padding-left': paddingL,
      'padding-right': paddingR,
      'padding-top': paddingT,
      'padding-bottom': paddingB,
      'overflow': 'hidden',
      'position': 'absolute',
      'z-index': '-1',
      'left': '0',
      'top': '0',
      'cursor': $el.css('cursor')
    };

    if (css) {
      let bgColor = $(el).css('background-color');
      if (bgColor === p.transparentBgColor1 || bgColor === p.transparentBgColor2) {
        bgColor = $(rowNode).css('background-color');
      }
      if (bgColor === p.transparentBgColor1 || bgColor === p.transparentBgColor2) {
        bgColor = '#fff';
      }
      css['background-color'] = bgColor;
    }

    $previewCell.css(css);

    this.el.appendChild(previewCell);

    $(previewCell.firstChild).css({
      'direction': $elInner.css('direction'),
      'white-space': $elInner.css('white-space')
    });

    if (isHeaderCell) {
      // Disable these to allow our own context menu events without interruption
      $previewCell.css({
        '-webkit-touch-callout': 'none',
        '-webkit-user-select': 'none',
        '-moz-user-select': 'none',
        '-ms-user-select': 'none',
        '-o-user-select': 'none',
        'user-select': 'none'
      });
    }

    previewCell['rowIndex'] = rowNode['rowIndex'];
    let physicalRowIndex = previewCell['physicalRowIndex'] = rowNode['physicalRowIndex'];
    previewCell['columnName'] = p.visibleColumns[nativeIndexOf.call(rowNode.childNodes, el)].name;

    try {
      let selection = SelectionHelper.saveSelection(el);
      if (selection)
      SelectionHelper.restoreSelection(previewCell, selection);
    } catch (ignored) {/* we're ok with this */}

    this.trigger(
      'cellpreview',
      previewCell.firstChild,
      physicalRowIndex == null ? null : physicalRowIndex,
      previewCell['columnName'],
      physicalRowIndex == null ? null : p.rows[physicalRowIndex],
      el
    );

    if (p.abortCellPreview) {
      $previewCell.remove();
      return;
    }

    if (physicalRowIndex != null) {
      previewCell.addEventListener('click', (event) => {
        this.trigger('rowclick', event,
        rowNode['rowIndex'], physicalRowIndex,
        rowNode, p.rows[physicalRowIndex]);
      });
    }

    let $parent = this.$el;
    let $scrollParent = $parent[0] === window ? $(document) : $parent;

    let offset = $el.offset();
    let parentOffset = $parent.offset();
    let rtl = $el.css('float') === 'right';
    let prop = rtl ? 'right' : 'left';

    // Handle RTL, go from the other side
    if (rtl) {
      let windowWidth = $(window).width();
      offset.right = windowWidth - (offset.left + getElementWidth($el[0], true, true, true));
      parentOffset.right = windowWidth - (parentOffset.left + getElementWidth($parent[0], true, true, true));
    }

    // If the parent has borders, then it would offset the offset...
    offset.left -= parseFloat($parent.css('border-left-width')) || 0;
    offset.right -= parseFloat($parent.css('border-right-width')) || 0;
    offset.top -= parseFloat($parent.css('border-top-width')) || 0;

    // Handle border widths of the element being offset
    offset[prop] += parseFloat($(el).css('border-' + prop + '-width')) || 0;
    offset.top += parseFloat($(el).css('border-top-width')) || parseFloat($(el).css('border-bottom-width')) || 0;

    // Subtract offsets to get offset relative to parent
    offset.left -= parentOffset.left;
    offset.right -= parentOffset.right;
    offset.top -= parentOffset.top;

    // Constrain horizontally
    let minHorz = 0,
      maxHorz = $parent - getElementWidth($previewCell[0], true, true, true);
    offset[prop] = offset[prop] < minHorz ?
    minHorz :
    offset[prop] > maxHorz ? maxHorz : offset[prop];

    // Constrain vertically
    let totalHeight = getElementHeight($el[0], true, true, true);
    let maxTop = $scrollParent.scrollTop() + getElementHeight($parent[0], true) - totalHeight;
    if (offset.top > maxTop) {
      offset.top = Math.max(0, maxTop);
    }

    // Apply css to preview cell
    let previewCss = {
      top: offset.top,
      'z-index': 9999
    };
    previewCss[prop] = offset[prop];

    $previewCell.css(previewCss);

    previewCell['__cell'] = el;
    p.$cellPreviewCell = $previewCell;
    el['__previewCell'] = previewCell;

    p._bindCellHoverOut(el);
    p._bindCellHoverOut(previewCell);

    // Avoid interfering with wheel scrolling the table
    $previewCell.on('wheel', () => {
      // Let the table naturally scroll with the wheel
      this.hideCellPreview();
    });
  }
};

/**
 * @private
 * @param {HTMLElement} _el
 */
DGTable.prototype._cellMouseOutEvent = function (_el) {
  this.hideCellPreview();
};

/**
 * Hides the current cell preview,
 * or prevents the one that is currently trying to show (in the 'cellpreview' event)
 * @public
 * @expose
 * @returns {DGTable} self
 */
DGTable.prototype.hideCellPreview = function () {
  const p = this.p;

  if (p.$cellPreviewCell) {
    let previewCell = p.$cellPreviewCell[0];
    let origCell = previewCell['__cell'];
    let selection;

    try {
      selection = SelectionHelper.saveSelection(previewCell);
    } catch (ignored) {/* we're ok with this */}

    p.$cellPreviewCell.remove();
    p._unbindCellHoverOut(origCell);
    p._unbindCellHoverOut(previewCell);

    try {
      if (selection)
      SelectionHelper.restoreSelection(origCell, selection);
    } catch (ignored) {/* we're ok with this */}

    this.trigger('cellpreviewdestroy', previewCell.firstChild, previewCell['physicalRowIndex'], previewCell['columnName'], origCell);

    origCell['__previewCell'] = null;
    previewCell['__cell'] = null;

    p.$cellPreviewCell = null;
    p.abortCellPreview = false;
  } else {
    p.abortCellPreview = true;
  }

  return this;
};

// It's a shame the Google Closure Compiler does not support exposing a nested @param

/**
 * @typedef {Object} SERIALIZED_COLUMN
 * @property {number|null|undefined} [order=0]
 * @property {string|null|undefined} [width='auto']
 * @property {boolean|null|undefined} [visible=true]
 * */

/**
 * @typedef {Object} SERIALIZED_COLUMN_SORT
 * @property {string|null|undefined} [column='']
 * @property {boolean|null|undefined} [descending=false]
 * */

/**
 * @enum {ColumnWidthMode|number|undefined}
 * @const
 * @typedef {ColumnWidthMode}
 */
const ColumnWidthMode = {
  /** @const*/AUTO: 0,
  /** @const*/ABSOLUTE: 1,
  /** @const*/RELATIVE: 2
};

/**
 * @enum {DGTable.Width|string|undefined}
 * @const
 * @typedef {DGTable.Width}
 */
DGTable.Width = {
  /** @const*/NONE: 'none',
  /** @const*/AUTO: 'auto',
  /** @const*/SCROLL: 'scroll'
};

/**
 * @expose
 * @typedef {Object} COLUMN_SORT_OPTIONS
 * @property {string|null|undefined} column
 * @property {boolean|null|undefined} [descending=false]
 * */

/**
 * @expose
 * @typedef {Object} COLUMN_OPTIONS
 * @property {string|null|undefined} width
 * @property {string|null|undefined} name
 * @property {string|null|undefined} label
 * @property {string|null|undefined} dataPath - defaults to `name`
 * @property {string|null|undefined} comparePath - defaults to `dataPath`
 * @property {number|string|null|undefined} comparePath
 * @property {boolean|null|undefined} [resizable=true]
 * @property {boolean|null|undefined} [movable=true]
 * @property {boolean|null|undefined} [sortable=true]
 * @property {boolean|null|undefined} [visible=true]
 * @property {string|null|undefined} [cellClasses]
 * @property {boolean|null|undefined} [ignoreMin=false]
 * */

/**
 * @typedef {Object} DGTable.Options
 * @property {COLUMN_OPTIONS[]} [columns]
 * @property {number} [height]
 * @property {DGTable.Width} [width]
 * @property {boolean|null|undefined} [virtualTable=true]
 * @property {number|null|undefined} [estimatedRowHeight=40]
 * @property {boolean|null|undefined} [resizableColumns=true]
 * @property {boolean|null|undefined} [movableColumns=true]
 * @property {number|null|undefined} [sortableColumns=1]
 * @property {boolean|null|undefined} [adjustColumnWidthForSortArrow=true]
 * @property {boolean|null|undefined} [relativeWidthGrowsToFillWidth=true]
 * @property {boolean|null|undefined} [relativeWidthShrinksToFillWidth=false]
 * @property {boolean|null|undefined} [convertColumnWidthsToRelative=false]
 * @property {boolean|null|undefined} [autoFillTableWidth=false]
 * @property {boolean|null|undefined} [allowCancelSort=true]
 * @property {string|null|undefined} [cellClasses]
 * @property {string|string[]|COLUMN_SORT_OPTIONS|COLUMN_SORT_OPTIONS[]} [sortColumn]
 * @property {Function|null|undefined} [cellFormatter=null]
 * @property {Function|null|undefined} [headerCellFormatter=null]
 * @property {number|null|undefined} [rowsBufferSize=10]
 * @property {number|null|undefined} [minColumnWidth=35]
 * @property {number|null|undefined} [resizeAreaWidth=8]
 * @property {{function(string,boolean):{function(a:*,b:*):boolean}}} [onComparatorRequired]
 * @property {string|null|undefined} [resizerClassName=undefined]
 * @property {string|null|undefined} [tableClassName=undefined]
 * @property {boolean|null|undefined} [allowCellPreview=true]
 * @property {boolean|null|undefined} [allowHeaderCellPreview=true]
 * @property {string|null|undefined} [cellPreviewClassName=undefined]
 * @property {boolean|null|undefined} [cellPreviewAutoBackground=true]
 * @property {Element|null|undefined} [el=undefined]
 * @property {string|null|undefined} [className=undefined]
 * @property {Function|null|undefined} [filter=undefined]
 * */

/**
 * @typedef {{
     *  currentTarget: Element,
     *  data: Object.<string, *>,
     *  delegateTarget: Element,
     *  isDefaultPrevented: boolean,
     *  isImmediatePropagationStopped: boolean,
     *  isPropagationStopped: boolean,
     *  namespace: string,
     *  originalEvent: MouseEvent|TouchEvent|Event,
     *  pageX: number,
     *  pageY: number,
     *  preventDefault: Function,
     *  props: Object.<string, *>,
     *  relatedTarget: Element,
     *  result: *,
     *  stopImmediatePropagation: Function,
     *  stopPropagation: Function,
     *  target: Element,
     *  timeStamp: number,
     *  type: string,
     *  which: number
     * }} jQuery_Event
 * */

if (!$.controls) {
  $.controls = {};
}

$.controls.dgtable = DGTable;

export { DGTable as default };

//# sourceMappingURL=jquery.dgtable.es6.js.map